Version 5.0

ConceptDraw V Help System

Contents

Welcome to ConceptDraw V

  • What's New in this Version
  • ConceptDraw for Business and Technical Drawing
  • Registration
  • Subscribing to Newsletter
  • Downloading Updates
  • Technical Support

Starting Your Work in ConceptDraw

  • Working Environment: Windows, Toolbars and Libraries
  • Creating a Diagram
  • What You Can Use ConceptDraw For

Reference Manual

Document

  • Creating a New Document
  • Creating a Document Using a Template
  • Importing Files
  • Saving a Document
  • Exporting a Document
    • To PDF - for cross-platform viewing and printing
    • To HTML - for publishing on the Web
    • To PowerPoint - for creating presentations
    • To graphic formats
  • Printing a Document
  • Working with Pages
    • Adding a Page
    • Background Pages
    • Going to another Page
    • Reordering Pages
    • Naming a Page
    • Deleting a Page
    • Hyperlinking to Pages
  • Layers
  • Working with a Document
    • Scrolling
    • Zooming
    • Rulers and Grid
    • Guide Lines and Gluing
  • Document Settings
    • Scale
    • Units of Measure
    • Color Palette
  • Document Templates

Shapes

  • About Shapes in ConceptDraw
  • Drawing a Shape with Drawing Tools
  • Inserting a Shape from a Library
  • Operations on Shapes
    • Selecting
    • Copying and Pasting
    • Duplicating
    • Moving
    • Rotating and Flipping
    • Resizing
    • Reshaping
    • Changing the Front-to-Back Order
    • Distributing Shapes
    • Aligning Shapes
    • The Join, Combine and Separate Operations
    • Grouping and Ungrouping
    • Substituting a Shape with Another Shape
    • Copying Shape's Visual Attributes
    • Deleting
    • Undo and Redo
  • Connecting Shapes
    • Connectors
    • Connecting to the Entire Shape
    • Connecting to a Shape's Connection Point
    • Connection Points
    • Smart Connector
    • Direct Connector
    • Connecting Multiple Shapes
    • Auto-Connection Modes
  • Shape Properties
    • Line Properties
    • Fill Color and Pattern
    • Shadow
    • Behavior
    • Information
    • Double-Click Action
    • Hyperlinks
  • Pictures
    • Pictures and Graphic Formats
    • Raster Pictures
    • Vector Pictures
    • Converting Vector Pictures
  • Defining and Using Named Styles
  • Custom Properties

Text

  • Adding Text to a Shape
  • Editing Shape's Text
  • Searching and Replacing Text
  • Formatting Text
  • Repositioning Text
  • Adjusting a Shape's Size to Fit Its Text
  • The Text Auto-Expand Mode

Libraries

  • Using Libraries and Library Shapes
  • Creating and Editing Libraries
    • Adding Shapes to a Library
    • Replacing a Library Shape
    • Shape's Icon

Internet

  • Sending a Document by E-mail
  • Searching the Internet
  • Using Hyperlinks
  • Exporting a Document to HTML Files
  • Working with Documents on a Remote FTP-Server

Shape Parameter Table

  • Displaying the Shape Parameter Table
  • The Table's Sections
  • Formulas
  • Adding Control Handles to a Shape
  • Adding User-Defined Context Menu to a Shape
  • Using Formulas to Control Shapes
  • Variables Describing a Document
  • Function Reference

OLE Objects

  • Using OLE objects in ConceptDraw Documents
  • Using ConceptDraw Shapes in other OLE-compatible Applications

Customizing the Working Environment

  • Application Preferences
  • Customizing the Toolbars
  • Customizing the Floating Dialogs
  • Working with Windows
  • Workspace Files

ConceptDraw Basic

  • Conceptual Information
    • Application, Document and Shape Level Scripts
    • How Scripts Can Be Used to Create Wizards
  • Working with the Basic Editor in ConceptDraw V

Dialogs

  • Modal Dialogs
    • Template Gallery
    • Document Properties
    • Preferences
    • Shape Properties
    • Text Properties
    • Add Page/Page Properties
    • Delete Page
    • Reorder Pages
    • Go to Page
    • Hyperlink
    • Color
    • Color Palette
    • Define Custom Properties
    • Custom Properties
    • Define Styles
    • Find/Replace
    • Flow Data Export Settings
    • Export Outline Settings
    • Import Outline Settings
    • Grid & Rulers
    • HTML Properties
    • Image Properties
    • Insert Section
    • View Sections
    • Library Item Properties
    • Library Properties
    • Snap & Glue
    • Open from FTP Server
    • Save to FTP Server
    • Add Bookmark
    • Open
    • Save
    • Paste Special
    • Page Setup
    • Print
    • Edit User
    • Login
    • Flash Export Properties
    • ConceptDraw License Entry
    • XML Parser Messages
    • HTML Export Results
    • Line Number
    • Edit Bookmarks
    • Customize
  • Floating Dialogs
    • Line
    • Fill & Shadow
    • Protection
    • Behavior
    • Double-Click
    • Information
    • Layers
    • Page Navigator
    • Geometry

Toolbars

  • Main
  • Drawing Tools
  • Zoom
  • Views
  • Formatting
  • Connect Shapes
  • Text
  • Arrange
  • Action
  • Layers
  • Libraries
  • Pages
  • Routing
  • Snap & Glue
  • CD Basic
  • Web

Menus

  • Document View Menus
  • Basic Editor View Menus
  • Document View Context Menu
  • Library Context Menu
  • Library Item Context Menu
  • Basic Editor Context Menu
  • Basic Output View Context Menu
  • Table View Context Menu
  • Text Edit Context Menu

Windows

  • Document View
  • Edit Group
  • Shape Table
  • Library
  • Basic Script Editor
  • Basic Output
  • Print Preview (Windows only)

Keyboard Shortcuts


Welcome

Welcome to ConceptDraw V

Computer Systems Odessa Corporation present you ConceptDraw - a powerful application for creating professional-looking business and technical documents. ConceptDraw works both on the Mac and PC platforms.

What's New in this Version
ConceptDraw for Business and Technical Drawing
Registration
Subscribing to Newsletter
Downloading Updates
 Technical Support

What's New in this Version

More Powerful Diagramming
Thanks to completely rebuilt kernel, ConceptDraw V enables you to work much faster with complex diagrams. It consumes less resources and easily handles large files. The new way of sharing common data of pictures, lets use a lot of images to sketch really impressive charts. The better support for OLE allows viewing any OLE objects even on the Macintosh platform, while the Vector Picture technology gives you power to work with most complex CAD documents, imported through the DXF files. In ConceptDraw V you can charts on as many layers as you need.

New Flexible Interface
New exciting look and feel, customizable toolbars and a variety of floating dialogs make ConceptDraw V interface more friendly and let easily access program's tools. ConceptDraw V adheres to the What You See Is What You Get principle and features anti-aliasing, bringing your diagramming to a new level of presentation quality.

Advanced Libraries and Template-Based Wizards
ConceptDraw V offers advanced set of task-related shapes. Each shape features intelligent behavior either defined or set manually and stores additional information in its Custom Properties. For more productive work, a number of task-based Wizards will guide you through the basic stages of creating documents.

Intelligent Connectors
The new intelligent connectors automatically find smart routs around third objects and display gaps or bridges at the points, where they cross other connectors.

Advanced Color Support
ConceptDraw V gives you ability to use both indexed colors from a predefined palette or set a color directly by selecting their components. ConceptDraw V supports two color schemes - RGB and CMYK which let make print-ready quality documents out of ConceptDraw charts and diagrams.

New Text Editor
ConceptDraw V features fully redesigned text editor. It works correctly on both Mac and PC platforms and allows preserving styles, while sharing files across these platforms. It also supports for Unicode providing for correct support of all languages. The new editor enables you to assign several hyperlinks in the text within a single shape and use Subscripts and Superscripts.

Work with Diagrams Created in MS Visio
Import MS Visio diagrams and work with them in ConceptDraw V, owing to the support of MS Visio XML format.

Ability to Read Data from Databases
ConceptDraw V features essential ability to connect to any ODBC compliant database and visualize its data in ConceptDraw diagrams.

Create Enterprise-Level Visualization Solutions
The built-in scripting language - ConceptDraw Basic - and supports for an open XML for ConceptDraw format, as well as a number of other formats provides developers with powerful means to build rich customized solutions based on ConceptDraw V graphics engine.

AutoSave Your Work
Your documents are automatically saved and can be recovered, in emergency cases, when you are unexpectedly forced to quit the application.

Password-Protect Your Documents
You can protect documents with password and limit access to confidential information to authorized users only.

ConceptDraw for Business and Technical Drawing

ConceptDraw is a powerful cross-platform application, that will help you visualize and structure information, add illustrations and drawings to your documents. It's perfect for those, who work in the fields such as:
- business and management,
- technology,
- education,
- creative work, etc.

You can use ConceptDraw to create:

  • Any kinds of business diagrams,
  • Web site plans,
  • Network diagrams and software flowcharts,
  • High-quality technical drawings,
  • Organization charts,
  • Flowcharts,
  • Tables and illustrations,
  • Sketches and visual materials, etc.

ConceptDraw will help you to make all this fast and easy. That's possible thanks to the program's intuitive interface, powerful and easy-to-use drawing tools, and many pre-drawn library objects. Templates will help to quickly create most common documents.

ConceptDraw is available for two platforms: Windows and Macintosh, and you can easily exchange your documents across them. All documents, library and template files can be opened in both Windows and Macintosh versions, and no conversion is needed.

Registration

To become a registered user, fill out the registration form on our Web site:
http://www.conceptdraw.com/registration

Registration gives you the following benefits:

  • Unlimited free technical support,
  • Free maintenance;
  • E-mail notification about updates, new libraries and other components, events and special offers,
  • Discounts for upgrades and other products of ConceptDraw line.

Don't forget to register your copy and subscribe to our e-mail newsletter!

Subscribing to Newsletter

Subscribe to our e-mail newsletter to be timely informed about all ConceptDraw-related news. To do it, just go to our web site www.conceptdraw.com and enter your e-mail address in the box at the bottom area of any page.

Once your address is submitted, you'll start to receive our newsletter with information about updates, new products, new libraries and other useful downloads, special offers and events, and other useful information related the ConceptDraw world.

Downloading Updates

You can download updates from our web site www.conceptdraw.com. The fastest way to to check for updates for your product is to choose Get Latest Update from the Help menu in ConceptDraw. You'll be taken straight to a Web page, containing a link to the update, corresponding to your platform and interface language. Click on the link to download the file. Once it's downloaded, run the installer to update ConceptDraw.

Attention! Don't forget to quit ConceptDraw before installing the update.

Technical Support

We offer unlimited free technical support by e-mail to our registered users. See the Registration section on how to register.

To send us a problem report or feature request, fill out the contact from in the Support section on our Web site.

Replies are normally sent within one business day. We are always happy to answer your questions and hear your feedback.


Starting Your Work in ConceptDraw

ConceptDraw V is a multi-window environment, that allows you to work with several documents at a time. It has a large number of toolbars and floating dialogs which make creating vector drawings, schemes and diagrams convenient and fast.

The built-in scripting language (ConceptDraw Basic) lets you automate working with documents, making it possible to create "smart" shapes or use external data sources for generating a document - such as databases or spreadsheets.

Working Environment: Windows, Toolbars and Libraries

When you launch ConceptDraw for the first time, the Template Gallery dialog comes up. This dialog lets you choose a template, to base your document on. If you don't want to see this dialog at start-up, remove the Show At Startup check. For this Quick Start guide we won't need templates. Click on the Blank document button in the Template Gallery dialog to create a blank document.

The document window will come up, with the main menus, several toolbars and a black document.

The document window in Windows [image]:

The document window in Mac OS X [image]:

The user can re-arrange and customize toolbars; however, we will use the default toolbar settings for the purpose of this exercise.

The Drawing Tools toolbar is located in the left part of the document window and contains the main tools for drawing and editing shapes and their text.

At the top of the document window you can see the main program menu and all or some of the following toolbars: Main - for working with document files (opening, saving, printing, copy/paste commands and other), Formatting - for working with line and fill colors and styles, the Snap & Glue toolbar which toggles the Snap and Glue modes on/off, the Zoom toolbar that is used to increase/decrease the zoom level in the document.

The Text toolbar, that controls text formatting of shapes, is located at the bottom of the screen.

By default, the grid is displayed for more convenient and precise drawing. It can be disabled from the View / Grid menu.

By choosing the Rectangle tool [image] you can draw a rectangle in the document, using the mouse. Press and hold down the mouse button, and drag the mouse across the page to draw a rectangle of the desired size and form. On releasing the mouse button, the rectangle will appear. To select the rectangle, switch to the Select tool [image] and click somewhere on the rectangle. To deselect it, click away from the rectangle. To move the rectangle to some other place, click and hold the mouse button on it, drag it to the needed location and then release the mouse button.

When you are in the select mode, you can resize the rectangle by dragging the corresponding resize handle.

To remove the selected shape, press the Delete key.

If you double-click the rectangle, or press F2 when the rectangle is selected, the text editing mode will turn on. Each shape can have text. The text editing mode will also turn on automatically if you start typing when the shape is selected.

If you press and hold the Ctrl (in Windows) or Cmd (in Mac OS) key when dragging a shape, you will drag a copy of the shape instead of the original shape. You can carry the copy to the needed location and release the mouse button to drop it there.

Besides, the selected shape can be moved with the keyboard (the arrow keys).

If you click on a resize handle of a selected shape, the resize handle will get selected and you can use the arrow keys to move the resize handle and reshape the shape by doing so.

Below you'll find an example of creating a simple diagram in ConceptDraw, using templates and library shapes.

For information about the Template Gallery dialog see Dialogs - Modal Dialogs - Template Gallery,
about the Drawing Tools toolbar see Toolbars - Drawing Tools,
about the Main toolbar see Toolbars - Main,
about the Formatting toolbar see Toolbars - Formatting,
about the Snap & Glue toolbar see Toolbars - Snap & Glue,
about the Zoom toolbar see Toolbars - Zoom,
about the Text toolbar see Toolbars - Text,
about operations on shapes see Shapes - Operations on Shapes,
about working with text see Text.

Creating a Diagram

ConceptDraw is perfect for drawing organization and workflow charts. This chapter describes how you can create an org chart by using ConceptDraw.

Lets draw an organization chart of a fictional company. The chart demonstrates how departments are related inside the company. The following departments exist: headquarters, strategy department, finance department, IT department, administration, marketing department, public relations department, legal department, personnel department, sales department, research and development department, logistics department, production department and security department.

The resulting chart will look as follows:

Let's start creating the chart.

We are going to use templates to speed up the work. In the File menu choose Template Gallery.The Template Gallery dialog will come up, where you can choose the needed template. Select the "Organization Charts" category in the left part of the dialog, and the "Organization Chart - simple" template.

Click Ok. A new blank document will be opened.

You will see the library window with open libraries. We'll need the "Organization Chart" library. Activate it by clicking on its title bar. You will see library shapes which can be used for drawing an org chart.

To place a library shape on the page, you may use 2 methods. You can either drag a shape from the library with the mouse, and drop it on the page, or you can use the Stamp tool. The second method is convenient when you need to use the same library shape many times in the document. On the Drawing Tools toolbar, select Stamp Tool [image] and select the needed shape in the library. Then click on the document page where you want the shape to be inserted. The selected library shape will be inserted where you clicked.

In the library, choose the shape with this icon: and place it on the page as described above. Now you need to add text to the shape. Select the shape in the document and type "Headquarters".

Note: Library shapes and icons may vary a bit in different versions of the software.

Repeat this for all other departments.

In the result, you should get the following scheme:

Blue crosses mark the connection points. Connection points won't be visible when printed or exported to a graphic file (same as the grid). If you don't want to see connection points, you can hide them using the View / Connection Points menu. To see how the document will look when printed, use the Print Preview button [image] on the Main toolbar, or the corresponding command from the File menu.

Now you need to establish relationship between the shapes. For this it's more convenient to see the connection points of shapes. If connection points are hidden, enable them from the View / Connection Points menu.

Now, on the Drawing Tools toolbar choose the Smart Connector [image].

Move the mouse pointer to the bottom connection point of the Headquarters shape. The connection point will be marked as a red cross.

Click and hold the mouse button, and drag the mouse to the right connection point of the shape, that denotes the Strategy department.

.

Release the mouse button.

To adjust the connectors, use their control handles, located in the points, where their legs meet, and in the middle of the sides. When you reshape a connector, its legs will be added or removed depending on its form.

By manipulating the handles you can reshape the connectors as needed for your drawing.

Connect all other shapes in the same way. Adjust the connectors so that they look as on the original chart.

The result must looks as follows:

For more information about the Template Gallery dialog see Dialogs - Modal Dialogs - Template Gallery, about the library window - see Windows - Library, about the Drawing Tools toolbar - see Toolbars - Drawing Tools, about the Main toolbar see Toolbars - Main, about connection points and connectors - see Shapes - Connecting Shapes.

What You Can Use ConceptDraw For

Thanks to its powerful drawing capabilities ConceptDraw can be used by people, working in different fields: IT specialists, software developers, engineers, managers.

The product is recommended to managers, designers, network specialists, programmers and project managers, scientists.

You can use ConceptDraw to create all kinds of diagrams, database schemes, interface modelling, process schemes, organization charts, network diagrams, formulas and schemes of physical processes.

ConceptDraw comes with many library shapes for different tasks. There are libraries for org charts, medical libraries, electrical libraries, libraries for computer networks and software interfaces. The libraries contain ready-made shapes, which you can use in your drawings.

ConceptDraw supports a large number of popular graphic formats, allowing you to use it together with other applications.

It also allows you to create your own libraries, for your specific purposes.


Document

Documents in ConceptDraw are used to store your diagrams, schemes and drawings on your computer. Documents can be of various size and format (A4, A3, Letter) and orientation (portrait, landscape). They can consist of one or more pages, and include links to other documents, files or Internet addresses. ConceptDraw offers many tools for working with documents.

Creating a New Document
Creating a Document Using a Template
Importing Files
Saving a Document
Exporting a Document
Printing a Document

Creating a New Document

To create a new ConceptDraw document you can do one of the following:

a) Choose New Document from the File menu,
b) Click the New Document button [image] on the toolbar,
c) Or use the keyboard shortcut:

Ctrl + N Cmd + N

A blank new document will open in a separate window.

Note: By default, each new document is based on the template file Blank Drawing.cdt (located in the Libraries folder). You can choose another template file to base new documents upon - see the Document Templates section for further information.

Creating a Document Using a Template

You can create a new document based on an existing template.
A template file contains a document with all its settings (scale, grid, units of measure, etc.) and a list of libraries that may be useful for this type of document. When you create a new document using a template, a copy of the document in the template is created, and the libraries, listed in the template file, are opened.
Templates can also contain scripts, written in ConceptDraw Basic, and executed once you've opened the template. Such scripts can be used to generate documents automatically. For instance, a script can connect to a database or a spreadsheet, ask questions to the user and create a document based on this information. Using templates helps you to automate the tasks you do repeatedly for new documents - such as configuring document settings or opening necessary libraries. And scripts can automate even the process of creating the document itself.

Templates are especially helpful when documents need to include some common elements - such as a standard title or a company logo.

To create a document using a template:

  1. Choose File / Template Gallery,
    or use the Open button [image] on the toolbar to call the standard Open dialog. Set the file type to ConceptDraw Templates (.cdt) to show just template files.
  2. Select the desired ConceptDraw template file.
Ctrl + Alt + N Cmd + Opt + N

For further information on creating and using templates see the "Document Templates" section.

Importing Files

You can import files, created in other applications, and use them in your documents. ConceptDraw supports importing of the following file formats:

Raster formats

Microsoft Windows Bitmap | (*.bmp, *.dib)
CompuServe graphics interchange format | (*.gif)
Microsoft icon | (*.ico, *.icon)
Joint Photographic Experts Group JFIF format | (*.jpeg, *.jpg)
Portable Network Graphics | (*.png)
Photo CD | (*.pcd, *.pcds)
ZSoft IBM PC Paintbrush | (*.pcx)
Adobe Photoshop bitmap | (*.psd)
Irix RGB image | (*,sgi)
SUN Rasterfile | (*.ras, *.sun)
Truevision Targa image | (*.tga, *.icb, *.vda, *.vst)
Tagged Image File Format | (*.tif, *.tiff)
Word Perfect Graphics | (*.wpg)
X Windows system bitmap | (*.xbm, *.xpm)

Vector, multimedia, text and other formats:

Windows Metafile | (*.wmf, *.emf)
Macintosh PICT | (*.pct)
AutoCad DXF | (*.dxf)
XML for Visio | (*.vsx)
PowerPoint document | (*.ppt)
Text Data (Outline è Flow Data formats) | (*.txt)

There are two methods for importing files:

a) Choose the desired item in the File / Import submenu.

b) Call the standard Open dialog from the File menu and select the desired type of file from the list.

Importing Pictures from Graphic Files
Importing Textual Data
Importing MS PowerPoint Files
Importing MS Visio Documents

Importing Pictures From Graphic Files

You can import pictures from files of various graphic formats (see the list above) and use them in ConceptDraw documents. That will help to add impact to your documents, make them look more professional and impressive.

To import a picture from a graphic file:

Choose Import / Graphic File... from the File menu.
The file open dialog will come up. Choose the required file and click OK (the Open dialog is described in the Dialogs - Modal Dialogs section).

A new document will be created, with the imported picture in the center of the drawing page.
You can do some editing over pictures - resize, rotate and flip, apply shadow and some other. See the Pictures section for details.

Note: You can select several graphic files at once in the Open dialog. In this case each picture will be placed in a separate ConceptDraw document.

Importing Textual Data

With ConceptDraw you can visualize textual data. The program reads data from a text file, and a diagram is generated based on the textual description.

The description must be in one of the two supported formats:

Flow Data Format - it's used to created documents, which consist of objects with precise coordinates and connected with connectors (for instance, flowchart diagrams);

Outline Format - used to generate tree diagrams where objects have hierarchical structure. You may first write an outline in a text editor, and then use ConceptDraw to automatically generate a visual diagram out of it.

To import textual data, choose Import / Text Data... from the File menu.

Importing MS PowerPoint Files

ConceptDraw allows you to import data from PowerPoint files.
ConceptDraw supports files, created in Microsoft PowerPoint 2000 (Windows) and PowerPoint X (Mac OS X).

To import a PowerPoint document into ConceptDraw:

Choose Import / Microsoft PowerPoint... from the File menu.
The file open dialog will come up. Choose the required file and click OK (the Open dialog is described in the Dialogs - Modal Dialogs section).

Objects in the PowerPoint file will be converted into ConceptDraw shapes. You can edit them as regular ConceptDraw shapes - resize, rotate, flip, change line and shadow style, text, etc.

Importing MS Visio Documents

Saving a Document

ConceptDraw V can save documents in the following formats:

- in the binary ConceptDraw 5.0 format (.CDD),
- in the textual XML for ConceptDraw format (.CDX),
- in the binary ConceptDraw 1.x format (.CDD).

XML for ConceptDraw format is an exact textual alternative to the binary ConceptDraw 5.0 format; these formats are fully equivalent to each other.
The ConceptDraw 1.x format is supported to preserve compatibility with earlier versions of ConceptDraw.

Note: When you save a document in the ConceptDraw 1.x format you may lose some data or functionality not supported in ConceptDraw 1.x (for instance, scripts).

By default, documents are saved in the format in which they were opened. The default format for new documents can be set in the Preferences dialog, tab Save. For a detailed description of this dialog, see Dialogs - Modal Dialogs - Preferences).

ConceptDraw also allows to:

- save documents as Templates (CDT),
- save an entire working environment as Workspace (CDW). It includes all open documents and libraries, with their positions on the screen). It helps to save the current state and quickly return to it later.

Saving Documents
Saving a Document as a Template
Saving Workspace Files

Saving Documents

To save an active document,
choose Save from the File menu, or click the Save button [image] on the toolbar.

Ctrl + S Cmd + S

When you first time save the document, you can choose its name and location in the Save As dialog.
If you have saved this document already, the modified document will be saved under its existing name.

To save a modified document under some other name, choose the Save As command under the File menu. Specify the new name and location in the Save As dialog. The active document will get a new name and will be stored in the specified location.

Ctrl + Shift + S Cmd + Shift + S

You may also create a copy of the active document:
Use the Save Copy As command from the File menu, and choose the name and location for the copy.

When you use the Save Copy As command, the name of the original document remains the same; it doesn't change as with the Save As command.

In the Mac OS X version you can return to the last saved state of the document by choosing Revert To Saved from the File menu.

Saving a Document as a Template

You can save an active document as a ConceptDraw template (.cdt), and use it to create similar documents.

Choose Save As Template from the File menu. The Save As dialog will come up. Specify a name for the template and save it. For more information about this dialog, see Dialogs - Modal Dialogs - Save,

Note: If you want the template to be compatible with older versions of ConceptDraw, you may save it as ConceptDraw 1.x Template. In this case some functionality, not supported in earlier versions, will be lost (for instance, scripts).

For more details about templates see the Document Templates section.

Saving Workspace Files

If you regularly work with the same set of documents and libraries, then you can save it as a workspace file. A workspace file contains the list of open documents, size and arrangement of windows and the list of open libraries.

To save the current state of the application in a workspace file, use the Save Workspace command from the File menu. The Save As dialog will come up. Specify the name and location for the workspace file and click Save.

All information about open documents and libraries together with their on-screen arrangement will be saved in the workspace file.

Ctrl + Alt + S Cmd + Opt + S

See the Workspace Files section for more information.

Exporting a Document

To use ConceptDraw together with other programs, you can export ConceptDraw documents to various formats.

Very often it's needed to view or print a document on different computers and platforms. In this case you can export your document to the PDF format.

By publishing your documents on the Web you can easily share it with many people.

To make a presentation you may want to use MS PowerPoint.

To insert your drawing into other documents (for instance, Word or PageMaker), you need to transform it into a file of some graphic format. To exchange documents with MS Visio users support for Visio document format is needed.

ConceptDraw is well equipped for these tasks.

Exporting to PDF
Exporting to HTML
Exporting to PowerPoint format
Exporting to graphic formats
Exporting to XML for Visio

Exporting to PDF

ConceptDraw V can export your documents to Portable Document Format (PDF) which is widely used for exchanging and printing documents on various platforms and operating systems.

This format allows to preserve the correct look of your documents because the needed fonts are stored right in the PDF file. Also, in a PDF document you can search and copy text.

Hyperlinks, contained in the original document, remain working in the PDF file.

To export the active document to PDF:

Choose Export / PDF from the File menu.
The Save As dialog will come up, asking you for the name of the PDF file.

During the export, the fonts used in your ConceptDraw document, are embedded into the PDF file. All pages of the document are exported. Pictures and text are compressed to reduce the size of the PDF file.

Exporting to HTML

ConceptDraw is well integrated with the Internet. By exporting your document to HTML you can easily publish it on the Web.

To save your document as HTML files, use the Export / HTML from the File menu. Export parameters can be configured in the HTML Properties dialog.

For more details about exporting to HTML, read Exporting a Document to HTML Files in the Internet chapter.

Exporting to PowerPoint Format

ConceptDraw can export documents to the PowerPoint file format, and use your ConceptDraw drawings in PowerPoint presentations.

ConceptDraw creates files for Microsoft PowerPoint 2000 (Windows) and PowerPoint X (Macintosh).

To export the active document to PowerPoint, choose Export / Microsoft PowerPoint... from the File menu.
The Save As dialog will come up, asking you for the name of the file.

Having saved the file, you can open it in PowerPoint and continue working on it - add animation effects, sound, backgrounds, etc.

Exporting to Graphic Formats

You save separate ConceptDraw shapes or the entire document in various graphic formats.

You can export to the files of the following formats:

Raster formats:

Microsoft Windows Bitmap | (*.bmp, *.dib)
CompuServe graphics interchange format | (*.gif)
Microsoft icon | (*.ico, *.icon)
Joint Photographic Experts Group JFIF format | (*.jpeg, *.jpg)
Portable Network Graphics | (*.png)
Photo CD | (*.pcd, *.pcds)
ZSoft IBM PC Paintbrush | (*.pcx)
Adobe Photoshop bitmap | (*.psd)
Irix RGB image | (*,sgi)
SUN Rasterfile | (*.ras, *.sun)
Truevision Targa image | (*.tga, *.icb, *.vda, *.vst)
Tagged Image File Format | (*.tif, *.tiff)
Word Perfect Graphics | (*.wpg)
X Windows system bitmap | (*.xbm, *.xpm)

Vector formats:

Windows Metafile | (*.emf)
Macintosh PICT | (*.pct)
AutoCad DXF | (*.dxf)

This will help you illustrate your text documents with nice-looking drawings, schemes and diagrams and use the drawings, created in ConceptDraw, in other applications.

Note: If you need to export separate shapes rather than the entire drawing, select the needed shapes before exporting.

To export the active document to one of the supported graphic formats:

Choose Export / Graphic File... from the File menu. The Save As dialog will appear. Specify a name for the new graphic file and choose a format from the drop-down list. Then the picture properties dialog will come up, where you can set parameters for the resulting picture. For more information of available settings for graphic files see the section Dialogs - Modal Dialogs - Picture Properties

When exporting to the DXF format you can configure settings for the DXF file in the DXF Properties dialog. For more details refer to Dialogs - Modal Dialogs - DXF Properties

Printing a Document

ConceptDraw provides flexible printing options - you can set any size of the printed page, tile the document over several sheets, preview the results before printing.

Choosing Paper Size and Printer
Document Printing Parameters
Breaking Down the Document Into Printer Pages
Print Preview
Printing

Before printing, you should prepare the document and set up the some printer parameters.

Choosing Paper Size and Printer

To adjust the printer and print page settings, select Print Page Setup from the File menu.

Ctrl + Shift + P Cmd + Shift + P

This will bring up the standard dialog, where you can choose the printer, specify paper size and page orientation, etc.

For more information about print settings and the Page Setup dialog see Dialogs - Modal Dialogs - Page Setup

Document Printing Parameters

The printing parameters of the active document can be specified in the Document Properties dialog (menu File / Document Properties).

On the Page tab you can set the size of a document page.
The Printing tab controls the following parameters:
- paper orientation,
- paper placement method (if the document page size is larger than one printer page),
- justification (where the drawing is positioned on the printed page if smaller than one page),
- printed page size:
the document page may be printed in its actual size,
or correspond to the current zoom level of the document,
or be tiled over a necessary number of paper sheets.

More information about the Document Properties dialog and the Printing tab can be found in the section Dialogs - Modal Dialogs - Document Properties

Breaking Down the Document into Printer Pages

The drawing area size may often be larger or smaller, than one printer page.

Note, that the document page size and orientation are not always the same, as the printer page:

The document page size is set when the document is created. You can modify it in the Document Properties dialog (File menu) on the Page tab.
The printer page size can be chosen in the Page Setup dialog (choose Print Page Setup from the File menu).

That's why it's important to see how the drawing area will be broken down into printer pages. To do this, enable the Page Breaks option under the View menu. The drawing area will be divided up into page-sized rectangles, shown with thin gray lines. Non-printable areas will be marked in gray

If necessary, you can modify the document parameters ( menu File / Document Properties) and the print settings (menu File / Print Page Setup).

Print Preview

After all settings are done, you can view the representation of the printed document without printing it.
Choose Print Preview from the File menu, or click the Print Preview button [image] on the toolbar.

Ctrl + Alt + P Cmd + Opt + P

For more information about the Print Preview mode refer to the section Windows - Print Preview

Printing

Once the document and printer are properly configured, you can print it by using one of the following ways:

a) Click Print in the Print Preview window;
b) Click the Print button [image] on the toolbar;
c) Choose the Print command from the File menu;
d) Use the keyboard shortcut:

Ctrl + P Cmd + P

The Print dialog will come up with the default printer selected.
In this dialog you can specify the range of pages to print, the number of copies and some other settings.

More information about the Print dialog and available printing options you can find in the section Dialogs - Modal Dialogs - Print


Pages

Working with Pages

A ConceptDraw document may have one or several pages.
Pages are convenient when the document contains information of different kind - such as text descriptions, drawings or pictures. You may place different information on different pages and refer to them with the help of hyperlinks. When you export a document to HTML, all links between pages will be preserved in HTML.

Adding a Page
Background Pages
Going to Another Page
Reordering Pages
Naming a Page
Deleting a Page
Hyperlinking to Pages

Adding a Page

To add a new page to the active document, choose Add from the Page menu, or click the Add Page button [image] on the Pages toolbar. The Add Page dialog will come up. By default, the program names new pages automatically as "Page - N", where N is the new page number. You can change this name to a new one. After you click OK the new page will be added at the end of the page list, and will become active.

For more information about the Page Properties dialog see Dialogs -Modal Dialogs - Page Properties.

Background Pages

ConceptDraw V let you assign a page as background for one or more pages of the document. First you need to create a background page. Activate a page you want to make background. Call Properties from the Page menu. The Page Properties dialog will come up. Enable the Make it background page option. Click OK. Now for each page you want to apply background to, you can choose the background page in the Page Properties dialog.

For more information about the Page Properties dialog see Dialogs -Modal Dialogs - Page Properties.

Going to Another Page

To navigate between pages you can use the drop-down list in the bottom-left corner of the document window. Or you can also use the arrows nearby to go to the previous / next page.

You can use the buttons on the Pages toolbar to go to the first or last page of the document, next / previous page, or choose a page from the list.

For more information about the Pages toolbar see Toolbars - Pages.

Reordering Pages

To change the page order, choose Reorder from the Pages menu. In the Reorder Pages dialog you can specify a new order for the pages.

For more information about the Reorder Pages dialog see Dialogs - Modal Dialogs - Reorder Pages.

Naming a Page

You can see the page name on the document window title bar. To rename a page, choose Properties from the Page menu. In the Page Properties you can give a new name, assign it a background, or turn it into a background page. Click OK to apply changes.

For more information about the Page Properties dialog see Dialogs -Modal Dialogs - Page Properties.

Deleting a Page

To delete a page, choose Delete from the Page menu or use the Delete Page button [image] on the Pages toolbar. The Delete Page dialog will come up, where you can choose a page to be deleted.

For more information about the Delete Page dialog see Dialogs - Modal Dialogs - Delete Page.

Hyperlinking to Pages

To each ConceptDraw shape you can assign a hyperlink, pointing to another page of the document and thus navigate between pages as you do in a Web browser. To point a hyperlink to a page of a document, use the Hyperlink dialog (menu Format / Hyperlink / Edit). Apart from a page, the hyperlink can point to a file, application, URL or an object inside the current document.

For more information about the Hyperlink dialog see Dialogs - Modal Dialogs - Hyperlink.


Layers

You can use layers to organize related shapes on one page in the document. For example, when you draw a house plan, you may put the electrical system to one layer, the water-supply system to another, etc. This makes work more convenient, because you won't accidentally alter the shapes on other layers.

Unlike in the earlier versions, the number of layers in ConceptDraw V is not limited. By default, a document has 9 layers.

Modifying Layer Properties
Assigning a Shape to a Layer

Modifying Layer Properties

Each layer has a set of properties which can be changed in the floating dialog Layers. To call this dialog, enable Floating Dialogs / Layers from the View menu.

In this dialog you can modify the following layer properties:

- Layer Name - to rename a layer, double-click on its name, enter a new one and press Enter or click away from the field.
- Active - only one layer at a time can be active. All the new shapes drawn or dropped on the page are assigned to the active layer.
- Visible - check/uncheck this option to show/hide the shapes of the layer.
- Lock - lets you lock all the shapes of the layer from editing. You may find this helpful for creating borders, background drawings, etc.
- Color - marks all shapes on the layer in one color. To assign the color, click on the Color box and specify the color in the menu which appears. All the shapes of the layer will take the chosen color. To restore the original colors of the shapes, just uncheck the option.
- Print - controls whether the shapes on the layer will be printed. If you don't want the layer to be printed, remove the small printer icon by clicking it with the mouse.

Note: o modify a setting for all the layers at once, you can click on the title bar of a section.

You can also choose the active layer from the Layers toolbar.

For more information about the Layers dialog see the section Dialogs - Floating Dialogs - Layers. For information about the Layers toolbar see Toolbars - Layers.

Assigning a Shape to a Layer

Each shape belongs to a certain layer on the page. When you create or drop a shape on the page, it is assigned to the active layer. You can put one or more selected shapes to another layer.

To do this, you can drag the shapes over the floating dialog Layers and drop them on the name of the layer you wish to assign them to. Another method is to use the Shape Properties dialog.

Select Shape Properties from the Format menu, or use the shortcut:

Ctrl + Shift + C Cmd + Shift + C

In the dialog, select the Information tab. In the drop-down list choose the new layer for the shape.

For more information about the Shape Properties dialog see Dialogs - Modal Dialogs - Shape Properties.


DocWork

Working with a Document

ConceptDraw offers you a number of handy tools and facilities for working with documents. You can modify and save settings for each particular document, multi-paged documents, connected with hyperlinks.

Scrolling
Zooming
Rulers and Grid
Guide Lines and Gluing

Scrolling

To scroll the document, you can use the vertical and the horizontal scroll lines, or the Scroll Hand tool [image] located on the Zoom toolbar.

Note: Some of the tools on the Zoom toolbar may be not displayed by default. To display all available tools on the toolbar, call the Customize dialog (menu View / Toolbars). Choose the Toolbars tab, select the Zoom toolbar in the list and click Reset. The toolbar will be set to display all its tools.

If a page is large and only a part of it is displayed, the Scroll Hand Tool lets you view it in a handy and quick way. It looks like you grab the page with the hand and move it before you.

Switch to the Scroll Hand Tool, it, grab the page with the mouse and move it in the direction you need.

To quit the hand scroll mode, just choose some other tool (for instance the Select Tool [image] on the Drawing Tools toolbar).

You may also use the keyboard for scrolling:

PgUp | PgUp | Scroll one screen up
PgDn | PgDn | Scroll one screen down
Ctrl + Home | Cmd + Home | Go to the top-left corner of the page
Ctrl + End | Cmd + End | Go to the bottom-left corner of the page

For more information about the Zoom toolbar see in Toolbars - Zoom. The Customize dialog is described in Dialogs - Modal dialogs - Customize.

Zooming

Zooming makes for more comfortable editing. It can help you view the whole page, or see some shapes of the drawing in close-up. You can increase or decrease magnification using the Zoom In [image] and Zoom Out [image] tools on the Zoom toolbar. The following standard zoom levels are provided (in % of actual size): 1,2,3,6,13,25,50,75,100,125,150,200,400,800,1600,2500. Each time you use the zoom tools, zoom level changes one step higher or lower.

To enlarge the view, click Zoom In [image] on the toolbar, or select Zoom In from the View menu. You can also use the keyboard:

Ctrl + "+" | Cmd + "+"

The shapes appear closer and you can work with greater precision.

To see a larger part of the drawing, click Zoom Out [image] on the Zoom toolbar, or select Zoom Out from the View menu. You can also use the keyboard:

Ctrl + "-" | Cmd + "-"

You can select the desired zoom level or enter a custom value using the Zoom tool on the toolbar
(also available from the View / Zoom menu). The values may range from 1% to 2500%.
Additional commands in the list are:

Last - to return to the previous zoom level,
Page - to view the whole page,
Width - to view the entire page width.

Note: These commands are also accessible from the View / Zoom menu.

To return to the actual size of the document, just set 100% in the zoom field, or select Actual Size from the View menu.

The Zoom Box tool [image] is handy for quickly enlarging or diminishing the view of the selected area on the page.

To enlarge the view: Use the mouse to select the desired rectangular area on the page. On releasing the mouse, the enclosed part will be enlarged to fit the entire window.
To diminish the view: Holding down the Alt (Option) key, use the mouse to select an area on the page. On releasing the mouse button, page view will be diminished. The larger the area enclosed by the zoom box, the smaller zoom level will be set.

Simply clicking on the page with this tool selected works similar to the Zoom In tool (or to the Zoom Out tool if you hold down the Alt(Option) key).

To select the Zoom Box tool do one of the following:
a) Click the Zoom Box [image] button on the toolbar,
b) Choose Zoom Box from the View menu,
c) Use the keyboard:

Ctrl + Shift + Z Cmd + Shift + Z

To quit the Zoom Box tool, just choose some other tool (for instance, Select Tool [image] on the Drawing Tools toolbar).

For more information about the Zoom toolbar see in Toolbars - Zoom.

Rulers and Grid

Rulers and Grid help you position the shapes precisely in your documents, and measure the dimensions of the shapes which are on page. The Rulers and Grid use the units of measure set for the document.

Rulers show the horizontal and vertical measurements for the document. In the top left-hand corner of the window (where the horizontal and the vertical rulers meet) you can see the units of measure of the document. You can change the unit of measure for the current document in the File / Document Properties dialog (the Settings tab).
To show/hide rulers, toggle the Rulers option under the View menu.

Another function of the rulers is that you can drag vertical and horizontal Guide Lines out of them. You can glue shapes to a guide line, and they will be moved together with the line, retaining their arrangement.
To insert a guide line, click on the ruler, drag the guide out of it, and place it where you want it to appear. When you release the mouse button, the guide will appear.

Grid is made up by thin lines crossing the document at equal intervals

The grid helps to position shape more precisely. You can show/hide the grid in the document. Use the Grid option in the View menu.

By default, the grid is not printed with the document.
If you want grid to be printed, set the Fixed Grid mode in the Grid & Rulers dialog (Tools / Grid & Rulers).
Non-Fixed grid is never printed.
The Grid & Rulers dialog also lets you some other parameters of the grid for the active document.

For more information about the Grid & Rulers dialog see Dialogs - Modal Dialogs - Grid & Rulers.

Guide Lines and Gluing

Sometimes you may need to align shapes horizontally or vertically, and retain this alignment when moving all these shapes. This can be done by gluing shapes to a Guide Line. After you glue the shapes, you can move the guide line, and they all will be moved together with it.

A Guide Line is a special ConceptDraw shape which is used for aligning shapes and positioning them precisely.

To insert a horizontal or vertical guide line in your document, click on the corresponding ruler (horizontal or vertical), and holding down the mouse, drag a line out of the ruler. Drop the guide line in the position where you need to put it.

You can manipulate (select, move, duplicate, delete) guides in the same way as other shapes.

The Gluing mode [image] is active by default. It allows you to glue shapes to guide lines.
You can enable or disable this mode in the Snap & Glue dialog from the Tools / Snap & Glue, and set Glue to guides there. Or you can use the Glue tool [image] on the Snap & Glue toolbar. .

To glue a shape, move it to the guide line so that its side touches the guide line, and release the shape. The shape will be glued to the guide with the side of the alignment box. Resize handles on the glued side will turn red.

Then you can carry the guide with the glued shape. To unglue a shape, move it away from the guide.

Note: Guide lines are not printed.

You can also glue control handles to a guide line. Turn the Glue mode on and move the control handle to the guide line. On releasing the mouse button, the control handle turns red. Now, when you move the guide line, glued control handles move with it.

It's also possible to glue control handles to connection points of shapes. It's convenient when you need to make one shape dependant on another shape's position.

More information about the Snap & Glue dialog can be found in the Dialogs - Modal Dialogs - Snap & Glue section.
For details about the Snap & Glue toolbar see Toolbars - Snap & Glue.
Control handles are described in Shape Parameter Table - Adding Control Handles to a Shape.


Document Properties

Document Settings

You can configure some parameters that make working with the document more comfortable.

Scale
Units of Measure
Color Palette

Scale

When you are drawing a layout that represents a large real-world object, you may have to use scale (e.g. 1 cm = 1 m). The Scale of the document can be specified in the Document Properties dialog (File / Document Properties), on the Settings tab.

In the dialog you cane choose one of the standard preset ISO scales:
1:1000, 1:500, 1:200, 1:100, 1:50, 1:25, 1:20, 1:10, 1:5, 1:2.5, 1:2, 2:1, 5:1, 10:1, 20:1, 50:1.
If the Metric (ISO) option is active, you can choose one of these standard values from the drop-down list.

If you need a custom scale, choose the Custom option and specify the desired proportion in the corresponding fields: e.g. 1 = 3, 1 in = 1 ft, 1 cm = 1 km, etc.

The default scale is 1:1. If you need to use another scale for many or all future documents, save that scale configuration in a template file, and create all new documents from this template.

For more information about the Document Properties dialog see Dialogs - Modal Dialogs - Document Properties.

Units of Measure

The application uses certain units of measure for all numeric values which are entered and displayed.
The following units of measure are supported:

  • For dimensions and distances:

    inches, decimal | in
    inches, fractional | in
    feet, decimal | ft
    feet, decimal inches | ft, in
    feet, fractional inches | ft, in
    yards | yd
    miles | mi
    millimeters | mm
    centimeters | cm
    meters | m
    kilometers | km

  • For angles:

    degrees | deg
    radians | rad

  • For font size:

    points pt

You can see the currently used units of measure in the top left-hand corner of the document window, where the horizontal and the vertical rulers meet.

You can specify the units of measurement for the active document in the Document Properties dialog, on the Settings tab (menu File / Document Properties).

If you constantly work with the units of measure other than default, you can set them to be used constantly in all new documents.
Call the Preferences dialog (menu Edit / Preferences) and go to the Default tab.
Choose a new value in the Units Of Measure field.
Then each new document will use these units of measure.

Note: In any input field of ConceptDraw dialogs, you can specify values in the measurement systems other than default. Just put the appropriate suffix after the number, e.g. 13 in, 2 mm, 6.5 ft.

For more information about the Document Properties dialog see Dialogs - Modal Dialogs - Document Properties.

Color Palette

When you choose a line or fill color from the corresponding button menus on the toolbar, you may need other colors than those offered in the menus. You may click "More Colors" in the bottom of the menu to bring up the Color dialog. It lets you pick any of the 256 colors, which make up the color palette of the document.

For more information about the Color dialog see Dialogs - Modal Dialogs - Color.

See also:

Working with a Document

  • Scrolling
  • Scale
  • Rulers and Grid

Dialogs - Modal Dialogs - Document Properties.


Templates

Document Templates

In ConceptDraw you can use document templates to make your work more efficient. Templates are convenient when you need to create many similar documents that have the same settings.
Template in ConceptDraw is a file that contains a document with its settings (units of measure, grid size, scale and other properties) and a list of libraries to open. The document in its turn can contain scripts in ConceptDraw Basic. Such scripts can connect to external data sources, such as database, spreadsheet and other. Thus, templates can help to generate documents automatically, saving your time.

Template files have .cdt extension.

Using Templates
The Default Template
Location of Templates
Transporting Templates

Using Templates

When you open a template, you open a copy of the sample document stored in the template, and all the libraries according to the list. The document appears in a new window, and the libraries are added to those already open in the library window.

Templates are particularly helpful in several cases:

When you need to create multiple documents of similar look (for instance, a weekly report form, or a product presentation template) and include common basic elements (company logo, standard header, etc.). In this case, simply save the sample as a template once, and use this template for creating new similar documents.

When your documents require specifically customized settings (related to your country specifics or to your purposes). This may involve page size, units of measure, font styles, text formatting, grid properties, etc. To eliminate the need of reconfiguring your documents each time, set all the parameters once and save them in one or more template files.
Note that the settings for each new document are taken from the Blank Drawing.cdt template stored in the Libraries folder.

When you have to create a document related to a specific field (for instance, draw an office layout or a company structure), it is usually a good idea to use task-related object libraries supplied with the program. ConceptDraw includes ready-made templates with lists of the necessary libraries you may use for each specific task. These templates are stored in the same folders as the corresponding libraries. You can create similar templates which include the libraries you need for your custom purposes, and they will be opened each time you use the template

For more information about opening templates, please refer to the Creating a Document Using a Template section.
For specifics on creating and saving templates, see Saving a Document as a Template.

The Default Template

By default, settings for each new document are taken from the Blank Drawing.cdt template which is stored in the Libraries folder inside the ConceptDraw folder.

To create a document from another template, use the Template Gallery which can be called from the File menu.

For more information about opening templates, please refer to the Creating a Document Using a Template section.

If you need to change the default template for all new documents, call the Preferences dialog from the Edit menu. On the Default tab, specify the location of the needed template file, and click OK to save the new setting. Then every new document will be created from the template you specified.

Location of Templates

All templates supplied with ConceptDraw are located in the Libraries folder of the program's root directory. Normally, the Libraries folder contains task-related subfolders. The template files themselves are located in these folders. They have .cdt extension.

The path to the Libraries folder is stored in the Preferences dialog (menu Edit / Preferences) on the Paths tab. The same path indicates which folder will be shown in the Template Gallery dialog.
So if you move the Libraries folder to another location, specify it on the Paths tab: it will be easier to find the templates every time you need them.

As you create your own templates, you may store them in any location. But it is better to store all the templates in one location: they will be easier to access.

Transporting Templates

When moving a template file from one computer to another, keep in mind that a template file only stores references to its libraries rather than the actual libraries. So, you should move the required libraries along with the template. Make sure that the template and the libraries keep their relative positions with respect to one another. Alternatively, you can place the libraries in the same folder with the template.


Object

Shapes

ConceptDraw offers a variety of tools for working with shapes. You can draw segments and figures, group several shapes into one, connect them with connectors and more. The program comes with hundreds of pre-drawn shapes, collected in the libraries. Special tools help to position shapes precisely, align and distribute multiple shapes. Apart from shapes, created in ConceptDraw, you can insert pictures from graphic files and OLE objects.

About Shapes in ConceptDraw

Shapes are the "building blocks" of any ConceptDraw document. ConceptDraw works with several types of shapes. They are:

Figures
Connectors,
Groups,
Pictures,
OLE Objects (Windows version only).

Figures

Figures are made up of elementary segments. There are four types of segments:
LineTo, SectorTo, ArcTo, SplineTo.

Connected segments form a solid path called Geometry. If the beginning of the first segment coincides with the end of the last one, the geometry becomes closed and is filled by default.

A figure may contain several geometries, so it may look like a group of several shapes. But unlike the shapes within a group, all geometries that form a figure always have the same line and fill properties. (A group may include any shapes of different types with different line styles, fill colors, etc.).

See Drawing a Shape with Drawing Tools for details .

ConceptDraw also lets you work with special shapes, such as connectors, pictures, and OLE objects. Connectors can be created by means of the application; pictures and OLE objects are imported from other applications or files.

Connectors

Connectors are used to connect two shapes together. The connector's distinguishing feature is that it keeps the shapes connected even if they are repositioned, resized, etc.

There are two methods for connecting: to the entire shape (connector changes the point to which it's connected when you move the shape) and to a connection point of a shape. For details see the Connectors section.

Groups

A Group is composed of two or more shapes. You can create a group of shapes easily, and work with a group the same way you work with a single shape. You can still select and edit individual shapes by selecting them inside the group. However, it may be more convenient to use Edit Group window. You can call it with the Edit Group command from the Shape menu.
For details see the Grouping and Ungrouping section.

Pictures

Pictures can be imported to ConceptDraw from graphic files of different formats (see the list of formats in the Importing Files section).

For the pictures, only limited editing is possible (rotating, resizing, etc.). For details see the Pictures section.

Win.gif (172 bytes) OLE Objects

The Windows version of ConceptDraw supports Object Linking and Embedding capabilities (i.e. it is an OLE-compatible application). So objects created in other programs can be inserted into your document. In ConceptDraw, OLE-objects can be repositioned and resized. For full editing, you can call the native application from within ConceptDraw.
You can find more information in the section Using ConceptDraw Shapes in other OLE-compatible Applications.

See also:


Draw

Drawing a Shape with Drawing Tools

To create a new shape, you can use the Line [image], Sector [image], Arc [image], and Spline [image] tools from the toolbar.

Choose a tool and use the mouse to draw a segment.
To add another segment to it, start drawing from one of the endpoints of the existing one. This will lengthen the geometry.

If you start drawing a segment at any position with Ctrl (in Windows) or Cmd (in Mac OS) held down, this segment will be assigned to the currently selected shape, expanding it with a new geometry. So, the shape may consist of two (or more) separate geometries, but it's still one shape.

If you hold down the Shift key when drawing, the constrained drawing mode switches on. The way in which the constrained segments behave depends on the segment type.

Basic Segments

LineTo: a line segment. It can be created with the Line tool. To constrain a line to any 45-degree angle, hold down the Shift key as you drag.
Note: To switch to the Line tool, you can also select Line Segment from the Insert menu, or press Ctrl+3.

ArcTo: a sector of a circle. It can be created with the Sector tool. The direction in which you first drag the mouse determines which way the curve bows. The point where you release the mouse button defines the other endpoint of the sector. To change the direction in which the curve bows, hold down the Shift key when you drag.
Note: To switch to the Sector tool, you can also choose Sector Segment in the Insert menu, or press Ctrl+4

EllipseTo: an elliptical quarter segment. Use the Arc tool to create it.
Note: To switch to the Arc tool, you can also select Arc Segment from the Insert menu, or press Ctrl+5.

Spline To: a smooth curve (also called spline). It can be created with the Spline tool. This tool works like a pencil on paper, the only difference is that the curve results smooth rather than jagged. Once drawn, the spline is easy to modify by adjusting its vertices and adjustment handles.
Note: To switch to the Spline tool, you can also check Spline Segment in the Insert menu, or press Ctrl+6.
Note: You can control the smoothness of the spline. This can be done with the Spline Smooth control in the Geometry floating dialog. Spline smoothness may range from 0 to 100. When it equals 0, the spline is not smoothened at all and exactly follows the movements of the mouse. 100 provides maximal smoothness. For details see Dialogs - Floating Dialogs - Geometry.

Elementary Shapes

Besides single segments, you can also draw some widely-used shapes: rectangle, ellipse, "Text" shape. Use the corresponding toolbar buttons for each of them.

Rectangle: creates a filled rectangle. Drag the mouse to determine its size. By holding down the Shift key as you draw, you constrain the rectangle to a square.
Note: To switch to the Rectangle tool, you can also select Rectangle from the Insert menu, or press Ctrl+7.

Ellipse: draws a filled ellipse. Drag the mouse to determine its size. By holding down the Shift key as you drag, you constrain the ellipse to a circle.
Note: To switch to the Ellipse tool, you can also select Ellipse from the Insert menu, or press Ctrl+8.

Edit Text: creates a "Text" shape. Drag the mouse to determine the size of the box. If you hold down the Shift key as you drag, you will get a square box. After you release the mouse button, the Edit Text mode switches on, and you can type the text in the box.
Note: To switch to the Edit Text mode, you can also select Text from the Insert menu.

In any other tool mode, you can activate the text editing mode for a while: just select the needed shape and press F2. And when you finish editing text, press F2 or Esc.


LibObj

Inserting a Shape from a Library

The fastest way to create drawings is to use pre-drawn library shapes. ConceptDraw comes with a large collection of library shapes that cover various topics. When you create a document from a template, the libraries associated with this template are opened automatically.

There are several methods for adding a library shape to a document:

a) Drag and Drop:
Grab the library shape by its icon in the library window, drag it to the place in the document where you want to put it and release the mouse button.

b) Double-click:
If you double-click a library shape in the library window it will be inserted in the center of the active document window.

c) Copying and pasting:
Call the context menu on the library shape, and choose Copy from the menu. The shape will be copied to the Clipboard. Then go to the document and choose Paste from the context menu. The contents of the Clipboard will be inserted in the mouse position.

For more details about using the libraries see the Libraries section.


Operations

Operations on Shapes

ConceptDraw V offers a variety of ways of working with shapes. You can change shape properties, assign text and hyperlinks, rotate and resize shapes and many more.

Selecting
Copying and Pasting
Duplicating
Moving
Rotating and Flipping
Resizing
Reshaping
Changing the Front-to-Back Order
Distributing Shapes
Aligning Shapes
The Join, Combine and Separate Operations
Grouping and Ungrouping
Substituting a Shape with another Shape
Copying Shape's Visual Attributes
Deleting
Undo and Redo

Selecting

Selecting a Shape
Selecting Multiple Shapes
Primary and Secondary Selection
Selecting Shapes Inside a Group
Selecting Shapes in the Order they were Created

Selecting a Shape

To work with a shape, you need to select it. Selected shapes are surrounded by a dashed green or blue line which shows the shape's alignment box.

In most cases, the Select mode is used for selecting shapes. To switch to the Select mode, use any of the following ways:

a) click on the Select button [image] on the toolbar,
b) choose Select in the Tools menu,
c) or use the keyboard:

Ctrl + 1 Ctrl + 1

To select a shape, just click it with the mouse.
When you select a shape, it also shows handles which you can drag to modify some properties of the shape.
Handles vary with the type of the shape and the tool which is currently active on the toolbar. Here you can see how an ellipse looks if selected in different tool modes: Select, Line, Arc.

Multiple Selection

To select several shapes at a time, click them one by one, holding down the Shift key. To deselect one of the selected shapes, hold down Shift and click this shape again (this can be done for Select Box as well, see below).

In the Select [image] or Rotate [image] tool modes, you can also use Select Box for selecting multiple shapes. Click the mouse beyond all the shapes you want to select, and while holding down the mouse button, drag it across the shapes to embrace them with a box. All the shapes touched by the resulting thin-line box will appear selected.

To select all the shapes on the page, choose Select All from the Edit menu.

Ctrl + A Cmd + A

The Select Connected command from the Edit menu allows to select all shapes, connected to the currently selected shape with connectors.

To cancel the selection, click outside the selected shapes.

Primary and Secondary Selection

When several shapes are selected, one of them displays green handles: this is the primary selected shape. All the other selected shapes show blue handles: they are secondary selected shapes.

Some operations distinguish between the primary shape and the secondary selected shapes. They use the primary shape as a model for other shapes (Align, Distribute, etc). Other operations such as Information, Hyperlink, Connection Point, work with the primary shape only, and ignore the rest.

You can reassign the primary shape - click another selected shape to make it primary (it will display green handles).

Selecting Shapes Inside a Group

It's also possible to select shapes that are part of a group.

To do this, select the group first and then click on a shape inside the group to select that shape. If the group contains other groups you may need to click a few times until you select the desired shape.

For more comfortable editing (moving, rotating, reshaping, adding or deleting elements), you can use the group editing window. Use the Edit Group command under the Shape menu. The group will be opened in a separate window, where you can edit it as if it were ungrouped.

Selecting Shapes in the Order they were Created

You can also use the Tab key to select shapes. Each time you hit Tab, you select shapes in the order in which they were created or dropped on the page, starting from the currently selected shape. The program will adjust the document page each time you press Tab, so that the selected shape is shown in the center of the screen. If no shape is selected, hitting Tab will select the first shape you have drawn or dropped on the page.

You can also use the Select Next command under the Edit menu with the same result.

Holding down the Shift key when hitting Tab reverses the selection order - so does Select Previous under the Edit menu.

Copying and Pasting

You can exchange information between ConceptDraw and other applications by using the Clipboard. The Clipboard is a temporary storage area used by the system to transfer data between documents and applications. By using the Cut, Copy and Paste commands, you can copy the selected text or shapes onto the Clipboard and then insert it to another location.

Cut and Copy

The Copy command creates a copy of the selected shapes or text and places it onto the Clipboard.
Use Copy tool [image] on the toolbar, or select Copy from the Edit menu.

Ctrl + C
Ctrl + Ins 		Cmd + C

Once there is some data on the Clipboard, it can be inserted into the same document, or other documents and applications.

The Cut command combines two operations: Copy and Delete. It places the selected items on the Clipboard, and then deletes them from the document. To use this command, choose Cut from the Edit menu, or click the Cut button [image] on the toolbar.

Ctrl + X
Shift + Del 		Cmd + X

Note: On the Macintosh platform, ConceptDraw uses the PICT format to exchange data with other applications.

Paste

The Paste command inserts the content of the Clipboard into the cursor position. To perform the command, select Paste from the Edit menu, or use the Paste tool [image] on the toolbar.

Ctrl + V
Shift + Ins 		Cmd + V

Note:
If you paste an object created in another OLE-compatible application, it will be inserted as an OLE Object.
In the Mac version, if the Clipboard contains text, it will be inserted into the shape with primary selection (the one displaying green handles). When none of the shapes are selected, a "Text" shape will be created and the text will be pasted into it.

"Paste Special..."

You can use the Paste Special command to choose in what form the content of the Clipboard will be inserted into your ConceptDraw document (picture, text, etc.).
You can perform the Paste Special command from the Edit menu or use the keyboard:

Ctrl + Alt + V Cmd + Opt + V

"Paste in Place"

If there is a ConceptDraw shape on the Clipboard, the Paste in Place command lets you paste the content of the Clipboard into the same relative position on a page as that from where the original shape was copied or cut.

You can call the Paste in Place command from the Edit menu or use the keyboard:

Ctrl + Shift + V Cmd + Shift + V

This operation is particularly useful when you need to copy or move a shape into another document (or onto another page) so that it's placed in the same position on the page as the original shape.

Note: For pasting objects from other applications, this command works just the same way as the Paste command.

Duplicating

To duplicate the selected shape(s), select Duplicate from the Edit menu.

Ctrl + D Cmd + D

The first copy will appear slightly below and to the right from the original shape.

The Duplicate operation allows to create multiple copies and position them with the desired offset. This is convenient for drawing for instance, a fence - when the distance between each next and previous element is always equal. To create multiple copies with the same offset, perform the duplicate operation once, and move the first copy to the needed position. Each subsequent copy will appear at the same relative distance, as the first copy to the original shape. This way you can quickly and accurately create drawings with many repeating elements.

Another option is to duplicate shapes by using the mouse. You may find it more convenient, as it lets you create a copy and move it to a desired location at the same time. Hold down the Ctrl (in Windows) or Option (in Mac OS) key and drag a copy out of the selected shape to the place where you want to position it.

Note 1: To copy the shapes to another document, use the Copy/Paste operations.

Note 2: Alternatively, you can duplicate shapes by using the Stamp Tool. If there is no shape selected in the library, this tool will clone the selected shape(s) in the document. See the Libraries - Using Libraries and Library Shapes section for details.


Operations - Continue 1

Operations on Shapes

ConceptDraw V offers a variety of ways of working with shapes. You can change shape properties, assign text and hyperlinks, rotate and resize shapes and many more.

Selecting
Copying and Pasting
Duplicating
Moving
Rotating and Flipping
Resizing
Reshaping
Changing the Front-to-Back Order
Distributing Shapes
Aligning Shapes
The Join, Combine and Separate Operations
Grouping and Ungrouping
Substituting a Shape with another Shape
Copying Shape's Visual Attributes
Deleting
Undo and Redo

Moving

You can use the keyboard or the mouse for moving shapes.

Moving Shapes with the Keyboard

Only selected shapes can be moved with the keyboard. (See Selecting for specifics).
Moving shapes by pixels helps you position the shapes more precisely. Press an Arrow key to move the selection by one screen pixel with each keystroke. Use a higher Zoom level for more precise positioning.

If you hold down Shift when moving the selection by Arrow keys, the shape(s) will be moved by bigger steps.

Note: Make sure there are no handles selected on the shape before you start moving it with the keyboard, otherwise you'll move the handles instead of the shape itself.

Moving shapes with the Mouse

You can drag a shape with the mouse when the pointer turns into a black arrow over this shape.
To move several shapes at a time, select them (holding down the Shift key) and start dragging when the pointer turns into a black arrow over one of the selected shapes.

The ways of moving a shape may vary depending on the tool mode which is currently on.

1) When the Select [image], Rotate [image], Rectangle [image] or Ellipse [image] tool is active, you can move a shape by dragging either its body or the alignment box.

2) With such tools as Line [image], Sector [image], Arc [image], Spline [image] or Connectors [image] [image], you can move a shape by dragging its alignment box (so the shape(s) should be selected).

When moving a shape with the mouse, you only see its contour. In case you'd like to see the whole shape, stop the mouse and wait for a moment - it will appear in full detail.

To constrain the movement of a shape to strictly vertical or horizontal, hold down the Shift key while you drag the shape, or use the Shift + Arrow keys.

Note: You can protect a shape from being moved horizontally or vertically. In the Protection dialog check X Position to prohibit the horizontal movement, and Y Position for the vertical movement. By checking both of these options you lock the shape against repositioning.

The way shapes behave when moved is also determined by whether the Snap mode [image] is on or off. If the Snapping is on, the shape you are moving jumps to the nearest snap locations (usually the grid nodes), instead of following the mouse directly. This functionality lets you easily align shapes by the grid lines and guides.

Sometimes you may need to position a shape right in the center of the page. To do this, select the shape and use the Center Page command from the Shape / Move To... menu. With the Center Vertically and Center Horizontally commands you can center the vertical or horizontal position of the shape(s) respectively.

Rotating and Flipping

Rotating Shapes
Flipping Shapes

Rotating Shapes

You can rotate a shape by dragging its rotation handles. These are the round handles (usually green or blue) in the corners of the shape's alignment box.

To switch to the Rotation mode, you can use the Rotate tool [image], or choose Rotate in the Tools menu.
When you select a shape in the Rotation mode, it shows the rotation handles, and you can drag them to rotate the shape.

When you drag a rotation handle, the shape turns around its rotation center. By dragging the handle farther out from the shape, you decrease the step of rotation from 30 degree to 0.1 degree, and thus increase the accuracy. The current angle (in degrees) is displayed in the Status bar.

The rotation center is also a handle, it looks like a plus sign in a green circle. You can reposition it by dragging it with the mouse.

If several shapes are selected, you may rotate each of them separately, by dragging a rotation handle of a shape.
If you start dragging with Ctrl (in Windows) or Cmd (in Mac OS) held down, all the selected shapes will rotate simultaneously around their common rotation center.

Note: You can switch between the Select and Rotate modes by clicking on the alignment box of the shape.

You can also use the keyboard to rotate the selected shape(s):

Ctrl + Left Arrow | Cmd + Left Arrow | counterclockwise by 1 degree
Ctrl + Right Arrow | Cmd + Right Arrow | clockwise by 1 degree
Ctrl + Shift + Left Arrow | Cmd + Shift + Left Arrow | counterclockwise by 0.1 degree
Ctrl + Shift + Right Arrow | Cmd + Shift + Right Arrow | clockwise by 0.1 degree

To rotate the selected shapes by 90-degree increments, you can

a) use the Rotate Left (90) and Rotate Right (90) commands from the Shape / Rotate and Flip;
b) use the Rotate Left [image] or Rotate Right [image] tools on the Action toolbar;
c) use the keyboard:

Ctrl + L | Cmd + L | Rotate 90 degrees left
Ctrl + R | Cmd + R | Rotate 90 degrees right

Note: You can protect a shape from rotating and its rotation center from repositioning. To do this, check the Rotate option in the Protection dialog. Locked shapes will display gray padlocks in place of rotation handles and the rotation center, indicating that you can't rotate them.

Flipping Shapes

Flipping changes the shape as if it were reflected in a mirror down or across its middle.
To flip the selected shapes, you can
a) use the Flip Vertical or Flip Horizontal commands from the Shape / Rotate and Flip menu,
b) use the keyboard:

Ctrl + J | Cmd + J | Flip Vertical
Ctrl + H | Cmd + Opt + H | Flip Horizontal

c) use the Flip Vertical [image] or Flip Horizontal [image] tools on the Action toolbar

These operations transpose the opposite sides of the shape with respect to an imaginary horizontal or vertical line that goes through the rotation center of the shape.

If several shapes are selected, the imaginary line goes through their common rotation center.


Operations - Continue 2

Operations on Shapes

ConceptDraw V offers a variety of ways of working with shapes. You can change shape properties, assign text and hyperlinks, rotate and resize shapes and many more.

Selecting
Copying and Pasting
Duplicating
Moving
Rotating and Flipping
Resizing
Reshaping
Changing the Front-to-Back Order
Distributing Shapes
Aligning Shapes
The Join, Combine and Separate Operations
Grouping and Ungrouping
Substituting a Shape with Another Shape
Copying Shape's Visual Attributes
Deleting
Undo and Redo

Resizing

Resizing Shapes with the Mouse and with the Keyboard
How Shapes Behave within a Group
Resizing Shapes Using the Make Same Tools
Resizing a Shape to Fit Its Text

Resizing Shapes with the Mouse and with the Keyboard

To resize a shape, use its resize handles. They look like small square boxes, usually green or blue, and appear when you select a shape.

To resize a shape preserving its proportions, drag any of its four corner handles.

To change the width or height only, drag the corresponding side handle.

Note: If you hold down the Shift key as you drag a handle, the resize action is reversed - a side handle resizes the shape proportionally, and a corner handle unproportionally.

You can resize shapes in either way in the following tool modes: Select [image] , Rectangle [image], Ellipse [image] .
In the Rotate mode [image], you can only resize shapes unproportionally.

If the Snap mode [image] is on, the handle you drag will jump automatically into the nearest snap location (usually a grid node, or to the nearest shape - depending on the Snap settings)

You can also use the keyboard to resize shapes: click the needed resize handle to select it (the selected handle turns magenta), and then use the Arrow keys to move it by 1 pixel, or Shift + Arrow keys to move it faster.

As you resize a shape, the Status Bar registers how the width and height change. (To show the Status bar, check Status Bar in the View menu).

If you need to resize several shapes to the same proportion, you can use one of the following ways:

a) Select these shapes and group them (menu Shape / Group), resize the group by moving its resize handles, and then ungroup it back (menu Shape / Ungroup) to get separate shapes.

b) You can select the relevant resize handles on the shapes (hold down Shift when clicking), and then resize all the shapes together by moving their selected resize handles all together - using the mouse or the keyboard.

Note 1: You can lock a shape against resizing by using the Protection floating dialog.
In this dialog, you can check the options for protection:
Width (to prevent width from altering),
Height (to prevent height from altering) and
Aspect Ratio (preserves the proportions, and allows to resize only proportionally).
Locked handles will appear as gray padlocks, indicating that they can't be worked with.

Note 2: Unproportional resizing may also change one segment type into another. For instance, you can change a SectorTo segment into ArcTo by altering its width or height.

Note 3: It is possible to hide resize handles so that they won't appear on the shape. To do this, uncheck Show Shape Handles in the Behavior floating dialog.

How Shapes Behave within a Group

You can set how a shape will behave within a group when the group is resized.
The Behavior floating dialog lets you to choose among the following 3 options:
- Scale With Group - always change the size of the shape as the group's size changes.
- Reposition Only - move the shape without changing its size.
- Use Group Settings - behave according to the settings of the group to which the shape belongs.
The last option is set by default.

Resizing Shapes Using the Make Same Tools

Sometimes you may need to make one or more shapes equal in size with another shape that serves as a model.
You can use the Make Same tools (menu Shape / Make Same) to equalize the dimensions automatically.

Shape / Make Same Width - to resize the selected shapes to the width of the primary shape,

Shape / Make Same Height - to resize the selected shapes to the height of the primary shape,

Shape / Make Same Size - to equalize both width and height of the selected shapes

Shape / Make Same Style - the visual attributes of the primary shape (line width, colors, fills, text formatting) are copied to other selected shape.

These and other tools are also available from the Arrange toolbar. See the Toolbars - Arrange for more information.

First select the model shape, so that it displays green handles (primary selection).
Then hold down Shift and select the shapes which you want to fit in size to the model.
Then use of the Make Same tools described above.

Here you can see how the Make Same Width tool works:

Note: The width and height of shapes are taken as the width and height of their alignment boxes (the shape's alignment box is displayed by a green or blue dashed line when you select the shape).

Resizing a Shape to Fit Its Text

Sometimes you may need to make a shape the same size as the text it holds.
The Fit To Text tool [image] shrinks or enlarges the selected shape so it matches the size of its text box.

Here's an example of how this tool works:

Note: The Fit To Text command is also available from the Shape menu.

Reshaping

For shapes of different types, you can use several types of handles to reshape them.
To change the form of a figure made up of segments, you use its vertices and adjustment handles.
To manipulate 1-D shapes, you can use their endpoints.
Smart Connectors and some library shapes have control handles which can be used to adjust their position and form.

To manipulate the segments and reshape the figure, you can use the vertices and adjustment handles.

Using Vertices and Adjustment Handles

To change the form of a figure, use its vertices and adjustment handles.
You can select these handles and reposition them, thus changing the arrangement and form of the segments that make up the figure.

To select a handle, click it with the mouse. You can select more than one handle: hold down the Shift key as you click. The selected handles appear in magenta.

You can reposition the selected handles by dragging them with the mouse (when the mouse cursor turns into a cross with arrows DragCursor.gif (64 bytes) over them), or by using the Shift + Arrow keys.

A vertex is a small diamond-shaped handle which appears in the point where two segments meet.

To see the vertices of a shape, select it with any of the segment tools: Line [image], Sector [image], Arc [image] or Spline [image] (you can also choose these tools from the Insert menu).
By dragging a vertex, you change the form of the shape (the form and arrangement of its segments).

Note: By deleting a vertex, you delete the segments to which it belongs. The vertices next to the deleted one will be connected with a segment of the same type as the deleted ones (the priority is as follows: spline, arc, sector, line).

The Adjustment Handles are small round handles which appear on the segments between the vertices.
To make these handles visible and manipulate them, you can apply the Sector tool [image] or the Arc tool [image] .

The adjustment handles are used to change the curvature of the segment:

1) A line segment can be transformed into a sector of a circle by dragging its adjustment handles with the Sector tool or the Arc tool.
2) For a segment of a circle, the adjustment handles change its curvature.
3) For an elliptic arc segment, they adjust the angle and the value of the arc eccentricity.
4) For a spline segment, adjustment handles come associated with vertices. By dragging these handles, you alter the curvature of the spline sections near the corresponding vertices.

Note: For the first three segment types, you can transform one into another by manipulating the handles. For instance, by dragging the adjustment handle of a line with the Sector or Arc tool, you can change it into a sector of a circle and then resize it into an elliptical arc segment, and vice versa.

For more information about the elementary segments see the Drawing Shapes with Drawing Tools section .

Operations on Vertices and Adjustment Handles

Besides moving vertices and adjustment handles, you can perform some additional operations on them.

To select / deselect a vertex or an adjustment handle, just click it with the mouse. To select more than one handle, hold the Shift key down as you point and click each additional handle. The selected handles turn magenta. Now, any operation on handles will affect all the selected handles simultaneously.

If you select a vertex and reposition it with the Shift key held down, its movement will be constrained. The vertex will move strictly along the line coming out of the preceding vertex at any 45 degree angle.
If the Right Shift key is pressed, the movement will be constrained with respect to the following vertex.

To delete the selected handles, use the Del key. Deleting a handle deletes the segment with which the handle is associated.

Note: You can select and move several handles of different types at the same time. However, this works differently with the mouse and the keyboard. With the mouse, dragging affects only handles of the same type as the one you carry. That is, if you drag a rotation handle, all the selected rotation handles of shapes will move along, but the selected resize handles of shapes will stay in place. With the Arrow keys, you move all the selected handles simultaneously (the response of each hanlde will depend on its type).

Adding Vertices

You can use the Insert Vertex tool [image] to insert an additional vertex to a segment. Adding a vertex may be considered as dividing an existing segment into two parts.
To add a vertex to a segment, activate the Insert Vertex tool [image] on the toolbar or check Insert Vertex in the Tools menu.
Select the figure, and between two existing vertices on the figure's contour, click on the place where you want to add a new vertex. The new vertex appears and divides the segment into two new ones.

By inserting vertices, you can also cut the lines and divide a geometry into several ones:
hold down the Cmd (in Mac OS) or Ctrl (in Windows) key when inserting a vertex. In this way you cut the line in the place you insert the vertex.
For a closed figure, this operation will open it.

For an open figure, this operation will divide the geometry to which the vertex was added.

Note: To separate the geometries from each other without reshaping them, select the figure and use the Shape / Operations / Separate menu. Each geometry will become a separate shape.
And vice versa, if you need to merge several geometries into one, superpose their endpoints so that they form a solid path, select them all and use the Shape / Operations / Join command. See The Join, Combine and Separate Operations for more detail.

Working with 1D Shapes

Connectors and all other 1D shapes have the begin point and the end point, called endpoints.

By dragging an endpoint, you resize and rotate the shape at the same time.
And besides, the endpoints are capable of gluing to the connection points of other shapes, so all 1D shapes can be regarded as connectors as well.

You can make any shape behave as a 1D shape (turn it into a connector). Select the shape and in the Behavior dialog, in the Interaction style section, select Line (1-Dimensional), and the shape will display the endpoints. You can use such an shape as a connector.

To learn more about connectors, see the Connectors section.

Smart Connectors and some library shapes have control handles which can be used to adjust their position and form.

Using Control Handles

By dragging a control handle, you can change a certain characteristic of the shape on which it appears (e.g. the shape of a smart connector, the size of a circular sector etc.).

Control handles at the ending points are capable of gluing to the connection points of other shapes, the way the endpoints of connectors are:

Library shapes often have control handles. You cannot create or delete them other than from the Shape Parameter Table (see Shape Parameter Table - Adding Control Handles to a Handle).
You can also use the Shape Parameter Table to add control handles to any shape you create in ConceptDraw.


Operations - Continue 3

Operations on Shapes

ConceptDraw V offers a variety of ways of working with shapes. You can change shape properties, assign text and hyperlinks, rotate and resize shapes and many more.

Selecting
Copying and Pasting
Duplicating
Moving
Rotating and Flipping
Resizing
Reshaping
Changing the Front-to-Back Order
Distributing Shapes
Aligning Shapes
The Join, Combine and Separate Operations
Grouping and Ungrouping
Substituting a Shape with another Shape
Copying Shape's Visual Attributes
Deleting
Undo and Redo

Changing the Front-to-Back Order

Each time you draw a shape, or take it from another document or from a library and drop on the page, the shape gets registered in the order list. ConceptDraw displays shapes according to their position in the order list, so most recent shapes may overlap the ones you created earlier.

Sometimes you may want to change the display order of the shapes. To put the selected shapes to back or to front in the view, you can use the following operations:

1) Send To Back - sends the shape to the back of the order list, so that it is displayed behind all other shapes.
Select the Send To Back item in the Shape / Display Order menu or use the keyboard shortcut:

Ctrl + B Cmd + B

2) Bring To Front - brings the shape to the front of the order list, so that it is displayed above all other shapes.
Select the Bring To Front item in the Shape / Display Order menu or use the keyboard shortcut:

Ctrl + F Cmd + F

3) Send Backward - positions the shape one step higher in the order list.
Select the Send Backward item in the Shape / Display Order menu or use the keyboard shortcut:

Ctrl + Shift + B Cmd + Shift + B

4) Bring Forward - positions the shape one step higher in the order list.
Select the Bring Forward item in the Shape / Display Order menu or use the keyboard shortcut:

Ctrl + Shift + F Cmd + Shift + F

Distributing Shapes

The Distribute tools lets you place three or more shapes at equal distances between the alignment boxes (or between their sides or centers). This operation can be applied to 2-D shapes only.

The shapes are distributed with respect to the primary shape (the one that displays green handles).

You can choose among the following 8 distribution options:

Horizontal -
Distribute Horizontal Spacing - creates unified distances between the alignment boxes,
Distribute Left Edges - between the left edges of the alignment boxes,
Distribute Centers - between the centers of the shapes,
Distribute Right Edges - between the right edges of the alignment boxes;

Vertical -
Distribute Vertical Spacing - creates unified distances between the alignment boxes,
Distribute Top Edges - between the top edges of the alignment boxes,
Distribute Middle - between the centers of the shapes,
Distribute Bottom Edges - between the bottom edges of the alignment boxes.

All these commands are also available from the Shape / Distribute menu, or you can use the Arrange toolbar (see the Toolbars - Arrange section)

Here you can see how the Distribute Vertical Spacing option works: it unifies the vertical spacing between the shapes.

Aligning Shapes

When several shapes are selected, you can align them in different ways with respect to the primary selected shape (the one displaying green handles). The Align tool places the shapes so that their alignment boxes are arranged along a certain horizontal or vertical line. This line is related to the primary shape, going either along one of the sides, or through the center of its alignment box.

There are 6 alignment types:

Vertical -
 Align Left ,
Align Center,
Align Right.

Horizontal-
Align Top,
Align Middle,
Align Bottom.

These commands can be performed from the Shape / Align menu. You can also use the Arrange toolbar (see Toolbars - Arrange)

Here's an example of the Align Left operation:


Operations - Continue 4

Operations on Shapes

ConceptDraw V offers a variety of ways of working with shapes. You can change shape properties, assign text and hyperlinks, rotate and resize shapes and many more.

Selecting
Copying and Pasting
Duplicating
Moving
Rotating and Flipping
Resizing
Reshaping
Changing the Front-to-Back Order
Distributing Shapes
Aligning Shapes
The Join, Combine and Separate Operations
Grouping and Ungrouping
Substituting a Shape with Another Shape
Copying Shape's Visual Attributes
Deleting
Undo and Redo

The Join, Combine and Separate Operations

In ConceptDraw, figures are shapes made up of one or more segments. Several segments joined together are called geometry. A figure may contain more than one geometry.

The Shape / Operations menu holds the commands for working with figures and geometries.
To create complex figures, you can use the Combine operation to make up a figure consisting of several geometries.
This operation can be reversed by the Separate command which splits a complex figure into separate geometries.
The Join operation lets you merge the segments with coinciding endpoints into one geometry, and also form a closed figure by merging separate segments of its contour.

Combine
Join
Separate

Combine

The Combine operation is a special case of grouping: it is applied only to figures, and it groups them into a complex figure with a unified line and fill formatting of all its geometries.

If you want to make up a complex figure by grouping several figures that have the same properties (fill color, line color, line thickness, etc.), select these figures and use the Combine operation: menu Shape / Operations / Combine.
When the properties of the figures are the same, it is better to Combine them rather than Group: combined figures take up less space when saved.

If overlapping figures are combined, the overlapping areas become transparent. This feature is extremely useful for creating "holes" in the closed figures.

Note: If you combine figures having different line and fill properties, all the elements will be formatted after the primary selected figure.

Join

The Join operation (menu Shape / Operations / Join) lets you merge several selected figures into one. All the elements take a unified formatting after the primary selected figure.
The essential difference from the Combine operation is that if a solid path results after the operation, it becomes a single geometry. So when several geometries have some coinciding endpoints, the Join operation merges them into one geometry. (The Combine operation just groups figures with the same properties, but never merges them.) That is why when a closed figure results after the Join operation, it is filled automatically (this never happens when the figures are combined).

Note: Be sure to superpose the endpoints precisely (they must have the same coordinates). The Snap mode [image] is very helpful for this purpose.

You can see the difference between the Combine and Join operations from the illustration below:

Note: If the geometries being joined can not be merged into one (if they have no coinciding endpoints), the Join operation works in the same way as Combine. And since the resulting figure in this case consists of several geometries, it can be split into separate geometries by Separate.

Separate

Figures may consist of several geometries (each geometry is a solid path of joined segments).

The Separate operation (Shape / Operations / Scattering) lets you split a complex figure into separate geometries,
so it is inverse to the Combine operation. If a figure consists of several geometries, the Separate operation will form a separate shape for each geometry of the figure. It looks like dividing a figure into parts it consists of.

Note: The Separate operation takes no effect if you try to split a single geometry (for instance, the one resulted after the Join operation).
To split a single geometry into parts, you should first divide it into several geometries:
activate the Insert Vertex tool [image], and holding down Ctrl (in Windows) or Cmd (in Mac OS), click to indicate the points where you want to split the geometry. Then perform Separate.

Grouping and Ungrouping

ConceptDraw lets you group several shapes to make them behave as a single shape. The resulting group has its own alignment box, and such operations as resizing, rotating and repositioning affect all shapes in the group at once.

To group several shapes, select them (holding down the Shift key), and then use the Group command from the Shape menu.

Ctrl + G Cmd + G

To ungroup the grouped shapes, select the group(s) and use the Ungroup command from the Shape menu. Then you can work with each shape separately.

Ctrl + U Cmd + U

When you resize or rotate a group, all the included shapes are usually resized with the same proportion or rotated by the same increment (such behavior is set by default). So grouping is also helpful if you need to perform the same operation on several shapes.
But you can set a specific behavior for any shape within a group: for instance, you may set some shapes to be only repositioned when the group is resized. For more specific information, please see the Resizing section.

A group may have its own text. When you select a group and start typing text, the text belongs to entire group. When you ungroup the group, it text appears in form of a separate text shape, which has the same dimensions as the group had.

Even when grouped, the shapes can still be worked with. You can modify a shape's properties (line color, fill color, text) once you select it inside the group:

You can also reposition and resize shapes selected inside a group, however, it may be more convenient to use the Edit Group command from the Shape menu:.

Ctrl + E Cmd + E

A new window will be opened, displaying all the shapes inside the group. In this window, you can select any of these shapes and modify them as if they were not grouped. After you finish editing, close the window for the changes to take effect.

Note: A special case of grouping is the Combine operation (Shape / Operations / Combine). The difference is that combined shapes take unified style properties (line and fill color, line thickness, etc.) after the primary selected shape (that with green handles), whereas grouped shapes retain all their individual properties. Combine is preferable when you need to create a complex figure consisting of several elements (geometries) because combined shapes take less memory than grouped ones.

Substituting a Shape with Another Shape

Sometimes you may need to replace several shapes of certain form in a drawing with some other shape (e.g. in a flowchart, or in a network diagram, etc.). Of course, you can delete shapes one by one and create new ones at the same positions. But in this case you would have to reproduce each shape's text, formatting (color, fill etc.), and reconstruct all links to other elements on the scheme.

ConceptDraw lets you easily cope with this task by using the Substitute operation. It lets you replace the selected shape (source shape) with another one (target shape), changing its form but preserving the text, formatting and connections to other shapes. The target shape may be chosen from a library or from the same document.
The Substitute operation can be used for one or several shapes at a time.

To perform the operation:

  1. First, select the target shape (model) in the library or in the document.
    a) To select a target shape from a library, just activate the needed library and click on the shape.
    b) To select a target shape from the same document, click it with the mouse. This shape should have the primary selection (display green handles). Make sure that there is no library shape is selected in the active library (you can simple hide the libraries by pressing F4 or using the View / Libraries menu).
  2. Then, hold down Shift and select the source shape(s) which you need to replace. The source shape(s) will show blue handles (secondary selection).
  3. When the source shape(s) and the target shape are selected, apply the Substitute command from the Edit menu, and the target shape will be substitute all source shapes.
Ctrl + Space Opt + Space

In fact, the Substitute command only changes the form of the shape, preserving its connections with other shapes (by way of connectors tied to the shape) and its properties: size, line formatting, fill and shadow properties, text content and text properties.

If the source or target shape is a group, the internal formatting such as line and fill properties can not be rendered properly (as they may vary in shapes within a group). In this case, only the size, text and connections are preserved.

Copying Shape's Visual Attributes

ConceptDraw has a set of tools that allow to copy visual attributes (color, line properties, text formatting, etc.) from a desired shape and apply them to other shapes.

The primary shape (with green selection) serves as the model; its attributes are copied to other selected shapes (with blue selection). The following tools can be used:

Make Same Line Properties - copies line properties of the primary selected shape to other selected shapes.

Make Same Fill Properties - copies fill and shadow properties (pattern and color) of the primary selected shape to other selected shapes.

Make Same Text Properties - copies text attributes: font type and size, text color and style; font background color; margins and indentation. These attributes are taken from the first symbol of the primary shape's first paragraph, and are applied to entire text of other selected shapes.

Make Same Visual Attributes - copies all visual attributes: line, fill and text properties.

These operations can be accessed from the Shape / Make Same menu. It also contains some other operations, used for resizing shapes, which are described in the Resizing section.


Operations - Continue 5

Operations on Shapes

ConceptDraw V offers a variety of ways of working with shapes. You can change shape properties, assign text and hyperlinks, rotate and resize shapes and many more.

Selecting
Copying and Pasting
Duplicating
Moving
Rotating and Flipping
Resizing
Reshaping
Changing the Front-to-Back Order
Distributing Shapes
Aligning Shapes
The Join, Combine and Separate Operations
Grouping and Ungrouping
Substituting a Shape with Another Shape
Copying Shape's Visual Attributes
Deleting
Undo and Redo

Deleting

You can delete shapes from a document by selecting them and then pressing the Del or Delete key.
The Delete command from the Edit menu has the same effect.

Make sure no handles are selected on the shape (the selected handles appear in magenta). Otherwise, you will delete the handles instead of the shape.

Note: You can lock shapes to protect them from deleting. In the Protection floating dialog check the From Deletion option. Then the program will respond with a warning message each time you attempt to delete the shape.

Undo and Redo

"Undo"

When creating and editing shapes, mistakes are inevitable. So, you may need to cancel a sequence of recent actions and return the document to its previous correct state. The Undo command can be used for this purpose.

To reverse the last action, click the Undo button [image] on the toolbar, or choose Undo from the Edit menu. The menu always specifies the type of the action that will be undone.

Ctrl + Z Cmd + Z

The number of consecutive actions that can be undone is limited. The default value is 30. You can set the desired value for the active document in the Document Properties dialog (File / Document Properties). The higher the number, the more memory the program requires to store the actions.

"Redo"

The Redo operation is inverse to Undo. Use it to reverse the latest Undo operation. Click the Redo button [image] on the toolbar, or select Redo from the Edit menu.

Ctrl + Y Cmd + Y


Connection

Connecting Shapes

ConceptDraw offers you powerful methods for connecting shapes: by gluing the connectors to shapes or to their connection points, you can establish connections which will be preserved even when the shapes are repositioned, flipped or resized.
And moreover, you can connect several shapes at a time, connect shapes automatically, and turn any shape into a connector.

Connectors
Connecting to the Entire Shape
Connecting to a Shape's Connection Point
Connection Points
Smart Connector
Direct Connector
Connecting Multiple Shapes
Auto-Connection Modes

Connectors

Connectors are used for tying shapes together. They rebuild automatically and keep the shapes connected even when they are moved, resized, etc.

You can use direct connectors (straight lines) and smart connectors (made up of horizontal and vertical lines).

To draw a Smart Connector, use the Smart Connector tool [image] on the toolbar or choose Smart Connector from the Insert menu.

Ctrl + 9 Ctrl + 9

To draw a Direct Connector, use the Direct Connector tool [image] on the toolbar or choose Direct Connector from the Insert menu.

All connectors have the begin point and the end point (that is, they are 1D shapes). By dragging an endpoint, you can change the form and size of a connector. The most important function of the endpoints is that you can glue them to the shapes or to their connection points to establish connection.

Note: You can always swap the begin and end points by choosing Reverse Link from the connector's context menu.

To break the connection, just carry the connector to some other place or drag its glued endpoints away from the shapes.

You can manipulate the connectors in the same way as you do with other shapes - you can select them, send to back or to front, delete, set formatting (line color and style, arrowheads - see details in the Shapes - Shape Properties - Line Properties section).

You can also assign text to a connector as to any other shape - just select it and start typing the text.
On a Smart Connector, the associated text appears on its central control point, or where the lines meet.
On a Direct Connector, the text stretches along the connector, from its begin point to the end point.

You can manipulate reposition connector's text with the Text Box tool.

There are two types of connection:

  1. Connection to the entire shape,
  2. Connection to a connection point of the shape.

Connecting to the Entire Shape

Position one the endpoints of the connector over the center of the shape's alignment box, until a black rectangle appears round the shape. On releasing the mouse button, a magenta square will indicate the point at which the connector is currently glued to the shape. As you move the shape, the point of connection changes its location - it jumps to the middle of the side of the alignment box nearest to the connector.

Connecting to a Shape's Connection Point

This way of connecting lets you glue the connector to a certain particular place on the shape (or even outside it). The connector will remain attached to this exact place - connection point - when you manipulate the shapes.

Each shape has 4 default connection points - in the middle of each side of its alignment box. They become visible when you position an endpoint of a connector over one of them.

Note: You can create additional connection points - on the shape or outside it. Use the Connection Point tool [image] from the Drawing Tools toolbar (or the Insert / Connection Point menu) to create, move and delete connection points.

Position one of the endpoints of the connector over the shape, until you see a gray plus in a circle indicating the pointer is over a connection point of the shape. Release the mouse button to establish the connection. The glued endpoint turns red, indicating the place of connection.

Connection Points

Connection Points are the points associated with shapes, to which connectors and control handles can be attached. They look like blue crosses that appear on a shape or near it. When the shape is primary selected, the connection points assigned to this shape are displayed in red. Connection points may lie both on the body of the shape and outside it. Then the red color helps us tell to which shape the connection point belongs.

The Connection Point tool is used to create, move or delete connection points. To choose it, do one of the following:
a) Click the Connection Point [image] button on the Drawing Tools toolbar,
b) or select Connection Point from the Insert menu,
c) or use the keyboard:

Ctrl + 0 Ctrl + 0

To add a connection point to a shape:

  1. Select the shape
  2. Switch to the Connection Point tool.
  3. Click in the place where you want to insert a new connection point.

Note: If the Snap mode [image] is on, the connection points you add will be pulled to the nearest snap locations (normally grid lines and nodes). If you want to position the connection points precisely, you can turn Snap off on the fly by holding down the Alt key (in Windows) or Cmd key (in Mac OS). When you release the modifier key, the Snap mode will be restored again.

If you put a new Connection Point over a shape (no matter whether selected or not), the new connection point is assigned to that shape (the shape will become selected automatically).

If you put a new Connection Point outside any shape, it is assigned to the currently selected shape. If several shapes were selected, the new connection points are added to the shape with primary selection.

In the Connection Point mode [image] you can select, reposition and delete connection points.

To select a connection point, move the mouse over it, so that the pointer changes to [image], and click the mouse button. The selected connection point turns magenta. If you need to select several connection points, hold down Shift when clicking.

To move a connection point, drag it with the mouse to a new location.
To move several connection points at a time, select them and drag by one of the selected connection points (start dragging when the pointer changes to [image] over this connection point).

To delete one or more connection points, select them (hold down Shift for multiple selection) and press the Del key.

In ConceptDraw, you can choose to show / hide connection points of shapes. Use the Connection Points option in the View menu to hide or show connection points.
Note that the connection points remain functional even when they are not visible.

When shapes are inside a group, you can still use their connection points. Normally, these connection points are not visible. But when you select a shape in a group, its connection points appear in gray, and you can glue connectors to them.

If you want to always see the connection points of grouped shapes, enable Connection Points in Groups in the View menu.

For more information about the Drawing Tools toolbar, see Toolbars - Drawing Tools
For more information about the Snap & Glue toolbar, see Toolbars - Snap & Glue.

Smart Connector

The Smart Connector is made up of vertical and horizontal lines which form a solid path. The number of connector legs is not limited by default, however, you can set a maximal number in the Document Properties dialog, the Advanced tab. The main feature of the Smart connector is its ability to change the route depending on how you reposition connected shapes and if there are other shapes on the way.

The Control handles on the legs of the connector let you adjust its shape.

To create a Smart connector, use the Smart Connector tool [image] from the Drawing Tools toolbar.
To get two shapes connected straight away, start and finish drawing the connector over the connection points of the shapes.

Another way is to draw a connector first, and then glue its endpoints to the shapes as you need.

Note: You can also choose Smart Connector from the Insert menu to switch to the Smart Connector tool.

Ctrl + 9 Ctrl + 9

In ConceptDraw V connectors became even smarter:

If you enable the Flow Around Objects in the connector's context menu, it will avoid shapes on its way. Besides you can choose to display line jumps in places where smart connectors cross each other.

For more information about the Drawing Tools toolbar see Toolbars - Drawing Tools.

Direct Connector

The Direct Connector lets you connect shapes with straight lines, and rebuilds when the shapes are moved.
You can draw it with the help of the Direct Connector tool [image]. To get two shapes connected straight away, start and finish drawing the connector over the connection points of the shapes.

Another way is to draw a connector first, and then glue its endpoints to the shapes as you need.

You can turn any shape into a connector by simply changing it into a 1D shape. Select the shape and call the Shape Properties dialog from the Format menu. Choose the Behavior tab and in the Interaction style section of this dialog, select Line (1-D). The shape will show the begin point and the end point which appear in the middle of the left and right sides of the shape's alignment box.

For a 1D shape, dragging the endpoints affects its width and angle at once. By dragging the size handles, you control its height. If the Rotate tool is on, the endpoints are substituted with rotation handles.

Connecting Multiple Shapes

ConceptDraw also offers you handy tools for connecting one shape to several other shapes at a time, by way of connecting to the entire shapes. These following tools are located on the Connecting toolbar:

Connect with Smart Connector
Connect with Direct Connector.

To connect a shape to one or more others:

  1. Select the shape you want to connect to other shapes (it will display green handles - for primary selection).
  2. Then, with the Shift key held down, select the shapes to which the first shape will be connected (they will display blue handles - for secondary selection).
  3. Click the Connect with Smart/Direct Connector button. The shape with primary selection will be connected to the other selected shapes.

For more information about the Connecting toolbar see Toolbars - Connecting.

Auto-Connection Modes

In ConceptDraw, you can use the two modes for connecting shapes automatically:
the Smart Connection Mode [image] (uses the smart connector) and Direct Connection Mode [image] (uses direct connector). The modes can be chosen on the Connecting toolbar.

When in an auto-connection mode, any shape that you add to the document (draw or drop on the page, paste from another application, take from a library etc.) gets automatically connected to the previously selected shape by an automatic connector.

Auto-connection modes are very useful for quickly sketching large schemes. You do not need to think about connecting shapes, you just arrange them on the page.
For example, you can switch to the Smart Connection Mode and draw or select the initial element of the scheme. Then you draw other elements of your scheme, and each new shape you add will be connected automatically to the previous selected shape. You can select a shape and then start creating a new one which should be connected to it.

For more information about the Connecting toolbar see Toolbars - Connecting.


Shape Properties

Each shape has a set of properties, which you can alter - color, line style and weight, fill color and pattern, text properties, etc.
In ConceptDraw you can change these properties by using the corresponding tools, or the dialogs.

Line Properties
Fill Color and Pattern
Shadow
Behavior
Information
Double-Click Action
Hyperlinks

Line Properties

Lines are part of any ConceptDraw shape. You can change line properties in the Shape Properties dialog, the Line tab, which can be called from the Format / Shape Properties menu or from the shape's context menu.

Alternatively you can use the tools on the Formatting toolbar:
Line Color [image], Line Weight [image], Line Pattern [image], Arrow Style [image] (for open figures, segments, connectors). These buttons offer several most common choices. For more options, choose the bottom item in the button menus - the Shape Properties dialog will appear with open Line tab.

The Line tab of the Shape Properties dialog allows you to change various line parameters - pattern, color, weight, arrowhead type and size.

For more information about the Shape Properties dialog see Dialogs - Modal Dialogs - Shape Properties, about the Formatting toolbar - see Toolbars - Formatting.

Fill Color and Pattern

For any closed shape you can assign a fill color and pattern. They can be changed in the Shape Properties dialog (the Fill section of the FIll tab), which can be called from the Format / Shape Properties menu or the shape's context menu.

Alternatively you can use the tools on the Formatting toolbar:
Fill Color [image] and Fill Pattern [image]. When you click on these buttons, menu appears with a number of choices.

For more information about the Shape Properties dialog see Dialogs - Modal Dialogs - Shape Properties, about the Formatting toolbar - see Toolbars - Formatting.

Shadow

You can apply shadow to shapes, sets its fill and pattern.
On the Formatting toolbar you can set the shadow color by using the Shadow Color button [image]. The button menu offers a selection of colors.

Or you can use the Shape Properties dialog (Fill tab, Shadow section), which is called from the Format / Shape Properties menu, or the shape's context menu.

Note: ConceptDraw allows you to change the shadow offset. The offset is set for the entire document. Call the Document Properties dialog from the File / Document Properties menu. Select the Settings tab. In the Shape Shadow Offset section set the desired distance in the Right and Down fields (you may use any units of measure with the appropriate suffix, e.g. 1 in, 35 mm). Click OK.

For more information about the Shape Properties dialog see Dialogs - Modal Dialogs - Shape Properties, about the Formatting toolbar - see Toolbars - Formatting.
For information about the Document Properties dialog see Dialogs - Modal Dialogs - Document Properties.

Behavior

ConceptDraw lets you set behavior and some other parameters of shapes.

You can protect certain properties of shapes against modifying:
- protect shape width against changing;
- protect shape height against changing;
- protect the aspect ratio;
- protect the begin point of a connector against repositioning;
- protect the end point of a connector against repositioning;
- protect the shape from repositioning horizontally or vertically;
- protect the shape from rotation;

Also you can protect shapes from deleting.

Or you can turn a shape into a connector.

You may choose how to display selected shapes - whether to display their alignment boxes, resize or control handles.

All this can be done in the Shape Properties dialog. For more information about the Shape Properties dialog see Dialogs - Modal Dialogs - Shape Properties.

Information

To view or set information about a shape, select the shape and choose Format / Shape Properties. In the Shape Properties dialog, choose the Information tab.

In the Name field you can name the shape.

In the Description field, you can provide information describing the shape. If such shape is exported to HTML, these notes will be displayed as tips in the browser when the mouse cursor points to this shape.

The ID and SubID fields are used for reference only, and cannot be modified.
ID is the individual number of the shape according to the order in which shape are created on the page.
SubID is the sequential number of the shape within a group. It is changed when the operations like Send Backwards, etc. (see Changing the Front-to-Back Order).

Note: The ID and SubID values are used when you describe one shape through another by using formulas. In the table, they are used as references to parameters of other shapes. For more specific information, refer to the Shape Parameter Table section.

For more information about the Shape Properties dialog see Dialogs - Modal Dialogs - Shape Properties, about exporting a document to HTML - see Internet - Exporting a Document to HTML Files.

Double-Click Action

When you double-click a shape, some action is usually performed: the text editing mode is switched on, or the hyperlink is opened, etc.
You can modify the double-click action for one or more shapes. Select these shapes and call the Shape Properties dialog, the Double-Click tab.

The following options are available:

  • Perform no action
  • Edit the shape's text
  • Edit the shape's parameter table. For more information see Shape Parameter Table.
  • Open the group in a new window (only if the shape is a group).
  • Open the hyperlink. This option is set by default for shapes that have a hyperlink. For more information about hyperlinks see the Internet section.
  • OLE verb - if it's an OLE object (Windows only), then double-clicking will open it for editing in the native application. This is the default option for OLE objects. For more information see OLE Objects.
  • Perform a command in the user's context menu. If there are several items, each double-clicking will perform the next command in the list. For more information see Shape Parameter Table - Adding User-Defined Context Menu to a Shape.

For more information about the Shape Properties dialog see Dialogs - Modal Dialogs - Shape Properties.

Hyperlinks

ConceptDraw lets you link its shapes to documents, document pages, files or Internet locations, providing quick access to data of various kinds.

You can assign and edit hyperlinks of the shapes by using the Hyperlink dialog. Select the shape and use the Format / Hyperlink / Edit menu to call this dialog. It lets you create hyperlinks of different types or disable the hyperlink.

Creating and editing hyperlinks is described in the Internet section.

By assigning a hyperlink to a shape you also change the double-click action: double-click will open the hyperlink (see Double-Click Action).

For more information about the Hyperlink dialog see Dialogs - Modal Dialogs - Hyperlink.


Pictures

ConceptDraw lets you import pictures from various graphic files and insert them into your documents. You can also create new pictures by converting ConceptDraw shapes to various graphic formats. Unlike the previous versions, ConceptDraw V can import vector images and store them in an internal vector format. Such vector pictures take up much less resources and allow to perform additional operations on them.

Pictures and Graphic Formats
Raster Pictures
 Vector Pictures
Converting Vector Pictures

Pictures and Graphic Formats

Picture - is one of the shape types, used in ConceptDraw.

To insert a picture into your document, use the Insert / Picture menu.
The file open dialog will come up, where you can choose a picture to be inserted. In the Preview window you can see a small image of the picture.

Note: To find the desired file easier, you can choose the needed file format in the Files of type box.

Click the Open button to open the selected file.
The picture will be inserted in the center of the active window. Note that the picture is now part of the document and is no longer related to the file it was taken from.

Note: If you want the picture to be opened in a separate document, open it using the File / Import command. For more information, refer to the Document - Importing Files section.

Raster Pictures

Raster pictures are stored inside the document and allow limited editing only: you can resize, reposition and rotate them.

ConceptDraw supports the following raster formats:
BMP, ICO, GIF, JPEG, PNG, PCD(Photo CD), PCX, PSD, SGI(Irix), SUN Rasterfile(*.ras, *.sun), Targa(*.tga), TIFF, X Window system bitmap(*.xpm, *.xbm).

Vector Pictures

Working with vector pictures is very much like working with raster ones, except for some additional possibilities.

ConceptDraw supports the following vector graphic formats:
Windows metafile(*.wmf, *.emf), Macintosh PICT(*.pct), AutoCad DXF(*.dxf), Word Perfect Graphics(*.wpg).

Once you've inserted a vector image, you can transform it to ConceptDraw shapes. This is described in the following section.

Converting Vector Pictures

Being a vector drawing program, ConceptDraw provides more control on imported vector images, compared to raster ones. You can convert vector images to ConceptDraw shapes for further editing. ConceptDraw V also employs a proprietary Vector Picture format, which helps to increase performance and reduce document size when working with vector graphics.

When a vector image is inserted into a document, it's stored either in its original format, or is transformed into the proprietary ConceptDraw Vector Picture format. This depends on the platform and original format of the vector image.

For instance, an image in EMF format is stored in its original format in the Windows version of ConceptDraw. It allows for a limited set of operations - resizing, repositioning or rotation, and the original format is preserved.

If a document with such image is opened in the Macintosh version of ConceptDraw, the picture will be automatically transformed into the proprietary ConceptDraw Vector Picture format; however, the original EMF image is also preserved in the document for better compatibility with the Windows version.

The same happens with images in the PICT format. The only difference to EMF is that PICT images are stored in the original format on the Macintosh, and converted into ConceptDraw Picture Format in the Windows version.

Some vector formats, such as Autocad DXF are converted into the internal ConceptDraw format immediately and are never stored in the original format.

You can convert a vector image into a group of ConceptDraw shapes. Select the image in the document, and choose Convert / To Group from the Shape menu.

The result will be a group of ConceptDraw shapes, with which you can work as with any ConceptDraw group - ungroup and work with individual shapes, or edit shapes inside the group without ungrouping.

Sometimes an opposite operation may be required. Documents containing large number of shapes need a lot of memory, and may cause the program to work slowly. In most cases shapes don't contain complex formulas or control handles, can can be converted to the Vector Picture format. This saves memory and increases performance for complex documents.

To convert selected shapes to Vector Pictures, choose Convert / To Vector Picture from the Shape menu. To transform the Vector Picture back into a group of shapes, perform the Convert / To Group command.

Note: The Vector Picture format doesn't preserve all properties of ConceptDraw shapes. Complex formulas and control handles will be lost when you convert shapes to Vector Pictures, and won't be restored when you convert Vector Picture back to ConceptDraw shapes.


Styles

Defining and Using Named Styles

Normally in a diagram similar elements tend to have similar style - fill pattern, line width and color, shadow. Shape text and comments are also made with certain fonts and font size. All these properties properties can be collectively defined as a style.

The drop-down list on the Formatting toolbar lets you select the drawing style. This style will be applied to all selected shapes. All new shapes added to your drawing will adopt the chosen style as well.

In ConceptDraw V you can create your own styles and save them for future use.

To create a style, choose Define Styles under the Format menu. The Define Styles dialog will come up. In this dialog you may set parameters for the new style - line weight and color, fill pattern and color, font attributes and more.

Click the Add... button and give a name to the style. It will be added to the list of styles, allowing you to choose it in the drop-down list on the Formatting toolbar.

Named styles are a great time-saver, as they eliminate the need of setting lots of parameters for each new shape. You just need to do this once, save the settings as a style and apply to desired shapes with a click of the mouse.

For more information about the Formatting toolbar see Toolbars - Formatting.
Detailed description of the Define Styles dialog can be found in Dialogs - Modal Dialogs - Define Styles.


Custom Properties

In ConceptDraw V you can create custom properties for shapes. That is, a shape can act as a visual database field that stores data you can retrieve in a report. For instance, a computer shape in a network diagram can store data about the cost, model, inventory number, system configuration and other.

You can set the program to ask for desired parameters when you insert a library shape in the document. For instance, when you are adding a computer shape from a library, ConceptDraw may ask you the specify its configuration, manufacturer or cost.

Custom properties data can be used in calculations in ConceptDraw Basic scripts. This is useful for creating automatic reports based on your drawings.

To assign or modify custom properties, choose Custom Properties from the Format menu, or from the shape's context menu. If the shape has no custom properties, the program will bring up the Define Custom Properties dialog, where you can create them. Otherwise, the Custom Properties dialog will come up, where you can edit existing properties.

In the open Custom Properties dialog use the Define button to set a new custom property.

Here is a simple example of how to use shape's custom properties:

For instance, let's have the program ask to assign shape's text each time the shape is copied.

Create a new document (from the File / New Document menu), then on the Drawing Tools toolbar select the Rectangle tool [image], and draw a rectangle. This is the shape we are going to work with.

Then from the Format menu select Custom Properties.

A message will come up, asking if you wish to create a new custom property.

After you confirm it, the Define Custom Properties dialog will open, where you can define one property at a time. In the Label field you can enter a name for the property (for instance, "Shape's Text"). Choose String in the Type field. In the Value field enter the text you wish to assign to the shape. Enable the Verify option so that the Custom Property window come up every time you copy the shape or drag it from the library. Click OK.

The Custom Properties dialog will appear. In the Shape Text field you can modify the text you have assigned. Click OK.

Now you need to make the shape's text dependant on the custom properties value. This can be done in the shape's parameter table. Select the rectangle you've created and press F3 (or choose Show Table from the Shape menu. The shape parameter table will open in a separate window. Now you need to insert a section in the table, that controls the shape's text. Choose Insert Section from the Edit menu. The Insert Table Sections dialog will come up. In the dialog, check the Text option. Click OK.

The TextField section will be added to the parameter table. In the TheText field of the TextField section enter the following formula:

=CustomProp.Value1

Now close the parameter table window.

Copy the rectangle by dragging it with the mouse with the Ctrl (Win) or Option (Mac) key held down. For each copy the Custom Properties window will appear. You can change the custom property text in that window. After you click OK, this text will be assigned to the rectangle and will show up in the drawing.

Custom properties are useful for creating library shapes. When you drop a shape with custom properties on a document, you can specify additional parameters for it.

Additional information:
About the Custom Properties dialog - see Dialogs - Modal Dialogs - Custom Properties,
About the Define Custom Properties - dialog - see Dialogs - Modal Dialogs - Define Custom Properties,
About the Drawing Tools toolbar - see Toolbars - Drawing Tools,
About formulas and shape parameter table - see Shape Parameter Table,
About the Insert Table Sections dialog - see Dialogs - Modal Dialogs - Insert Table Sections.


Text

Most of shapes in ConceptDraw can contain text.
ConceptDraw offers you extensive formatting capabilities, and various tools for working with text.

Adding Text to a Shape
 Editing Shape's Text
 Searching and Replacing Text
 Formatting Text
 Repositioning Text
Adjusting a Shape's Size to Fit Its Text
 The Text Auto-Expand Mode

Adding Text to a Shape

To add text to a shape, just select this shape and start typing text in it. The text editing mode turns on immediately to let you enter and edit the text. (You can also use the F2 key to activate the text editing mode.)

If the text appears too small, the view will zoom in automatically for better visibility.
Such behavior is set by default. You can customize it in the Preferences dialog (Edit / Preferences), on the View tab. Here you can set the minimal font size in points for the visible text. For smaller values, autozooming will be activated when you edit text. This tab also lets you disable autozooming if necessary.

When you finish editing, press Esc or F2, or just click outside the text box to quit the text editing mode.

When in the text editing mode, you can use the Text toolbar to change font, font size, font attributes (bold, italic, underlined), and other properties. You may turn on the Text Auto-Expand mode to make shapes grow after their text.

Note: If a hyperlink (an Internet or e-mail address) is found in the text, it will be automatically assigned to the shape when you finish editing. To learn more about this feature (URL autoparsing) and about hyperlinks of different types, see Internet - Using Hyperlinks.

For more information about the Text toolbar see Toolbars - Text

Editing Text

To edit a shape's text, you need to switch to the text editing mode. Select the shape and press the F2 key. If the shape has no hyperlink and its double-click behavior wasn't altered, you may also double-click the shape to start editing text. The text editing mode will turn on, where you can type or delete text, change its formatting. To leave the text editing mode, press F2 or ESC. You may also click away from the shape.

See also the Adding Text to a Shape section.

Searching and Replacing Text

In ConceptDraw you can search for words or phrases in a document and replace them with required text. On the Edit menu, click Find/Replace. In the Find/Replace dialog enter the sting you wish to find, and (if needed) - the string you want to replace it with. Click Find Next. If a match is found, the program will make this text selected and you can replace it if you wish.

For more information about the Find/Replace dialog see Dialogs - Modal Dialogs - Find/Replace.

Formatting Text

You can change text properties using the text formatting tools on the Text toolbar.

You can also use the Text Properties dialog (menu Format / Text).

Ctrl + Shift + T Cmd + Shift + T

The changes apply:
1) If a text block is selected - to the selected text block;
2) If one or more shape is selected - to all selected shapes text.

To change formatting for a portion of text, select it.
Enter the text editing mode (by pressing F2 or choosing the Text tool), then select the needed text area using the mouse or Arrow keys with Shift held down.
You can change font and font size, font and background color, text alignment and style either with the text formatting tools or in the Text Properties dialog. Some parameters, such as indents and margins, can only be set in the Text Properties dialog.

Note: New shape adopt the most recent formatting settings. This helps to maintain consistent look throughout the document.
The Increase Font Size [image] and Decrease Font Size [image] apply to selected shapes or text blocks only, and don't affect global formatting settings.

To change font for selected shapes or text blocks, use the Font tab of the Text Properties dialog (menu Format / Text), or the toolbar:

Select a new font from the drop-down list on the Text toolbar.

To change the font size, choose one from the font size list, or type the desired size in the box.

To increase/decrease the font size by one point, use the Increase Font Size [image] and Decrease Font Size [image] buttons.

Ctrl + ">" | Cmd + ">"
Ctrl + "<" | Cmd + "<"

To change text color, use the Text Color tool [image].

Such font attributes as Bold, Italic or Underline can be set by clicking the corresponding buttons on formatting toolbar:

.

or by using the keyboard:

Ctrl + B | Cmd(Ctrl) + B | Bold
Ctrl + I | Cmd(Ctrl) + I | Italic
Ctrl + U | Cmd(Ctrl) + U | Underline

By default, text has no background and text boxes are transparent (except for the text boxes of connectors).
You can assign the background color for the text in the selected shape(s) in two ways:

  • Use the Text Background tool [image] .
  • Call the Text Properties dialog (menu Format / Text).
    On the Text Block tab click the Text Background button and choose a color from the palette.
    To remove the text background color, check the Transparent option.
    Click OK to apply the changes.

Each shape's text consists of one or more paragraphs. Each paragraph begins with a new line. To start a new paragraph, press the Enter key. For each paragraph, you may set alignment and indentation.
You can align selected paragraph(s) on the left side of the Text Box, on its right side, or on its center.
To align a paragraph, click somewhere within its bounds and click on one of the alignment tools on the toolbar:
Align Left, Align Center, or Align Right or use the keyboard:

Ctrl + L | Cmd(Ctrl) + L | Align Left
Ctrl + E | Cmd(Ctrl) + E | Align Center
Ctrl + R | Cmd(Ctrl) + R | Align Right

Several selected paragraphs can be aligned likewise (select them with the mouse or use Shift + Arrows).

If no paragraph is active, the alignment will be applied to the whole text of the selected shape(s).

Vertical alignment determines the position of the whole text with respect to its Text Box. You can align the text at the top, middle or bottom of the Text Box.
Select the shape(s) and use the following toolbar buttons: Align Top, Align Middle or Align Bottom.

Note: The text alignment can also be set in the Text Properties dialog (Format / Text):
you can specify the horizontal alignment on the Paragraph tab, and the vertical alignment on the Text Block tab.

For more information about the Text toolbar see Toolbars - Text.
For more information about the Text Properties toolbar see Dialogs - Modal Dialogs - Text Properties.

Repositioning Text

You can reposition the text with respect to the shape by manipulating its Text Box. This can be done with the Text Box tool [image]. You can select it on the Drawing Tools toolbar or from the Insert / Text Box menu.

This tool lets you select, resize, rotate and move a shape's Text Box, changing its appearance and position independently of the shape to which the text belongs.

Select the Text Box tool and click on a shape with text. The text's alignment box will appear, allowing to you reposition, rotate or resize the text box by dragging the handles.

This tool is especially useful for working with Direct Connectors.

Note: The Text Box tool can be used to draw Text shapes (shapes, that contain only text). To draw a Text shape, switch to the Text Box tool and drag it to draw a rectangular area, and on releasing the mouse button start typing.

Adjusting a Shape's Size to Fit Its Text

Sometimes you may need to make a shape the same size as the text inside it. You can do this in the following way:
Select the shape, then select Fit to Text from the Shape menu. The shape will be enlarged or shrunk to match the size of its text (its text box).
You can also use the Fit To Text tool [image] on the Arrange & Make Same toolbar.

For more information about the Arrange & Make Same toolbar see Toolbars - Arrange & Make Same.

The Text Auto-Expand Mode

You can use the Text Auto-Expand mode [image] if you want the shape to grow automatically when you add text to it.
When this mode is on, the shape grows in width to fit the longest line of the text, and in height according to the number of lines in the text. Resizing only takes place when you edit the text.

Once activated, this mode works for all the open documents during the entire work session. It is reset when you quit ConceptDraw.

Note: If the Text Box does not coincide with the shape's alignment box, only the text box is resized. For 1D shapes, it is only the text box that is resized. The actual shape won't change its size.


Libraries

ConceptDraw offers you a number of ready-made shapes which you can use in your documents. They are grouped in topical sets as library files. Thus, a library is a collection of shapes usually related to a certain topic (e.g. flow chart, computer network, engineering, etc.).
In ConceptDraw, you can customize the existing libraries and create new ones (both by grouping the existing shapes and by adding new ones).

Using Libraries and Library Shapes
 Creating and Editing Libraries
 Adding Shapes to a Library
 Replacing a Library Shape
 Shape's Icon

Using Libraries and Library Shapes

To open one or more libraries:

  1. Click the Open Library button [image] on the toolbar or use the File / Library / Open menu.
    The Open dialog will come up and show the folder containing the libraries. .
  2. Click to select the needed library. To open several libraries at once, hold down Ctrl (in Windows) or Cmd (in Mac OS) when selecting.
  3. Click Open, and all the chosen libraries will appear in the separate Library window.
Ctrl + Shift + O Cmd + Shift + O

Both libraries and documents can be opened by dragging their file icons into the application window, or onto the application icon.

Note: Re-opening a currently opened library will just make it active, not duplicate it.

To close a library, call its context menu on its title bar and select the Close command from the menu.
To close all the open libraries, choose Close All from the context menu.

You can also use menu commands: File / Libraries / Close and File / Libraries / Close All.

All the libraries supplied are located in the Libraries folder of the application's root directory. The Libraries folder contains task-related subfolders. The library files themselves (with .cdl extension) are located in these folders.

The path to the Libraries folder is set in the Preferences dialog (menu Edit / Preferences) on the Paths tab. It points to the folder, which will be open with the Open Library command.
So if you move the Libraries folder to another location, don't forget to modify the path in the Paths tab: it will be easier to find the libraries when you need them.

If you create your own libraries, you may store the new library files in any location. But it is more convenient to create task-related subfolders inside the Libraries folder, and place your library files there.

All the open libraries are displayed in the special Library window. It usually appears to the left from the document windows.

The library window displays the content of the active library, and holds the tabs with the titles of all the open libraries. The tab of the currently active library is shown as selected. To activate any library from the list, just click the corresponding title tab. Only one library at a time can be active.

The shapes of all the libraries can be displayed in two ways: in the form of icons or text.
In the text view, just the names of the library shapes are displayed in a list.
In the icon view, you can pause the pointer over a shape to see a tip with its name. The shape's prompt also appears in the status bar. The selected shape shows a red border around its icon.

You can switch between the text and icon views either from the menu (View / Libraries Window), buttons on the Libraries toolbar (can be enabled from the View / Toolbars / Libraries menu) or from the library context menu.

To hide or show the library window, press F4 or use the View / Libraries Window menu.

You can easily reposition the library window:

In the Macintosh version, grab the library window at its title bar and carry to a new place.

In the Windows version, the library window can be docked to either side of the application window, or be in the floating state. To dock/detach the library window, double-click on its title. You can drag the detached window to any location. Another way to dock the library window is to move it close to the application window side. You can disable docking in the Preferences dialog, View tab.

There are several ways of inserting a library shape into your document:

  • By dragging and dropping:
    Select the needed library shape and drag it from the library window to the document page. Release the mouse button where you want a copy of the shape to be inserted.
  • By double-clicking the shape:
    If you double-click a shape in the library window, its copy will be inserted in the center of the active document page.
  • By copying and pasting:
    Use the Copy command from the shape's context menu or from the Edit / Library Object menu.
    The copy of the shape will be placed on the Clipboard. Then, in the document window, call the context menu again and use the Paste command. The content of the Clipboard will be inserted in the position of the pointer.

The Stamp Tool [image] mode lets you use a library as a set of drawing tools.
You can also use the Insert / Stamp menu to switch to this mode.

Note: If there is no shape selected in the library, this tool will clone the selected shape(s) in the document. If several shapes are selected, their copies will be grouped automatically. In this case, immediate resizing is also possible.

For more information:
about the Preferences dialog - see Dialogs - Modal Dialogs - Preferences,
about the Library window - see Windows - Library,
about the Libraries toolbar - see Toolbars - Libraries,
about the Drawing Tools toolbar - see Toolbars - Drawing Tools.

Creating and Editing Libraries

ConceptDraw lets you create your own libraries and edit the existing ones (move, delete, add and replace shapes).For manipulating the library files and shapes, you can use the File / Library menu commands or the Libraries toolbar: .

You can create a custom shape library by using the File / Library / New command, the New Library [image] button on the Libraries toolbar, or the keyboard:

Ctrl + Shift + N Cmd + Shift + N

An empty library box will appear in the library window. Now you can add shapes into it: paste them from documents or from other libraries.

To save a library, get the context menu on its title and use the Save command.

If you need to save the library under another name, choose the Save As option. The Save As dialog will come up to let you specify the name and location of the library file.

For saving the active library, you can also use the Save and Save As commands from the File / Library menu, or the Save Library [image] button on the Libraries toolbar.

Note: If any changes were made to a library after the previous saving, the application offers you to save the changes when you close the library.

To set or modify the properties of a library, or to assign a title to a new library, use the Library Properties dialog. To call this dialog, get the context menu on the library's title bar and select the Properties option.
For the active library, you can also use the File / Library / Properties menu.

In this dialog you can specify the title of the library (which is displayed on its button in the library window), and also add information about the author and the company, a subject, and provide a short description. To save the changes, click OK in the dialog and then save the library.

To assign or modify the text, that appears when you pause the mouse pointer over a library shape, use the Library Item Properties dialog. To open it, call the context menu on the library shape and choose Properties. The Item Name field contains the pop-up hint text, and the Item Prompt field contains the text that is displayed in the Status Bar.

For more information:
about the Library Window see Windows - Library,
about the Libraries toolbar - see Toolbars - Libraries,
about the Library Item Properties dialog - see Dialogs - Modal Dialogs - Library Item Properties.

Adding Shapes to a Library

You can add new shapes from your drawings to libraries. There are several ways of doing it:

  • By dragging and dropping: Point to a shape in the document, and holding down the mouse button, drag the shape from the document window to the library window. When you release the mouse button, a copy of the shape will be added to the library.
  • By copying and pasting: Select the shape and copy it to the Clipboard (you can use the Copy command from the Edit or context menu). Then, in the library window, call the context menu for a shape in the library near which you want your shape to be inserted, and click Paste on the menu. The shape will be inserted from the Clipboard in the library, and will become selected. To add a shape to the end of the library, call the context menu at an empty place in the library window and paste the shape there.
  • For a selected shape you can choose the Put into Library option from the Edit menu. The shape will be inserted in the place of the currently selected shape in the library, moving it aside. If there is no shape selected in the library, the shape from the document will be inserted at the end of the library.

Note: To insert a shape from the Clipboard into the active library you may use the Paste command from the Edit / Library Object menu.
Note: If you select several shapes and then drag or paste them to the library, they will be inserted as group (one library shape).

As a shape is inserted into the library, the software creates its library icon automatically. But you can change the library shape's icon if necessary - see Shape's Icon.

For more information about the Library Window see Windows - Library

Replacing a Library Shape

When renewing your library shapes, you may need to update a library shape without changing its icon. To do this, use the Replace command from the Edit / Library Object menu, or use the keyboard:

Ctrl + Shift + I Cmd + Shift + I

Select the shape in the library, then the updated shape in the document, and perform the command. The selected shape in the library will be replaced with the selected shape in the document.

Shape's Icon

In the icon view mode (the View as Icon in the View / Libraries Window menu), the shapes are displayed in the library window in the form of icons. When you add a shape into a library, the application creates its icon automatically. However, you can replace it with a custom icon.

To do this:

  1. Create a Windows Bitmap (.bmp) picture in any graphics editor.
  2. Apply the Change Icon command from the context menu of the shape, which icon you want to replace.
  3. Use the file open dialog to find the picture for the new icon, and click OK.

The current shape's icon will be replaced with the new one.


Internet

ConceptDraw provides you with extended Internet integration: you can create and use hyperlinks, send documents via E-mail, and save your drawings in HTML format to place them on the Web easily.

Sending a Document by E-mail
 Searching the Internet
 Using Hyperlinks
 Exporting a Document to HTML Files
 Working with Documents on a Remote FTP-Server

Sending a Document by E-mail

You can e-mail your documents from within ConceptDraw.

Open (or make active) the document you need to e-mail, and choose the Send via E-Mail command from the File menu.
A new e-mail message will be created in the default mail client. The document will be attached to this message. Specify the e-mail address to which you want to send the document and add your comments in the body of the message if necessary.
To send the message, click the corresponding button in the mail program (usually the Send button).

Searching the Internet

ConceptDraw allows you to launch an Internet search from the application.
Click Search the Internet [image] button on the toolbar, and ConceptDraw will launch the searcher in the browser which is available in your system.

You can set which Internet browser and search engine should be addressed by default:
Call the Edit / Preferences dialog, and use the Paths tab to configure these settings.

For more information about the Preferences dialog see Dialogs - Modal dialogs - Preferences.

Using Hyperlinks

ConceptDraw lets you link your drawings to other documents or Web pages, as well as to other files and programs, providing quick access to data of various kinds. A hyperlink can be assigned to any shape in your document.

You can assign and edit the hyperlinks of the shapes by using the Hyperlink dialog. It lets you create hyperlinks of different types or disable the hyperlink. You can also create the links to Internet and e-mail addresses by typing them directly in the shape's text. To do this, enable the Mark hyperlinks in text option in the Preferences dialog, the View tab. The program will recognize the addresses in the text and assign the hyperlink to the shape.

ConceptDraw looks for the following words in the text:
"http://"
"https://"
"www."
"mailto:"
"ftp://"
"news:"
"file://"
"gopher://"
"telnet:"
"wais:"

All the text after such word up to the first space will be treated as a hyperlink.

This is an easy and useful way of assigning hyperlinks to shapes if the destination is an Internet or e-mail address which should be visible in the document. To delete or re-assign the hyperlink, use the Hyperlink dialog.

To open a hyperlink, double-click on the shape when the mouse cursor turns into [image].

To edit a text hyperlink, select the shape and press F2 to activate the text editing mode. When you finish editing (click outside the shape), the software will recognize the new hyperlink automatically.

Besides e-mail and Internet addresses, you can link your document to another page or shape in the document, another ConceptDraw document, or to any other file or application. To create and edit hyperlinks of all kinds, you can use the Hyperlink dialog.

To assign a hyperlink to a shape, or to edit the existing link:

1. Select the shape.
2. Open the Format / Hyperlink menu, and select the Edit option.
You can also get this command from the shape's context menu, or use the keyboard:

Ctrl + Shift + E Cmd + Shift + E

The Hyperlink dialog will come up for you to specify the destination of the hyperlink.

To open a hyperlink, you can use one of the following alternatives:
a) double-click the shape when the mouse cursor turns into [image];
b) get the context menu of the shape and use the Hyperlink / Open command (also available from the Format menu),
c) select the shape and use the Open Hyperlink button [image] on the Web toolbar.
d) select the shape and use the keyboard:

Ctrl + Shift + H Cmd + Shift + H

For more information about the Hyperlink dialog see Dialogs - Modal Dialogs - Hyperlink.
For more information about the Web toolbar see Toolbars - Web.

Exporting a Document to HTML files

ConceptDraw lets you export your drawings to HTML to place them on the Web easily.

To save a document in the HTML format, use the File / Export / HTML menu.
If you need to export only the particular shapes on the page, select them before exporting.

In ConceptDraw, the HTML export is highly customizable. You can configure the HTML export settings in the HTML Properties dialog, which appears during exporting.

More information about the HTML Properties dialog can be found in the Dialogs - Modal Dialogs - HTML Properties section.

Working with Documents on a Remote FTP-Server

When more than one person works with a document, it's a good idea to store the document on a file server, so that other members of the workgroup have access to the latest version of the document.

ConceptDraw supports working with documents, located on a remote computer (server). The server is accessed via the FTP protocol. The built-in FTP client allows to pick the documents up from the server for editing, and then put them back without leaving ConceptDraw.

To edit a document, located on the server, from the File menu select Open from FTP Server. The Open from FTP Server dialog will come up.

The Server field contains the name of the server, where your documents are stored. The fields Login and Password are used for user identification. In the Path field you specify which document you are going to edit and where it's located.
On clicking Download, the document will be copied to your computer and opened for editing.

To save the document to the FTP server, select Save to FTP Server from the File menu. The Save to FTP Server will appear.

All its fields are the same as in the dialog described above.

If you work with a document regularly, it's convenient to save all access settings in Bookmarks. To do this, press the Bookmarks button [image] in the upper right corner of the access settings dialog. A drop-down menu will come, where you can choose or edit existing bookmarks, or add a new one.

By choosing Add This To Bookmarks... you can add the new bookmark to the list of existing ones. The parameters, which are displayed on the dialog, are remembered in the bookmark. The Add Bookmark dialog will come up, where you can enter the name of the bookmark. When you select a bookmark, the settings stored in it are automatically put in the corresponding fields of the dialog. To edit an existing bookmark, choose Edit Bookmarks.... The Edit Bookmarks dialog will come up where you can edit previously saved bookmarks.

Note: Bookmarks are stored with the application settings and can't be transferred from one computer to another.

For more information:
about the Open from FTP Server dialog - see Dialogs - Modal Dialogs - Open From FTP Server,
about the Save to FTP Server dialog - see Dialogs - Modal Dialogs - Save To FTP Server,
about the Add Bookmark dialog - see Dialogs - Modal Dialogs - Add Bookmark,
about the Edit Bookmarks dialog - see Dialogs - Modal Dialogs - Edit Bookmarks.


Table

Shape Parameter Table

Each ConceptDraw shape is described by dozens of parameters, such as numbers, text or formulas.
All the parameters are brought together in the shape parameter table where you can modify any of them. The table thus gives you full control over the appearance and behavior of the shape.

Displaying the Shape Parameter Table
The Table's Sections
 Formulas
 Adding Control Handles to a Shape
 Adding User-Define Context Menu to a Shape
 Using Formulas to Control Shapes
 Variables Describing a Document
Function Reference

Displaying the Shape Parameter Table

To call the Parameter Table of a shape, select it and use the Show Table command from the Shape menu, or just press the F3 key. This will open the shape's table in a new window.

You can use the following elements of the table:

- the input field lets you edit the contents of the selected cell (enter the value or formula);
- the sections represent groups of parameters: transform characteristics, geometries, line properties, fill format, text format, protection, etc.;
- the cells show the value or formula for each parameter of the shape; you can select a cell and modify its contents in the input field;

The menu bar holds the commands which you can apply to the table (save the table, modify the table view, manipulate sections, etc.).

The input field is at the top of the window. When you click a cell in the table, its contents appears in the input field where it can be edited.
By double-click a cell its contents in the input field will also become selected.
To finish editing and apply the changes, press the Enter key.
To return to the initial values, press the Esc key.
You can also use the corresponding buttons to the left of the input field.
If you enter an invalid formula or value, the program will display an error message.

A cell is the place where the application stores a certain parameter of the shape.
To select (activate) a cell, just click it with the mouse. Once the cell is active, you can edit its content in the input field at the top of the table window. You can use the Arrow keys to activate another cell.
To quickly start editing, double-click the needed cell, and its content appears selected in the input field.

What you see in the cell depends on which viewing mode is set for the table: Values or Formulas.
When in the Values mode, all cells show the values in the current units of measure set for the document.
When the Formulas mode is on, all cells that contain formulas display the formulas. The cells which have no formulas show the values in the tenths of millimeter or in radians (for angles).

To switch to the needed view mode, just check the corresponding option in the View menu.
Note that if a cell contains a formula, the input field will always show a formula when you select the cell, regardless of the viewing mode.

You can input values in the units of measure other than default, by specifying the corresponding suffix after the number, e.g. 12 in, 3.5 ft, 0.66 m. When editing a cell, you can use the data stored in another cell, by clicking that cell with the mouse:

Single click on a cell | Inserts the formula from the cell you clicked into the input field
Ctrl + click on a cell Cmd + click on a cell | Inserts the numeric value of the cell into the input field
Alt + click on a cell Opt + click on a cell | Inserts the cell title into the input field (to refer to it in formulas)

The Table's Sections

The Shape Parameter Table has a number of sections. Each section describes a certain property of the shape (for instance, its position, dimensions, text, etc.). You can hide any section or make it visible again. To show/hide the sections, use the View Sections dialog (select Sections in the View menu).

Some sections may be missing if the shape does not have the corresponding attribute or function (for instance, control handles or the context menu).

To add sections, use the Insert Sections dialog. To call it, select Insert Section from the Edit menu.

Here is the list of sections the table may have: Transform, Geometry, Endpoints, Controls, Connect, Variables, Line Properties, Fill Format, Protection, Text Transform, Character Format, Paragraph Format, Text Block Format, Text Field, Miscellaneous, Actions, Glue Info, Custom Properties.

One of the sections is active (its title bar appears in blue). You can edit the contents of the cells in the active section.
To activate a section, just click its title bar or any of the cells inside it.

Each section can be minimized to its title bar. To minimize a section, activate it and then click on its title bar.
If the section is minimized, you can click on the title bar again to expand the section.

For some sections (such as Geometry, Controls, Connect, Variables, Font Format, Paragraph Format, Actions), a row of cells may describe a single element of the shape (such as a control handle, a linear segment of a figure, and so on). It this case, operations on the whole row are possible: Add Row, Delete Row. They are available from the Edit menu, or from the context menu.

For more information about the View Sections dialog see Dialogs - Modal Dialogs - View Sections.

Formulas

By using formulas, you can make one parameter of a shape dependent on other parameters, or on the actions of the user. Here are some examples of formulas:

Variables.X1+(Variables.X2-Variables.X1)*0.293
_min(0;Geometry1.X2-Variables.X2)
=_IF(Variables.X1=1;_Setf("Variables.X1";0);_Setf("Variables.X1";1))

If you want to reference a cell in a formula, indicate the cell name (displayed in red near the cell), for instance Width, TextAngle, etc.

<cell_name>

The sections to which you can add cells (such sections as Geometry, Controls, Connect, Variables, Font Format, Paragraph Format, Actions) are referred to in a different way:

<section_name>.<cell_name>

The cell name is made up of the column name and the line number,
For example: "Controls.YDyn1"; "Variables.Y2"; "Connect.X1".

For the Geometry section, the section name also includes the section number - because a figure may have more than one geometry.
For example: "Geometry1.Y1", "Geometry2.C2".
So, for the first two cells the names look like this: "Geometry1.Visible" and "Geometry1.Filled".

Formulas often include functions. The full list of functions and their specifics can be found in the Function Reference section.

You may need to address cells describing other shapes.
Every shape has its identification number: you can see it in the title bar of the table window, or on the Information tab of the Shape Properties dialog (the ID field).
This ID is used when you address the parameters of the shape:

<Shape_ID>.<section_name>.<cell_name>

For example: "ObjID13.Geometry2.X1", "ObjID2.Width".

If the shape belongs to a group, the Parent prefix is used to access the group parameters:

Parent.<section_name>.<cell_name>

For example: "Parent.Height".

If you need to refer to a shape inside a group, the following structure is used:

Child<number>.<section_name>.<cell_name>

Íàïðèìåð: "Child2.Angle".
The number parameter corresponds to the order of the shape within the group. You can find this number in the Information tab of the Shape Properties dialog (the SubID field).

The application creates some formulas automatically. Such formulas are called default formulas. For instance, when you create a line, the program will describe one of its parts as follows:

Here, "Width*0.75000" and "Height*0.666667" are default formulas.
Due to these formulas the vertices maintain their relative positions with respect to the alignment box of the shape when the shape is resized. These formulas change automatically when you reposition the shape's vertices or the shape itself.

If a formula has the "=" sign near it, it means that the formula can not be changed in any way other than by editing its cell.
If the formula hasn't the "=" sign before it, it may be altered automatically when you modify the shape and apply actions which change this parameter.

If the parameter indicates dimensions (width, height, etc.), you need to specify the unit of measure for the value. You can use the corresponding suffix after the value - for instance, 15 mm, 25 in, etc. For instance, the Width parameter of the Transform section can look like this:

=15 mm

If you don't specify the unit of measure, the value will be in ConceptDraw internal units (1 internal unit = 0.1 mm).

For angles the internal units of measure are radians. If you want to set angles in degrees, add "deg" to the value:

= 30 deg

Operators in Formulas

Starting from ConceptDraw V you can use operators in formulas, apart from the logical functions AND , _IF, _NOT, _OR and XOR.
The following operators are supported: logical operators AND, EQV, IMP, NOT, OR, XOR; comparison operators <, >, <=, >=, =, <>; exponentiation ^ or**; negation/subtraction -; adding +; multiplication and division *, /; integer division \; modulo arithmetic MOD; string concatenation &.

Logical operators

Operator

 Description
AND

Logical "AND", conjunction. TRUE if both arguments are TRUE, otherwise FALSE. If the arguments are numbers, performs bitwise comparison.
Example:
2>3 AND 2<5 returns TRUE
2 AND 3 returns 2 (bitwise comparison)
EQV

Used to perform a logical equivalence on two expressions. For logical expressions returns TRUE only if both expressions evaluate to TRUE, or if both expressions evaluate to FALSE. The same (only bitwise) applies to numeric expressions.

The following table illustrates how result is determined:
For logical expressions.

A | B | A EQV B
True | True | True
True | False | False
False | True | False
False | False | True

For numeric expressions.

a | b | a EQV b
1 | 1 | 1
1 | 0 | 0
0 | 1 | 0
0 | 0 | 1
IMP

Used to perform a logical implication on two expressions. For numeric expressions works bitwise.

The following table illustrates how result is determined:
For logical expressions.

A | B | A IMP B
True | True | True
True | False | False
False | True | True
False | False | True

For numeric expressions.
a | b | a IMP b
1 | 1 | 1
1 | 0 | 0
0 | 1 | 1
0 | 0 | 1
NOT èëè !

Used to perform logical negation on an expression. For numeric expressions works bitwise.
The NOT A and !A forms are fully equivalent.

The following table illustrates how result is determined:
For logical expressions.

A | NOT A
True | False
False | True

For numeric expressions.

a | NOT a
1 | 0
0 | 1
OR

Used to perform a logical disjunction on two expressions. Returns TRUE if at least one of the expressions is TRUE, otherwise returns FALSE. For numeric expressions works bitwise.

The following table illustrates how result is determined:
For logical expressions.

A | B | A OR B
True | True | True
True | False | True
False | True | True
False | False | False

For numeric expressions.
a | b | a OR b
1 | 1 | 1
1 | 0 | 1
0 | 1 | 1
0 | 0 | 0
XOR

Used to perform a logical exclusion on two expressions. Returns TRUE only if one of the two expressions is TRUE, and the other is FALSE.

The following table illustrates how result is determined:
For logical expressions.

A | B | A XOR B
True | True | False
True | False | True
False | True | True
False | False | False

For numeric expressions.
a | b | a XOR b
1 | 1 | 0
1 | 0 | 1
0 | 1 | 1
0 | 0 | 0

Comparison Operators

The operators <, >, <=, >=, =, <> are used to compare two expressions.

Syntax:

<result>=<expression1> <comparison_operator> <expression2>.

Arithmetic Operators

Arithmetic operators are: Exponentiation ^ or **;
  negation/subtraction-; adding+;
  multiplication and division *, /;
  integer division \; modulo arithmetic MOD;
  string concatenation &.

Operator Description
^ èëè **

Used to raise a number to the power of an exponent.
Example:
2**10 results in 1024.
-

Used to find the difference between two numbers or to indicate the negative value of a numeric expression.
Example:
-5
-(-3) equals 3.
+

Used to sum two expressions. Returns a Boolean value if both expressions are Boolean, or a numeric value if both expressions are numeric. For string expressions, concatenates the strings. If one of the expressions is a string, and the other is not a string - the non-string is converted to a string and both strings are concatenated.

Ïðèìåð:
1+1 results in 2,
2+"some string" results in "2some string",
"some string"+234 results in "some string234".
-

Subtracts one expression from the other.

Example:
1-3 equals -2,
7-4 equals 3.
* Used to multiply two expressions.
/ Used to divide two expressions and return a floating-point result. Division by zero returns the first expression and no error occurs.
\

Used to divide two numbers and return an integer result.
Example:
11 \ 4 equals 2
9 \ 2 equals 4
MOD

Used to divide two numbers and return only the remainder.
Example:
10 MOD 3 returns 1
8 MOD 5 returns 3
8 MOD 3 returns 2
&

Used to force string concatenation of two expressions. Returns a String value. If an expression is not a string, it is converted to a string prior to the operation.

Example:
"some "&"string" returns "some string",
34&"string" returns "34string",
45&56 returns the string "4556".

Note: In fact, this operator is not arithmetic, but belongs to this group because it has the same precedence as other arithmetic operators.

Note: Negation and Subtraction are different operators with different precedence, though they are denoted with the same sign "-".

Operator Precedence

When several operations occur in an expression, each part is evaluated and resolved in a predetermined order. That order is known as operator precedence. Parentheses can be used to override the order of precedence and force some parts of an expression to be evaluated before others. Operations within parentheses are always performed before those outside. Within parentheses, however, normal operator precedence is maintained.

The operators, supported in ConceptDraw, can be divided into 3 groups: arithmetic, comparison, logical. When expressions contain operators from more than one category, arithmetic operators are evaluated first, comparison operators are evaluated next, and logical operators are evaluated last.

Within individual categories, operators are evaluated in the order of precedence shown below:

Arithmetic Operators | Comparison Operators | Logical Operators
^ or ** | = | NOT
negation"-" | <> | AND
*, / | < | OR
\ | > | XOR
MOD | <= | EQV
+, - | >= | IMP
& |  |

For more information about the functions see Function Reference
For more information about the Shape Properties dialog see Dialogs - Modal Dialogs - Shape Properties.

Adding Control Handles to a Shape

Control handles are defined in the Controls section of the table. Control handles can be used to create shapes with intelligent behavior. They can be associated with a parameter or a group of parameters of a shape, allowing you to easily modify the shape by repositioning its control handle. Many library shapes have control handles.

The Controls section is used to create control handles. To add this section to the table, select Insert Section from the Edit menu. In the Insert Section dialog enable the Control Handles option and click OK. This inserts the Controls section in the table. The section already contains one row.

Example:
In this example, a control handle is added to a group of two rectangles so that the second rectangle move when the control handle is moved.

Create a new document by selecting New Document from the File menu, or pressing the button [image] on the main toolbar. Then choose the Rectangle tool - either from the Drawing Tools toolbar ( [image]), from the Insert menu, or from the keyboard:

Ctrl + 7 Ctrl + 7

Draw two rectangles.

Select them and group using the Group command from the Shape menu.

Now lets display the Parameter Table for the entire group. Press F3 or select Show Table from the Shape menu.

We need to create two sections in the table: the Controls section, describing the control handle, and Variables section, which will be used to pass the coordinates of the control handle from the parent shape to the child shape. Choose Insert Section from the Edit menu and in the dialog enable the Control Handles and Variables options.

Click OK. Two sections - Controls and Variables will be inserted in the table.

Now you need to edit the Variables section so that it contains the coordinates of the control handle.

In the Variables.X1 cell, enter "Controls.X1". In the Variables.Y1 enter "Controls.Y1". Now these values are to be passed to the child shape.

Then, lets protect the control handle from repositioning vertically. To do this, enter 1 in the Controls.YBeaheviour1 cell.

Select the frontmost rectangle in the group. Press F3 to call its parameter table. We'll need the Transform section.

In the GPinX cell enter Parent.Width*0.500000+Parent.Variables.X1-Width/2.

This means that when you move the control handle with the mouse horizontally, the frontmost rectangle will move together with the control handle. You can program much more complex behavior by using the formulas. The libraries contain a lot of shapes with such behavior.

For more information:
about the Controls section see The Table's Sections - Controls,
about the Variables section see The Table's Sections - Variables,
about the Main toolbar - see Toolbars - Main
about the Drawing Tools toolbar - see Toolbars - Drawing Tools,
about the Insert Sections toolbar see Dialogs - Modal Dialogs - Insert Table Sections,
about the functions see the Function Reference .

Adding User-Defined Context Menu to a Shape

You can use the shape parameter table to create user-defined menu for shapes. A user-defined menu is convenient for changing the shape's form or text quickly. The Actions section is used to describe the user-defined menu.

Example:

Let's create a custom menu for a rectangle. This menu will contain one item: "Make Width 200mm" which will set the width of the rectangle to 200 mm.

Create a new document using the File / New Document command, or by clicking [image] on the main toolbar.
Then on the Drawing Tools toolbar click [image], or select Insert / Rectangle from the menu - or use the keyboard:

Ctrl + 7 Ctrl + 7

Now draw a rectangle and press F3 to display its table (or choose Shape / Show Table from the menu).

By default, the Actions section doesn't exist in the table - you need to create it. Select Insert Section from the Edit menu. In the Insert Section dialog, choose Actions. The Actions section will be added to the table. It already contains one row, which is enough for this example.

To the Action cell enter

_SETF("Width";200 mm)

_SETF if a function that sets a value for a parameter. In our case, it sets a 200 mm width for the shape.

In the Menu cell enter the name of the menu item - Make Width 200mm.

Now if you close the table, and right-click the rectangle, you'll see a new item in the menu - "Make Width 200mm", which will make the width of the rectangle equal to 200 mm.

For more information:
about the Actions section see The Table's Sections,
about the Main toolbar - see Toolbars - Main
about the Drawing Tools toolbar - see Toolbars - Drawing Tools,
about the functions see Function Reference .

Using Formulas to Control Shapes

In ConceptDraw V it became possible to program behavior of shapes, which is triggered by an event - such as repositioning the shape, resizing it, etc.

Events are specified in formulas, separated with a semicolon:

<formula>; <event1>; <event2>; <event3>

On event a formula is re-calculated and the contents of cells, referenced to by the formula, is updated.

Below is an example of how the program handles events. In the example there is a connector connected to two shapes.

The are the cells from the Glue Info section:

ConnectObjBegin | 1;ShapeID1.EventMove
ConnectObjEnd | 2;ShapeID2.EventMove

After the semicolon go the events on which the parameters will be re-calculated (when either of the shapes is moved). The parameters themselves - the IDs of the connected shapes - are not changed, however, other parameters in the EndPoints section are dependent on them.

BeginX | _CONNECTBEGINX(ConnectObjBegin;ConnectObjEnd;ConnectTypeBegin)
BeginY | _CONNECTBEGINY(ConnectObjBegin;ConnectObjEnd;ConnectTypeBegin)
EndX | _CONNECTENDX(ConnectObjBegin;ConnectObjEnd;ConnectTypeEnd)
EndY | _CONNECTENDY(ConnectObjBegin;ConnectObjEnd;ConnectTypeEnd)

These parameters include the parameters, to which the event is assigned and they will be re-calculated on that event.

Let's describe the events that exist in ConceptDraw V.

Shape's Events.

The following events can be assigned to any ConceptDraw shape. They are specified in the formula in this form:

[<shape_name>.]<event_name>

Event | Triggered When
EventMove | The shape is moved.
EventResize | The shape is resized.
TextEventMove | The shape's text box is moved.
TextEventResize | The shape's text box is resized.
CharPropEvent | The Character Properties section of the table or text formatting in shape are changed.

Also, changing any variable in the parameter table can be an event. For instance, if after a semicolon you write <èìÿ îáúåêòà>.Width in a formula, the formula will be re-calculated only when the width of the specified shape is changed.

Variables Describing a Document

Apart from the variables from the shape parameter table you can use in formulas some variables, which contain various properties of the document (these properties are contained in the Document Properties dialog:

DocTitle | The title of the document.
DocSubj | The subject of the document.
DocAuthor | The author.
DocCompany | The name of the company / organization.
DocDesc | The description.
DocSnapSens | Snap sensitivity.
DocPageSizeX | Returns the page width in the current units of measure.
DocPageSizeY | Returns the page height in the current units of measure.
DocShadowOffsetX | Horizontal shadow offset.
DocShadowOffsetY | Vertical shadow offset.
DocScale | Scale of the document.
PageName | The name of the current page (can be changed by double-clicking the page name in the Page Navigator floating dialog).

For more information about the Document Properties dialog see Dialogs - Modal Dialogs - Document Properties.
For more information about the Page Navigator floating dialog see Dialogs - Floating Dialogs - Page Navigator.


Function

Function Reference

In alphabetical order:

_ABS
_ACOS
_AND
_ANG360
_ASIN
_ATAN
_ATAN2
_CALLTHIS
_CALLTHIS_1ARG
_CALLTHIS_2ARGS
_CENTERX
_CENTERY
 _CHR
_CIRCLE_CENTERX
_CIRCLE_CENTERY
_CIRCLES3RD_X
_CIRCLES3RD_Y
_CMYK
_CONNECTBEGINX
_CONNECTBEGINY
_CONNECTENDX
_CONNECTENDY
_COS
_COSH
_CUT
_DATE
_DEG

_ELLIPSE_ANGLE
_ELLIPSE_ASPECT
_EVALTEXT
_FABS
_FILENAME _FLOOR
_FULLFILENAME
_GLUETOSERVICE
_GRAVITY
_HYP
_IF
_LG10
_LN
_LOCALX
_LOCALY
_MAX
_MEASURE
_MIN
_MOD
_NOT
_OR
_PAGENUMBER
_PAGESCOUNT
_POW
_RAD
_RAND
_RGB

_ROUND
_SCALE
_SETF
_SIGN
_SIN
_SINH
_SQRT
_STYLED_ENDSSIZE
_STYLED_FILLCOLOR
_STYLED_FILLPATCOLOR
_STYLED_FILLPATTERN
_STYLED_FONTCHARLANG
_STYLED_FONTCOLOR
_STYLED_FONTNUM
_STYLED_FONTPOS
_STYLED_FONTSIZE
_STYLED_FONTSPACING
_STYLED_FONTSTYLE
_STYLED_LINEBEGIN
_STYLED_LINECOLOR
_STYLED_LINEEND
_STYLED_LINEPATTERN
_STYLED_LINEWEIGHT
_STYLED_PARAAFTERSPACING
_STYLED_PARABEFORESPACING
_STYLED_PARAFIRSTLINE
_STYLED_PARAHALIGNMENT

_STYLED_PARALEFTINDENT
_STYLED_PARALINESPACING
_STYLED_PARARIGHTINDENT
_STYLED_SHADOWCOLOR
_STYLED_SHADOWPATCOLOR
_STYLED_SHADOWPATTERN
_STYLED_TXTBKGNDCOLOR
_STYLED_TXTBOTTOMMARGIN
_STYLED_TXTLEFTMARGIN
_STYLED_TXTRIGHTMARGIN
_STYLED_TXTTOPMARGIN
_STYLED_TXTVALIGN
_TAN
_TANH
_TEXTHEIGHT
_TEXTLEFT
_TEXTLENGTH
_TEXTRIGHT
_TEXTWIDTH
_TIME
_VALTOTEXT
_VALTOTEXTMES
_WORLDX
_WORLDY
_XOR

By sections:

Mathematical:

  • _ABS
  • _CENTERX
  • _CENTERY
  • _CIRCLE_CENTERX
  • _CIRCLE_CENTERY
  • _CIRCLES3RD_X
  • _CIRCLES3RD_Y
  • _CUT
  • _ELLIPSE_ANGLE
  • _ELLIPSE_ASPECT
  • _FABS
  • _GRAVITY
  • _HYP
  • _LG10
  • _LN
  • _LOCALX
  • _LOCALY
  • _MAX
  • _MIN
  • _MOD
  • _POW
  • _RAND
  • _SIGN
  • _SQRT
  • _WORLDX
  • _WORLDY

Trigonometric:

  • _ACOS
  • _ASIN
  • _ATAN
  • _ATAN2
  • _COS
  • _COSH
  • _PI
  • _SIN
  • _SINH
  • _TAN
  • _TANH

Logical:

  • _AND
  • _IF
  • _NOT
  • _OR
  • _XOR

Functions for transformation and rounding:

  • _ANG360
  • _DEG
  • _RAD
  • _ROUND
  • _FLOOR

Text:

  • _CHR
  • _EVALTEXT
  • _FILENAME
  • _FULLFILENAME
  • _MEASURE
  • _SCALE
  • _TEXTHEIGHT
  • _TEXTLEFT
  • _TEXTLENGTH
  • _TEXTRIGHT
  • _TEXTWIDTH
  • _VALTOTEXT
  • _VALTOTEXTMES

Date and time:

  • _DATE
  • _TIME

Page properties:

  • _PAGENUMBER
  • _PAGESCOUNT

Functions for working with ConceptDraw Basic:

  • _CALLTHIS
  • _CALLTHIS_1ARG
  • _CALLTHIS_2ARGS

Functions for calculating endpoints of connectors:

  • _CONNECTBEGINX
  • _CONNECTBEGINY
  • _CONNECTENDX
  • _CONNECTENDY

Functions for working with named styles:

  • Functions for working with line style
    • _STYLED_ENDSSIZE
    • _STYLED_LINEBEGIN
    • _STYLED_LINECOLOR
    • _STYLED_LINEEND
    • _STYLED_LINEPATTERN
    • _STYLED_LINEWEIGHT
  • Functions for working with fill and shadow
    • _STYLED_FILLCOLOR
    • _STYLED_FILLPATCOLOR
    • _STYLED_FILLPATTERN
    • _STYLED_SHADOWCOLOR
    • _STYLED_SHADOWPATCOLOR
    • _STYLED_SHADOWPATTERN
  • Functions for working with font
    • _STYLED_FONTCHARLANG
    • _STYLED_FONTCOLOR
    • _STYLED_FONTNUM
    • _STYLED_FONTPOS
    • _STYLED_FONTSIZE
    • _STYLED_FONTSPACING
    • _STYLED_FONTSTYLE
  • Functions for working with paragraphs
    • _STYLED_PARAAFTERSPACING
    • _STYLED_PARABEFORESPACING
    • _STYLED_PARAFIRSTLINE
    • _STYLED_PARAHALIGNMENT
    • _STYLED_PARALEFTINDENT
    • _STYLED_PARALINESPACING
    • _STYLED_PARARIGHTINDENT

  • Functions for working with text blocks
    • _STYLED_TXTBKGNDCOLOR
    • _STYLED_TXTBOTTOMMARGIN
    • _STYLED_TXTLEFTMARGIN
    • _STYLED_TXTRIGHTMARGIN
    • _STYLED_TXTTOPMARGIN
    • _STYLED_TXTVALIGN

Other:

  • _SETF

_ABS

_ABS(arg)
Returns the absolute value of the arg number.

_ABS(str)
Returns the str string without changing it.

Examples:
_ABS(-3) = 3
_ABS(0) = 0
_ABS(4) = 4
_ABS("Text") = "Text"

_ACOS

_ACOS(arg)
Returns the arc cosine of the arg (its value is within the -pi/2 to pi/2 range).
The argument value must be within the -1 to 1 range. Otherwise an error code is generated.

_AND

_AND(arg1;arg2)
Returns the bitwise AND.

_AND(str1;str2)
Returns 1 - if the strings are not empty, and 0 - if at least one of them is empty.

_AND(str;arg)
_AND(arg;str)
Returns arg.

Examples:
_AND( 1; 0) = 0
_AND( 3; 2) = 2
_AND("Hello!"; "") = 0
_AND("Text1"; "Text2") = 1
_AND("Text"; 2) = 2

_ANG360

_ANG360(arg)
Returns the arg angle, reduced to the 0 to 2*pi interval.

Examples:
_ANG360( 481 deg ) = 121 deg
_ANG360( -4.5 rad) = 1.7832 rad

_ASIN

_ASIN(arg)
Returns the arc sine of arg (its value is within the -pi/2 to pi/2 range).
The argument value must be within the -1 to 1 range. Otherwise an error code is generated.

_ATAN

_ATAN(arg)
Returns the arctangent of arg (the returned value is within the -pi/2 to pi/2 range).

_ATAN2

_ATAN2(arg1;arg2)
Returns the arctangent of (arg1/arg2). Unlike the _ATAN function, _ATAN2 correctly processes expressions where the arg2 value equals 0. Anyway, the returned value is within the -pi/2 to pi/2 range.

Examples:
_ATAN( 1; 0 ) = 90 deg
_ATAN( 2; 2 ) = 45 deg

_CALLTHIS

Calls a function, written in ConceptDraw Basic built-in scripting language. The function being called must have no arguments.

_CALLTHIS( "proc_name")

The name of the function must be enclosed in quotation marks.

The function being called must look as follows:

Function proc_name (shp As Shape)[ As <Type>]

The shp variable represents the shape, from which the function is called.

_CALLTHIS returns the result returned by the specified function. The result of _CALLTHIS is of the same type as the result of the function being called.

Example:

Create a new document (use the File / New Document menu, or click [image] on the Main toolbar).

Choose the Rectangle tool [image] on the Drawing Tools toolbar and draw a rectangle.

Run the ConceptDraw Basic editor from the menu Tool / ConceptDraw Basic / Document Script / Edit and type the following lines:

Function MyProc(shp As Shape) As Byte
Dim ss As String
ss = InputBox$("Enter text for shape")
shp.Text = ss
End Function

This is the code of the MyProc function which will be called from the shape's context menu by means of _CALLTHIS. Close the ConceptDraw Basic editor window.

Now let's add a menu item to the rectangle's context menu.

Select the rectangle by using the Select tool [image] from the Drawing Tools toolbar. Call the shape parameter table by pressing F3 or choosing Shape / Show Table from the menu.

Add the Actions section to the shape parameter table. Select Insert Section from the Edit menu, then in the Insert Sections dialog choose Actions and click OK.

The Actions section will be added to the table. In the Action cell enter the function:

_CALLTHIS("MyProc")

In the Menu cell enter the name of the menu item: "Call ConceptDraw Basic Function". In the Prompt field enter the text of the prompt that will appear in the status bar: "Click to call a ConceptDraw Basic function". The Checked and Disabled cells must have the FALSE values. Now close the shape parameter table window and right-click on the rectangle. Its context menu contains a new item - "Call ConceptDraw Basic Function". When you choose this item, a dialog comes up where you can change the text of the shape.

_CALLTHIS_1ARG

This function works similar to _CALLTHIS except that one parameter is passed to the function being called.

Syntax:

_CALLTHIS_1ARG( "proc_name"; arg1)

Here proc_name - is the name of the function to be called, and arg1 is the parameter passed to it.

The ConceptDraw Basic function being called must look as follows:

Function proc_name (shp As Shape, arg1 As <Type1>)[ As <Type>],

where shp is the shape that calls the function, and arg1 is the argument to be passed to the function.

Note: The type of the result, returned by _CALLTHIS_1ARG must match the type of the result, returned by the function.

_CALLTHIS_2ARGS

This function works similar to _CALLTHIS and _CALLTHIS_1ARG, except that 2 parameters are passed to the ConceptDraw Basic function being called.

Syntax:

CALLTHIS_1ARG( "proc_name"; arg1; arg2)

Here proc_name is the name of the function being called, arg1, arg2 are the parameters, passed to it. The function being called must look as follows:

Function proc_name (shp As Shape, arg1 As <Type1>, arg2 As <Type2>)[ As <Type>]

Here shp is the shape that calls the function, arg1 and arg2 are the arguments to be passed to the function.

Note: The type of the result, returned by î_CALLTHIS and _CALLTHIS_1ARG must match the type of the result, returned by the function.

_CENTERX

_CENTERX()
Returns the X coordinate of the center of the shape.
The center of the shape is:
- For the Smart Connector: the middle of its central segment, if the number of segments is odd, or the crossing point of two middle segments, if the number of the segment is even.
- For other shapes: the center of the alignment box.

This function may be used, for instance, for positioning the Smart Connector's text.

_CENTERY

_CENTERY()
Returns the Y coordinate of the center of the shape.
The center of the shape is:
- For the Smart Connector: the middle of its central segment, if the number of segments is odd, or the crossing point of two middle segments, if the number of the segment is even.
- For other shapes: the center of the alignment box.

This function may be used, for instance, for positioning the Smart Connector's text.

_CHR

Returns the character that corresponds to the specified number.

Example:

_CHR(32) returns the character with number 32 ("space").

_CIRCLE_CENTERX

_CIRCLE_CENTERX(X1; Y1; X2; Y2; X3; Y3)
Returns the X coordinate of the center of the circle, built upon the three points: (X1;Y1), (X2;Y2) and (X3;Y3).

_CIRCLE_CENTERY

_CIRCLE_CENTERY(X1; Y1; X2; Y2; X3; Y3)
Returns the Y coordinate of the center of the circle, built upon the three points: (X1;Y1), (X2;Y2) and (X3;Y3).

_CIRCLES3RD_X

_CIRCLES3RD_X( X1; Y1; X2; Y2; H)
Returns the X coordinate of the point, that lies at the H distance from the middle point of the vector (X1;Y1) - (X2;Y2). If H is a positive number, this point is to the left of the vector, if negative - the point is to the right of the vector. This function is used to create an arc of the circle upon two points and the height of the arc.

_CIRCLES3RD_Y

_CIRCLES3RD_Y( X1; Y1; X2; Y2; H)
Returns the Y coordinate of the point, that lies at the H distance from the middle point of the vector (X1;Y1) - (X2;Y2). If H is a positive number, this point is to the left of the vector, if negative - the point is to the right of the vector. This function is used to create an arc of the circle upon two points and the height of the arc.

_CMYK

Sets a color in the CMYK format.

Syntax:

_CMYK(C;M;Y;K)

where C, M, Y , K - the components of CMYK color.

Example:

_CMYK(100;0;100;0)

Corresponds to yellow-green color.

It's used to set colors in the shape's parameter table (for such parameters as FillColor from the Fill section, LineColor from the Line Properties section).

_CONNECTBEGINX

It's used in the application to calculate the X coordinate of the connector's begin point.

Syntax:

_CONNECTBEGINX(ObjBegin;ObjEnd;TypeBegin)

Here ObjBegin is the ID of the shape to which the begin point of the connector is glued; ObjEnd is the ID of the shape to which the end point of the connector is glued. TypeBegin represents the connection type: values from 1 to 4 indicated connection to a side, -1 corresponds to "no connection", 5 means connection to entire shape.

Normally this function is used by ConceptDraw to calculate the parameters from the EndPoints section of the connectors. The parameters from the Glue Info section are also used.

BeginX is calculated as follows: _CONNECTBEGINX(ConnectObjBegin;ConnectObjEnd;ConnectTypeBegin), where ConnectObjBegin, ConnectObjEnd, ConnectTypeBegin are parameters from the Glue Info section.

See also _CONNECTBEGINY, _CONNECTENDX , _CONNECTENDY.

_CONNECTBEGINY

It's used in the application to calculate the Y coordinate of the connector's begin point.

Syntax:

_CONNECTBEGINY(ObjBegin;ObjEnd;TypeBegin)

Here ObjBegin is the ID of the shape to which the begin point of the connector is glued; ObjEnd is the ID of the shape to which the end point of the connector is glued. TypeBegin represents the connection type: values from 1 to 4 indicated connection to a side, -1 corresponds to "no connection", 5 means connection to entire shape.

Normally this function is used by ConceptDraw to calculate the parameters from the EndPoints section of the connectors. The parameters from the Glue Info section are also used.

BeginY is calculated as follows:_CONNECTBEGINY(ConnectObjBegin;ConnectObjEnd;ConnectTypeBegin), where ConnectObjBegin, ConnectObjEnd, ConnectTypeBegin are parameters from the Glue Info section.

See also _CONNECTBEGINX, _CONNECTENDX , _CONNECTENDY.

_CONNECTENDX

It's used in the application to calculate the X coordinate of the connector's end point.

Syntax:

_CONNECTENDX(ObjBegin;ObjEnd;ConnectTypeEnd)

Here ObjBegin is the ID of the shape to which the begin point of the connector is glued; ObjEnd is the ID of the shape to which the end point of the connector is glued. TypeBegin represents the connection type: values from 1 to 4 indicated connection to a side, -1 corresponds to "no connection", 5 means connection to entire shape.

Normally this function is used by ConceptDraw to calculate the parameters from the EndPoints section of the connectors. The parameters from the Glue Info section are also used.

See also _CONNECTBEGINX, _CONNECTBEGINY, _CONNECTENDY.

_CONNECTENDY

It's used in the application to calculate the Y coordinate of the connector's end point.

Syntax:

_CONNECTENDY(ObjBegin;ObjEnd;ConnectTypeEnd)

Here ObjBegin is the ID of the shape to which the begin point of the connector is glued; ObjEnd is the ID of the shape to which the end point of the connector is glued. TypeBegin represents the connection type: values from 1 to 4 indicated connection to a side, -1 corresponds to "no connection", 5 means connection to entire shape.

See also _CONNECTBEGINX, _CONNECTBEGINY, _CONNECTENDX.

_COS

_COS(arg)
Returns the cosine of arg (the returned value is within the -1 to 1 range).

_COSH

_COSH(arg)
Returns the hyperbolic cosine of arg.

_CUT

_CUT(arg; iarg)
This function discards a number of significant digits after the point from arg. The iarg parameter indicates how many digits to discard. For negative numbers, it discards the digits before the point.

Example:
_CUT( 123.4567; 3) = 123.456
_CUT(123.4567;-2) = 100
_CUT(123.4567;0) = 123

_DATE

_DATE()
Returns the date when the document was last time modified.

Example:
_DATE() = 04.09.1999 (Mac)
_DATE() = 04 Sep 1999 (Win)

_DEG

_DEG(arg)
Converts arg from radians to degrees.

Example:
_DEG( 3.14) = 180
_DEG(_PI()*3) = 540

_ELLIPSE_ANGLE

_ELLIPSE_ANGLE(koeffX; koeffY; iNumberGeometry; iNumberSegment)
Returns the inclination of the main radius of the ellipse with the central point with (Width*koeffX; Height*koeffY) local coordinates. Other parameters, required for building the ellipse, are taken from the segment with iNumberSegment number of the geometry with the iNumberGeometry number.
This function is the default formula for the D column of the EllipseTo segment in the table.

_ELLIPSE_ASPECT

_ELLIPSE_ASPECT(koeffX; koeffY; iNumberGeometry; iNumberSegment)
Returns the ratio between the large and the small radii of the ellipse with the central point with (Width*koeffX; Height*koeffY). Other parameters, required for building the ellipse, are taken from the segment with iNumberSegment number of the geometry with the iNumberGeometry number.
This function is the default formula for the C column of the EllipseTo segment in the table.

_EVALTEXT

_EVALTEXT(str)
Converts the string value of str to a number.

Example:
_EVALTEXT( "123.456 ") = 123.456
_EVALTEXT( "123") = 123

_FABS

_FABS(arg)
If arg is not zero, returns the absolute value for arg.
If arg equals zero, returns 1.

_FABS(str)
Returns the string value str without changing it.

Example:
_FABS( -3 ) = 3
_FABS( 0 ) = 1
_FABS( 1 ) = 1
_FABS("Text") = "Text"

_FILENAME

_FILENAME()
Returns the filename under which the document is stored.

Example:
_FILENAME() = "Chart.CDD"

_FLOOR

_FLOOR(arg)
Returns the maximum integer number which is less or equal to arg.

Examples:
_FLOOR( 123.4567 ) = 123
_FLOOR( -45.345 ) = -46
_FLOOR( 0 ) = 0

_FULLFILENAME

_FULLFILENAME()
Returns the filename under which the document is stored with the full path.
Example:
_FULLFILENAME() = "D:\ConceptDraw\Chart.cdd" (Win)
_FULLFILENAME() = "MyDisk:Desktop Folder:Chart.cdd" (Mac)

_GLUETOSERVICE

This function is used to get the coordinates of the shape's rotation center when the shape is glued to a guide line by one of its handles.

_GLUETOSERVICE(<Guide_ID>,<Shape_Handle_Number>)

Depending on the type of the guide line - vertical or horizontal - it returns the corresponding coordinate:

For a vertical guide it returns the Y coordinate (GPinY), for a horizontal guide it returns the X coordinate (GPinX).

Note: This function is used internally by ConceptDraw when a shape is glued to a guide line.

_GRAVITY

_GRAVITY(Angle; limit1; limit2)
If Angle is more than limit1 or less than limit2, returns 0.
If Angle is not within the [limit1;limit2] range - returns the pi number.

Examples:
_GRAVITY(30deg; 15 deg; 165 deg) = 0
_GRAVITY(195deg; 15 deg; 165 deg) = pi

Normally, this function is used for setting the orientation of the Text Box, so that the text be readable in whatever position of the shape:
_GRAVITY(Angle;-90 deg;90 deg).

_HYP

_HYP(X; Y)
Returns the length of the hypotenuse of the right-angled triangle with X and Y legs.

Example:
_HYP( 4; 3 ) = 5

_IF

_IF(arg1;arg2;arg3)
If arg1 is a non-zero number, or a non-empty string, the function returns arg2, otherwise - arg3.

Examples:
_IF( 2 > 1; 3; 4 ) = 3
_IF( ""; 3; 4 ) = 4

_LG10

_LG10(arg)
Returns the decimal logarithm of arg.

_LN

_LN(arg)
Returns the natural logarithm of arg.

_LOCALX

_LOCALX(X; Y)
Converts the (X;Y) point from the global coordinates to local coordinates. Returns the X coordinate for the resulting point.

_LOCALY

_LOCALY(X; Y)
Converts the (X;Y) point from the global coordinates to local coordinates. Returns the Y coordinate for the resulting point.

_MAX

_MAX(arg1;arg2)
Returns the bigger of the two numbers: arg1 and arg2.

_MAX(arg;str)
_MAX(str;arg)
Returns the number arg (the string value is ignored).

_MAX(str1;str2)
Returns the length for the longest of two strings: str1 and str2.

Examples:
_MAX( 4; 6 ) = 6
_MAX( "Text"’ ; " Big text ") = 8
_MAX( "Text" ; 7 ) =7

_MEASURE

_MEASURE()
Returns the string containing the current unit of measure.

Example:
_MEASURE() = "ft"

_MIN

_MIN(arg1;arg2)
Returns the minimal of two numbers: arg1 and arg2.

_MIN(arg;str)
_MIN(str;arg)
Returns the number arg (the string value is ignored).

_MIN(str1;str2)
Returns the length for the shortest of two strings: str1 and str2.

Examples:
_MIN( 4; 6 ) = 6
_MIN( "Text"’ ; " Big text ") = 8
_MIN( "Text" ; 7 ) =7

_MOD

_MOD(arg1;arg2)
Returns the excess of arg1 divided by arg2

_MOD(str;arg)
_MOD(arg;str)
Returns the number arg it the other argument is the string str.

_MOD(str1;str2)
Returns zero if both arguments are strings.

Examples:
_MOD( 19; 6 ) = 1
_MOD( "Text" ; "Big text") = 0
_MOD( "Text" ; 7 ) =7

_NOT

_NOT(arg)
If arg is zero or an empty string, returns 1.
Otherwise returns 0.

Examples:
_NOT(0)=1
_NOT(123)=0

_OR

_OR(arg1;arg2)
Returns bitwise OR;

_OR(str1;str2)
Returns 1 - if at least one of the strings is non-empty, 0 - if both strings are empty.

_OR(str;arg)
_OR(arg;str)
Returns the number arg.

Examples:
_OR( 1; 0) = 1
_OR("Hello!"; "") = 1
_OR("Text1"; "Text2") = 1
_OR("Text";2) = 2

_PAGENUMBER

_PAGENUMBER()
Returns the number of the page to which the shape belongs.

_PAGESCOUNT

_PAGESCOUNT()
Returns the number of pages in the document.

_POW

_POW(arg1;arg2)
Raises arg1 to a power of arg2.

_POW(str;arg)
_POW(arg;str)
Returns the arg number if the other argument is a string.

_POW(str1;str2)
Returns zero if both arguments are strings.

Examples:
_POW( 2; 3 ) = 8
_POW( "Text" ; " Big text ") = 0
_POW( "Text" ; 7 ) = 7

_RAD

_RAD(arg)
Converts arg from degrees to radians.

Examples:
_RAD( 90 ) = 1.57

_RAND

_RAND()
Returns a random value within 0 to 32K range.

_RGB

Sets a color in the RGB format. It's used to set colors in the shape's parameter table (for such parameters as FillColor from the Fill section, LineColor from the Line Properties section).

Syntax:

_RGB(R;G;B)

where R, G, B are the red, green and blue components respectively. Each component is in the 0-255 range.

Example:

_RGB(255;0;0)

Corresponds to red color.

_ROUND

_ROUND(arg; iarg)
Returns arg approximated to iarg digits after the decimal point.

Examples:
_ROUND( 123.4567; 3) = 123.457
_ROUND(123.4567;-2) = 100
_ROUND(123.67;0) = 124

_SCALE

_SCALE()
Returns a string describing the current scale of the document in the "N : M" format.

Examples:
_SCALE() = "1 : 1"
_SCALE() = "4 in : 1 ft"

_SETF

_SETF(str; arg)
_SETF(str; strarg)
This function changes the values in the table cells. String str specifies the name of the cell, where to put the data. The arg parameter must contain the new value for the cell. The strarg parameter must contain the string with a new formula for the cell.

Examples:
_SETF( ’’Geometry1.X2’’; ’’Geometry2.X3/2 + Geometry3.X2/4’’)
_SETF(’’Width’’ ; 125 cm)

_SIGN

_SIGN(arg)
Returns the sign of arg:
-1, if arg<0,
1, if arg>0
0, if arg=0

Examples:
_SIGN( 123.4567 ) = 1
_SIGN(-123.4567 ) = -1
_SIGN( 0 ) = 0

_SIN

_SIN(arg)
Returns the sine of arg (the returned value is within -1 to 1 range).

_SINH

_SINH(arg)
Returns the hyperbolic sine of arg.

_SQRT

_SQRT(arg)
Returns the square root from arg. The resulting value is undefined for negative numbers.

_STYLED_ENDSSIZE

Returns the line ends size for the specified named style.

Syntax:

_STYLED_ENDSSIZE("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style.
Returns a value from 0 to 4 indicating one of the 5 possible sizes.
This function is used inside ConceptDraw for assigning a named style to a shape. The value of _STYLED_ENDSSIZE("Style_Name") is set in the LineEndsSize cell of the Line Properties section of the parameter table. Note, that the style name must be enclosed in quotation marks.

_STYLED_FILLCOLOR

Returns the fill color for the specified named style.

Syntax:

_STYLED_FILLCOLOR("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style.
This function is used inside ConceptDraw for assigning a named style to a shape. The value of _STYLED_FILLCOLOR("Style_Name") is set in the FillColor cell of the Fill Format section of the parameter table.

_STYLED_FILLPATCOLOR

Returns the pattern color for the specified named style.

Syntax:

_STYLED_FILLPATCOLOR("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_FILLPATCOLOR("Style_Name") is set in the FillPatColor cell of the Fill Format section of the parameter table.

_STYLED_FILLPATTERN

Returns the pattern style for the specified named style.

_STYLED_FILLPATTERN("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_FILLPATTERN("Style_Name") is set in the FillPattern cell of the Fill Format section of the parameter table.

_STYLED_FONTCHARLANG

Returns the number of the language for the specified named style.

_STYLED_FONTCHARLANG("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_FONTCHARLANG("Style_Name") is set in the Language cell of the Character Format section of the parameter table.

_STYLED_FONTCOLOR

Returns the font color for the specified named style.

_STYLED_FONTCOLOR("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_FONTCOLOR("Style_Name") is set in the Color cell of the Character Format section of the parameter table.

_STYLED_FONTNUM

Returns the font number for the specified named style.

_STYLED_FONTNUM("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_FONTNUM("Style_Name") is set in the Font cell of the Character Format section of the parameter table.

_STYLED_FONTPOS

Returns the position of character with respect to text baseline (0 - normal text, 1 - superscript, 2 - subscript) for the specified named style.

_STYLED_FONTPOS("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_FONTPOS("Style_Name") is set in the Pos cell of the Character Format section of the parameter table.

_STYLED_FONTSIZE

Returns the font size for the specified named style.

_STYLED_FONTSIZE("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_FONTSIZE("Style_Name") is set in the Size cell of the Character Format section of the parameter table.

_STYLED_FONTSPACING

Returns the spacing between characters for the specified named style.

_STYLED_FONTSPACING("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_FONTSPACING("Style_Name") is set in the Spacing cell of the Character Format section of the parameter table.

_STYLED_FONTSTYLE

Returns a number that describes the set of styles of a text block for the specified named style.

_STYLED_FONTSTYLE("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_FONTSTYLE("Style_Name") is set in the Style cell of the Character Format section of the parameter table.

_STYLED_LINEBEGIN

Returns a arrowhead type of the beginning of a shape's geometry for the specified named style.

_STYLED_LINEBEGIN("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_LINEBEGIN("Style_Name") is set in the LineBegin cell of the Line Properties section of the parameter table.

_STYLED_LINECOLOR

Returns the line color for the specified named style.

_STYLED_LINECOLOR("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_LINECOLOR("Style_Name") is set in the LineColor cell of the Line Properties section of the parameter table.

_STYLED_LINEEND

Returns a arrowhead type of the end of a shape's geometry for the specified named style.

_STYLED_LINEEND("Èìÿ ñòèëÿ")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_LINEEND("Style_Name") is set in the LineEnd cell of the Line Properties section of the parameter table.

_STYLED_LINEPATTERN

Returns a line pattern for the specified named style.

_STYLED_LINEPATTERN("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_LINEPATTERN("Style_Name") is set in the LinePattern cell of the Line Properties section of the parameter table.

_STYLED_LINEWEIGHT

Returns the line width for the specified named style.

_STYLED_LINEWEIGHT("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_LINEWEIGHT("Style_Name") is set in the LineWeight cell of the Line Properties section of the parameter table.

_STYLED_PARAAFTERSPACING

Returns the spacing between the current and the next paragraph of the text block for the specified named style.

_STYLED_PARAAFTERSPACING("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_PARAAFTERSPACING("Style_Name") is set in the AfterSpacing cell of the Paragraph Format section of the parameter table.

_STYLED_PARABEFORESPACING

Returns the spacing between the current and the previous paragraph of the text block for the specified named style.

_STYLED_PARABEFORESPACING("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_PARABEFORESPACING("Style_Name") is set in the BeforeSpacing cell of the Paragraph Format section of the parameter table.

_STYLED_PARAFIRSTLINE

Returns the first line indent setting for the specified named style.

_STYLED_PARAFIRSTLINE("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_PARAFIRSTLINE("Style_Name") is set in the FirstInd cell of the Paragraph Format section of the parameter table.

_STYLED_PARAHALIGNMENT

Returns the number that specifies the type of horizontal alignment of the paragraph with respect to the text box for the specified style.

_STYLED_PARAHALIGNMENT("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_PARAHALIGNMENT("Style_Name") is set in the HAlign cell of the Paragraph Format section of the parameter table.

_STYLED_PARALEFTINDENT

Returns the left indent of the paragraph for the specified named style.

_STYLED_PARALEFTINDENT("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_PARALEFTINDENT("Style_Name") is set in the LeftInd cell of the Paragraph Format section of the parameter table.

_STYLED_PARALINESPACING

Returns the line spacing setting for the specified named style.

_STYLED_PARALINESPACING("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_PARALINESPACING("Style_Name") is set in the LineSpacing cell of the Paragraph Format section of the parameter table.

_STYLED_PARARIGHTINDENT

Returns the right indent of the paragraph for the specified named style.

_STYLED_PARARIGHTINDENT("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_PARARIGHTINDENT("Style_Name") is set in the RightInd cell of the Paragraph Format section of the parameter table.

_STYLED_SHADOWCOLOR

Returns the shadow foreground color for the specified named style.

_STYLED_SHADOWCOLOR("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_SHADOWCOLOR("Style_Name") is set in the ShadowColor cell of the Fill Format section of the parameter table.

_STYLED_SHADOWPATCOLOR

Returns the pattern background color for the specified named style.

_STYLED_SHADOWPATCOLOR("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_SHADOWPATCOLOR("Style_Name") is set in the ShadowPatColor cell of the Fill Format section of the parameter table.

_STYLED_SHADOWPATTERN

Returns the shadow pattern for the specified named style.

_STYLED_SHADOWPATTERN("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_SHADOWPATTERN("Style_Name") is set in the ShadowPattern cell of the Fill Format section of the parameter table.

_STYLED_TXTBKGNDCOLOR

Returns the text background color for the specified named style.

_STYLED_TXTBKGNDCOLOR("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_TXTBKGNDCOLOR("Style_Name") is set in the TextBkgnd cell of the Text Block Format section of the parameter table.

_STYLED_TXTBOTTOMMARGIN

Returns the bottom margin value of a text block for the specified named style.

_STYLED_TXTBOTTOMMARGIN("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_TXTBOTTOMMARGIN("Style_Name") is set in the BottomMargin cell of the Text Block Format section of the parameter table.

_STYLED_TXTLEFTMARGIN

Returns the left margin value of a text block for the specified named style.

_STYLED_TXTLEFTMARGIN("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_TXTLEFTMARGIN("Style_Name") is set in the LeftMargin cell of the Text Block Format section of the parameter table.

_STYLED_TXTRIGHTMARGIN

Returns the right margin value of a text block for the specified named style.

_STYLED_TXTLEFTMARGIN("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_TXTLEFTMARGIN("Style_Name") is set in the RightMargin cell of the Text Block Format section of the parameter table.

_STYLED_TXTTOPMARGIN

Returns the top margin value of a text block for the specified named style.

_STYLED_TXTTOPMARGIN("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_TXTTOPMARGIN("Style_Name") is set in the TopMargin cell of the Text Block Format section of the parameter table.

_STYLED_TXTVALIGN

Returns a number that specifies the type of the vertical alignment of a text block for the specified named style.

_STYLED_TXTVALIGN("Style_Name")

The argument of the function is the name of a pre-defined or user-defined style. This function is used inside ConceptDraw for assigning a named style to a shape.
The value of _STYLED_TXTVALIGN("Style_Name") is set in the VAlign cell of the Text Block Format section of the parameter table.

_TAN

_TAN(arg)
Returns the tangent of arg.

_TANH

_TANH(arg)
Returns the hyperbolic tangent of arg.

_TEXTHEIGHT

_TEXTHEIGHT(str; arg)
This function calculates the height of the text block, when arg is assigned as its width. The str parameter is usually the contents of text field of the shape (the TheText field in the table). When calculating the height, this function considers all current text settings for the shape (styles, indents and margins, etc.).

Examples:
_TEXTHEIGHT(TheText;Width)
_TEXTHEIGHT(TheText;2 in)

_TEXTLEFT

_TEXTLEFT(str; iarg)
Returns first iarg characters of the str string.

Example:
_TEXTLEFT( "A big text."; 5) = "A big"

_TEXTLENGTH

_TEXTLENGTH(str)
Returns the length of the str string (the number of characters in the string).

Example:
_TEXTLENGTH("A big text.") = 11

_TEXTRIGHT

_TEXTRIGHT(str; iarg)
Returns last iarg characters of the str string.

Example:
_TEXTRIGHT( "A big text"; 4) = "text"

_TEXTWIDTH

_TEXTWIDTH(str)
Returns the width of the str string considering all current text settings of the shape (styles, indents and margins, etc.). Normally, this function is used to make the Text Box the same width as the width of the longest string in the shape's text.

Example:
_TEXTWIDTH(TheText)

_TIME

_TIME()
Returns the time when the document was last time modified, in the "Hours:Minutes:Seconds" format.

Example:
_TIME() = "19:27:13"

_VALTOTEXT

_VALTOTEXT(arg)
Converts the arg number into a string and returns the string.

Example:
_VALTOTEXT( 567.89 ) = "567.89"

_VALTOTEXTMES

_VALTOTEXTMES(arg)
Converts the arg number in a string considering the current unit of measure.

Examples:
_VALTOTEXTMES(15) = "1/16"
_VALTOTEXTMES(1.5 in)+" in." = "1 1/2 in."

_WORLDX

_WORLDX(X;Y)
Converts the (X;Y) point from local coordinates to global coordinates. Returns the X coordinate for the resulting point.

_WORLDY

_WORLDY(X;Y)
Converts the (X;Y) point from local coordinates to global coordinates. Returns the Y coordinate for the resulting point.

_XOR

_XOR(arg1;arg2)
Returns the bitwise XOR.

_XOR(str1;str2)
Returns 1 - if only one string is not empty; 0 - if both strings are empty, or both are not empty.

_XOR(str;arg)
_XOR(arg;str)
Returns the arg number.

Examples:
_XOR( 1;1 ) = 0
_XOR("Text1";"Text2") = 0
_XOR("Text"; 2) = 2

See also:
Shape Parameter Table
The Table's Sections


OLE

OLE Objects

The Windows version of ConceptDraw is an OLE-compatible application (supports Object Linking and Embedding). This feature lets you use ConceptDraw drawings in other OLE-compatible software, as well as work with other applications' objects from within ConceptDraw.
OLE-compatibility means that you can combine objects created in different applications, such as pictures, audio and video files, etc., within a single document.

OLE Objects in ConceptDraw documents
ConceptDraw Objects in Other OLE-Compatible Applications

OLE Objects in ConceptDraw Documents

You can link data from other applications to your document. When you create a link to another application's object, your document stores only a reference to the location where its file resides (not the linked object itself). When you change the original data file, all the changes are reflected in your document.

To modify a linked object, call its context menu or use the Edit menu.
At the bottom of the menu, use the Object <Application> item. It includes a submenu of actions you can perform on the linked objects: Edit and Open.
Clicking any of these items launches the <Application> in which you can edit the linked object.

Note: It is usually enough to double-click an OLE object to launch its editing application.

You can embed objects created in other applications into your ConceptDraw document, and also use objects from ConceptDraw in other applications - for instance, illustrate your text documents with charts, diagrams and other drawings. All the embedded data is stored with the document, even if the original file exists.

To modify an embedded object, call its context menu or use the Edit menu.
At the bottom of the menu, use the Object <Application> item. It includes a submenu of actions you can perform on the linked objects: Edit and Open.
Choose any of these options to launch the <Application> where you can edit the embedded object.

Note: It is usually enough to double-click an OLE object to launch its editing application.

If there are other OLE-compatible applications on your system, you can create and insert a new OLE object into your document, and then edit such an object from within ConceptDraw.

To insert a new OLE object, perform the following steps:

  1. From the Insert menu, select Object: the Insert Object dialog will appear.
  2. Choose Create New to create a new object.
  3. From the Object Type list, choose the needed type.
    If the needed file type is not found in the list, the corresponding application is probably not installed on your system.
  4. If you need the object to be displayed as icon only, check Display As Icon.
  5. Click OK.

A new object editing window will appear. In this window you can create a new object using the tools of the corresponding OLE-application.
To finish editing the object, click away from the object (if it is in the ConceptDraw window), or choose File / Exit (if the OLE-application was opened in a new window).

To edit an OLE object that already exists in your document, call its context menu or use the Edit menu.
At the bottom of the menu, use the Object <Application> item - its exact name varies with the type of the chosen object (for instance, for Microsoft Word objects it is called Document Object).
It includes a submenu of actions you can perform on the linked objects:
- Edit - to edit the OLE object inside ConceptDraw.
- Open - to open the OLE object in the application where it was created.

After you choose an item, the editing starts. To finish editing, click outside the object editing window (if it is within the ConceptDraw window), or choose File / Exit (if the corresponding OLE-application was opened in a new window).

Note: It is usually enough to double-click an OLE object to launch its editing software.

ConceptDraw Objects in Other OLE-Compatible Applications

You can create ConceptDraw objects from within another OLE-compatible application and insert it into your document. For instance, you can insert a ConceptDraw drawing into a Word document.

To insert a ConceptDraw document into another OLE-compatible application, do the following:

  1. In the OLE-compatible application, activate the document in which a ConceptDraw object should be inserted.
  2. In the Insert menu, choose Object. The Insert Object dialog will appear.
  3. Choose the Create New option.
  4. From the list of the object types available, choose ConceptDraw Document.
  5. If you need the document to be displayed as icon only, check the Display As Icon option.
  6. Click OK.

You will start editing the new object in the ConceptDraw window. To get back to the primary application, choose Exit from the File menu.

To modify a ConceptDraw document within another OLE-compatible application, call the OLE-object's context menu or use the Edit menu.
In the menu, use the ConceptDraw Document item. It gives you the choice of two actions: Edit or Open. You can use either of them to turn the object editing mode on.
To finish editing, choose Exit from the File menu.

Note: It is usually enough to double-click an OLE object to launch its editing software.

You can insert objects stored in ConceptDraw files into the documents in other OLE-compatible applications.

To do this, perform the following steps in the in the OLE-compatible application:

  1. In the Insert menu, choose Object. The Insert Object dialog will appear.
  2. Choose the Create From File option.
  3. Click Browse and select the needed ConceptDraw file to insert in your document.
  4. To link the selected file, check the Link option. The object in the file will be stored apart from the document, and all the changes made in the source file will be reflected in your document.
    Otherwise (if the Link option is unchecked), the object will be embedded and stored with the document.
  5. If you need the object to be displayed as icon only, check the Display As Icon option.
  6. Click OK.

If you need to insert an object from an open ConceptDraw document into a document in another OLE-compatible application, perform the following steps:

  1. Select the object.
  2. Copy it onto the Clipboard - you can use the Copy command from the Edit or context menu, or the Copy tool [image].
  3. In the target application, activate the document in which the object should be inserted.
  4. From the Edit menu in the application, choose Paste or Paste Special.

Note: If you select and copy several objects in ConceptDraw, they will be pasted into the application's document as a single object, though when you double-click to edit it as an OLE object, the components can be edited separately.


Environment

Customizing the Working Environment

ConceptDraw gives you flexibility in working with the documents: you can select and modify the global application settings (used by default and applied to every new document) and specify the custom settings for any particular document.

Application Preferences
Customizing the Toolbars
Customizing the Floating Dialogs
Working with Windows
Workspace Files

Application Preferences

Global program configuration can be set in the Preferences dialog. This dialog lets you select the default template and specify such settings as scale and units of measure, initialization paths for main files and Internet browser, set the document page properties and check the parameters for document view.

To call the dialog, select Preferences from the Edit menu (from the Application menu on the Macintosh).

Ctrl + ";" Cmd + ";"

The dialog contains several tabs which respond for various groups of parameters: Default, Paths, View, Save, Advanced.

The Default tab contains settings applied to every new document.

On the Paths tab you can specify paths to various components of the application: documents, libraries, templates, help system. Besides, here you can choose a Web browser and search engine to be used for searching the Internet.

The View tab controls the appearance of the applications, allows to choose a background color for the document window, and set other parameters of the user interface.

On the Save tab you can configure the saving parameters: whether to save the document automatically, in which format to save documents (XML for ConceptDraw, ConceptDraw V or ConceptDraw 1.x) and other.
The Advanced tab controls additional parameters, such as ConceptDraw Basic settings, the editor's font etc.

For more information about the Preferences dialog see Dialogs - Modal Dialogs - Preferences.

Customizing the Toolbars

ConceptDraw has several toolbar lines in which the tools are grouped by their functions. The application lets you manipulate the toolbars to facilitate your work.

The toolbars can be docked to the application menu bar in the upper part of the screen, or placed in floating state anywhere in the screen area.

To move a toolbar, grab it by its window title or by the space between the icons, and drag it to the needed location.

ConceptDraw lets you set which toolbars should be visible on the screen, and show/hide the needed toolbar at any moment. For example, you may want to hide some rarely used toolbars for economic use of the screen space.

To show/hide a toolbar, you can use the View / Toolbars menu, or just call the context menu on any of the toolbars.
In the list of the toolbars, just check which toolbar should be displayed, or uncheck the toolbar which you want to hide.

The tools and operations from the hidden toolbars can be called easily from the main menu.
You can also use the shortcuts for switching between the tools or performing certain operations.

A toolbar can be resized by dragging its right bottom corner. The buttons will re-arrange automatically to adopt the new size.

In ConceptDraw V you can also remove or add buttons on toolbars.

Use the Customize dialog to configure toolbars (the menu View / Toolbars / Customize). Apart from toolbars, you can configure the menus, keyboard shortcuts and other parameters in this dialog.

For more information about the toolbars see the Toolbars section.

For more information about the Customize dialog see Dialogs - Modal Dialogs - Customize.

Customizing the Floating Dialogs

ConceptDraw V introduces floating dialogs, which help to speed up working with shapes. When you change a parameter in a floating dialog, the results are displayed immediately in the drawing, not after you close the dialog.

You can display or hide floating dialogs from the View / Floating Dialogs menu. You can dock, reposition and resize the dialogs. Also, you can organize several dialogs in a tabbed palette. To do this, drag a dialog with the mouse and drop it onto another dialog. ConceptDraw has the following floating dialogs:

  • Line - controls line color, weight, style, the size and style of arrowheads.
  • Fill & Shadow - sets the fill and shadow.
  • Protection - allows to protect a shape's parameters against changing: width, height, position and other.
  • Behavior - determines how a shape behaves when resized, when it's parent group is resized and more.
  • Click - specifies the action, which is performed when a shape is double-clicked: open parameter table, open hyperlink, edit text and other.
  • Information - here you can see the ID and SubID of a shape, specify its name or assign it to a layer.
  • Layers - allows to work with the layers. For more information see Document - Layers
  • Page Navigator - allows to work with the pages of the document. For more information see Document - Pages .
  • Geometry - here you can view and change the dimensions and position of a shape.

For more information about each of the dialogs see Dialogs - Floating Dialogs.

Working with Windows

ConceptDraw opens each document in a separate window. It is also possible to open several windows for working with the same document (e.g. if you need to see several pages simultaneously, or view the pages at different zoom levels).
To open a new window for the active document, select the New Window command from the Window menu.

To close the active window, you can
a) click the respective button on the window headline;
b) apply the Close Window command from the Window menu;
c) or use the keyboard:

Ctrl + F4 Cmd + W

Note 1: To quickly close all the windows together, select the Close All command from the Window menu.
Note 2: The Close command from the File menu can be used to close the active window together with all the other windows in which the same document is displayed.

To switch between the open windows, you can use the Window menu. It holds the list of open windows and the documents displayed in them. The tick marks the active window. To switch to another window, just select it in the list.
If the number of open windows is more than 9, and the needed window is not displayed in the Window menu list, click "More Windows". A dialog will appear, which holds the complete list of all open windows (the active one is shown selected). You can select the needed window in the list and click OK to make it active.

ConceptDraw lets you switch between all the open windows quickly, activating them one after another.
To cycle through open windows, use the following keys:

Ctrl + F6
Ctrl + Tab

or apply the Next command from the window's menu (see the icon to the left of the File menu).

Note: You can also use the Window menu commands to arrange the open windows automatically:
Cascade - for arranging the windows so that they overlap partly, and each window can be activated easily;
Tile Vertically and Tile Horizontally - for arranging the windows vertically or horizontally as non-overlapping tiles.

On the Macintosh each window has a number (e.g. if you open 5 windows, they will get numbers from 1 to 5). You can activate the window by pressing its number key together with the Cmd key.

Workspace Files

ConceptDraw lets you save the entire workspace if you need to work with the same set of documents and libraries often.
A workspace file stores information about the sizes and arrangement of all windows open in the application, and the list of open documents and libraries. This allows you to customize your working environment only once and use it repeatedly.

Workspace files have the .cdw extension.

Saving a workspace is especially helpful in several cases:

When you often work with the same set of documents and libraries.

When you work with documents displayed in a specific way (this may concern magnification, tables of shape parameters, the active pages of documents, etc.) Saving a workspace lets you easily reproduce the suitable arrangement of windows.

To open a workspace file:

  1. On the File menu, click Open.
  2. Select the workspace file you want to open.
  3. Click Open.

To save the current state of the application in a workspace file:

  1. If necessary, save all the open documents and libraries.
  2. Select Save Workspace from the File menu. The file dialog comes up.
  3. In the dialog, navigate to the desired folder where the new file will be located.
  4. Enter the workspace filename in the corresponding field.
  5. Click Save.
Ctrl + Alt + S Cmd + Opt + S

All information about the currently opened documents and libraries and their look and on-screen arrangement will be saved in the workspace file.

When moving a workspace file from one computer to another, keep in mind that a workspace file only stores references to the documents and libraries. So, you ought to move all the necessary documents and library files along with the workspace. Make sure that the workspace file and the required components keep their relative positions with respect to one another. Alternatively, you can place the documents and library files in the same folder with the workspace file.


ConceptDraw Basic

Conceptual Information
Application, Document, Page and Shape Level Scripts
How Scripts Can Be Used to Create Wizards
Working with the Basic Editor in ConceptDraw V
 Editing External Modules
Compilation and Execution of Scripts
CDBasic Output Window
Going to the Specified Line of a Script

Conceptual Information

ConceptDraw Basic is a high-level scripting language. Starting from version 5.0 ConceptDraw introduces support for its proprietary built-in scripting language - ConceptDraw Basic. This adds the following advantages:

  • Extends the functionality of ConceptDraw according to the needs of the users.
  • Allows to process and visualize external data in ConceptDraw.
  • Makes possible integration of third-party application with ConceptDraw.
  • Enables a wide range of cross-platform solutions, based on ConceptDraw.

ConceptDraw Basic technology (unlike Automation on Windows, AppleScript on the Macintosh) is fully cross-platform , working in the ConceptDraw environment. The built-in scripting language realizes the specification of the modern high-level scripting language combined with support for ConceptDraw objects and database access objects. The supported list of ConceptDraw objects provides virtually unlimited control over documents, application windows, libraries, pages and shapes.

ConceptDraw Basic has the power and simplicity of modern realizations of the BASIC language. The language core of ConceptDraw Basic is almost fully compatible with such popular realizations of BASIC, such as Visual Basic, REALbasic.

With the introduction of ConceptDraw Basic technology ÑonceptDraw becomes one of the most powerful platforms for your custom visual solutions.

Application, Document, Page and Shape Level Scripts

ConceptDraw supports four execution levels of the ConceptDraw Basic scripting language: Application level, Document level, Page level, Shape level. This means that for any ConceptDraw document or it's page or any shape in the document you can assign a program written in ConceptDraw Basic. Also one can create a program on the entire application level. Any execution level contains at least a built-in module with program code in ConceptDraw Basic.

Execution levels of ConceptDraw Basic are organized in a hierarchy (see the figure below), which reflects how global variables and procedures are inherited from higher levels to the lower ones.

This means, that a script, created for any shape (on the shape level) also shows all global variables and procedures that belong to higher levels: Page, Document and Application. In its turn, a page-level script shows all global variables and procedures of the Document and Application levels. And finally, a document-level script shows global variables and procedures of the Application level. Thus, the hierarchy of execution levels determines the functional purpose of ConceptDraw Basic scripts at different levels.
Application levels script is intended for re-assigning the behavior of the entire application, and also for defining global variables and procedures, which may be often used in various documents. For instance, with the help of interface configuration and an application-level script in ConceptDraw Basic it's possible to turn ConceptDraw into a specialized application for computer network designers. One should just write the commonly used routines (for instance, calculation of the cost of the components) as application-level scripts and run them using the user-defined menu. Then the user will be able to automatically calculate the cost of the components for any network diagram.
Document level script is intended for document-specific calculations and also for defining global variables and procedures, used in the code of different pages or shapes of the document. For instance, a document-level script can be used to define specific procedures for creating templates. This may look like a wizard, that asks questions specific to a certain document type. Based on the user input, the script can determine the number and size of pages, create these pages and place necessary shapes on them.
Page level script is intended for calculations and actions, specific to a certain page of the document, as well as for defining global variables and procedures, used in the code of the shapes on that page. Scripts at this level may be used together with document-level scripts when creating templates. Creating graphic objects (shapes) is slightly easier at the page level, than at the document level.
Shape level script is intended for calculations, specific to certain graphic object (shape). For instance, at allows to program an element of a bar chart in such a way, that in can reflect values from a data base or an external file. Library shapes can also have scripts.

How Scripts Can Be Used to Create Wizards

Wizards, contained in some of the templates, supplied with ConceptDraw, represent a typical example of what ConceptDraw Basic scripts can be used for. Such wizards normally consist of one or more dialogs, which come up when you create a new document, based on the corresponding template.
Templates or documents, which have built-in wizards, include ConceptDraw Basic scripts at the level of the document, page or even shapes, located on the pages of the document, or in libraries, opened together with the template. Often the scripts are used to get data from the wizards into the ConceptDraw document. The wizards themselves are stored in external modules (dynamic libraries, or DLLs) on the Windows, or in shared libraries on the Macintosh. These libraries can be created in any environment (C, C++, Pascal, Objective C, etc.) which support building such libraries. The libraries contain a row of interface-procedures, called by the scripting program in ConceptDraw Basic, and finally gets the necessary data, which are integrated into ConceptDraw with the help of ConceptDraw Access Objects. For instance, when you create a new document based on the "Database Structure Wizard" template, a document-level script, built in the template is launched, which runs the "Reverse Engineering" wizard. This script calls a procedure from the CDWizards library, which represents a dialog, that asks the user the parameters for finding the database source and necessary parameters for extracting the database structure. Then the scripts asks the results of the wizard from the CDWizards library, gets the necessary information and uses it to base the database structures using the pre-drawn library shapes.

For more information about constructions, built-in functions and objects of the scripting language, and detailed description of the principles and organization of ConceptDraw Basic see "ConceptDraw Basic Reference".

Working with the Basic Editor in ConceptDraw V

The Professional edition of ConceptDraw V contains a built-in editor for editing scripts written in ConceptDraw Basic. You can call the editor from the menus "Tools / ConceptDraw Basic / Application Script", "Tools / ConceptDraw Basic / Document Script", "Tools / ConceptDraw Basic / Page Script", "Tools / ConceptDraw Basic / Shape Script", depending on the execution level of the script you need to edit. Each of the menus contains the "Edit..." and "Remove"items. The "Edit..." item opens the Basic editor window with the script of the corresponding execution level. The "Remove" item removes the script of the chosen execution level.

The built-in CDBasic editor is a regular text editor with such editing functions as Copy, Cut, Paste, Find/Replace etc. The editor has its own main and context menus. The full list of menu commands of the CDBasic editor can be found in the following sections: "Basic Editor Menu" , "Basic Editor Context Menu", "Basic Output Context Menu"

Editing External Modules

The editor allows to edit scripts of both built-in and external modules. The script texts are stored in the UTF-8 encoding. In fact, you can use any editor, supporting the UTF-8 encoding, to edit ConceptDraw Basic scripts.
External modules can be connected by using the #Include statement. The main and context menu contain commands for working with external modules. So, the "File / Include Source..." command calls the Open dialog and inserts the #Include statement with the filename of the external module, chosen in this dialog. Such external module can be opened both from the "File / Open Script..." menu and the "File / Open Source" menu, if the insertion point is located in the line with the #Include statement. The "File / Exclude Source" command removes the #Include statement from the line with insertion point.

Compilation and Execution of Scripts

By choosing the "Build / Compile" command you can compile the source of the script to check it for syntax errors. Or you can run the program by using the "Build / Run" command. The source code of the script will be compiled, and if there are no errors, executed. If a script is resident or being executed, you can stop it by using the "Build / Stop" command.
You can also use the "CD Basic" toolbar to run and stop scripts. It contains three buttons; the "Run" and"Stop" do the same as the corresponding menu commands, and the "Pause" button suspends executing script for a while, showing a dialog with the corresponding message. On closing the dialog, execution of the script is resumed.
A script can be executed automatically when an object, containing the script is loaded. That means that an application-level script will run when you launch the application. When you load a document or created a document from a template , the document level script is launched automatically. Then, if the document-level script remains resident, the scripts at all page levels are executed subsequently, starting from the first page. Once a page-level program has been executed, and provided it remains resident (it wasn't stopped by the End statement), scripts of the shapes on the page are launched. A shape-level script is also started automatically, once the script-containing object has been inserted into the document from a library or duplicated.
To enable/disable automatic launching of scripts, use the corresponding flag in the application preferences, which are saved with the application.

For detailed description of the principles of ConceptDraw Basic see "ConceptDraw Basic Reference".

CDBasic Output Window.

The "CDBasic Output" window is used by the program to display errors and warning and debug messages displayed with the Trace statement.
This service window can be enabled/disabled from the "Build / CDBasic Output Window"menu.
The CDBasic compiler displays service messages in the "CDBasic Output"window, and if any errors are found in the script during compiling, they are displayed as well. Normally an error message includes the error number, a short description and the module and line number, where the error occurred. If you double-click on such message, the editor opens the required module and places the insertion point into the line where the error was found.

Going to the Specified Line of a Script

Sometimes when you edit a script you may need to go to a certain line of the code. For instance, when you get a run-time error, it may include the number of the line in the code, where the error occurred. You can navigate to the desired line in the editor window, by using the "Line Number" dialog, called from the "Edit / Go To Line..."menu of the editor.


Dialogs

Dialogs are the main means of communication between the program and the user. They are used to set various components and properties of the program. The dialogs also provide information. ConceptDraw has two types of dialogs:

Modal Dialogs
Floating Dialogs

Modal Dialogs

These dialogs are mostly called from the menus, or by using the keyboard shortcuts. While this dialog is open, you can't work with other dialogs or tools. As a rule, modal dialogs have several standard buttons:

OK - closes the dialog and applies the changes.
Cancel - closes the dialog without applying the changes.
Apply - applies the changes without closing the dialog.
Help (?) - displays context help.

The settings are not applied until you click the OK or Apply buttons.

  • Template Gallery
  • Document Properties
  • Preferences
  • Shape Properties
  • Text Properties
  • Add Page/Page Properties
  • Delete Page
  • Reorder Pages
  • Go to Page
  • Hyperlink
  • Color
  • Color Palette
  • Define Custom Properties
  • Custom Properties
  • Define Styles
  • Find/Replace
  • Flow Data Export
  • Export Outline Settings
  • Import Outline Settings
  • Grid & Rulers
  • HTML Properties
  • Image Properties
  • Insert Section
  • View Sections
  • Library Item Properties
  • Library Properties
  • Snap & Glue
  • Open From FTP Server
  • Save To FTP Server
  • Add Bookmark
  • Open
  • Save
  • Paste Special
  • Page Setup
  • Print
  • Edit User
  • Login
  • Flash Export Properties
  • ConceptDraw Licence
  • XML Parser Messages
  • HTML Export Results
  • Line Number
  • DXF Properties
  • Edit Bookmarks
  • Customize

Floating Dialogs

These dialog serve for the same purpose as modal dialogs, however, they don't have buttons such as OK, Apply, Cancel. The changes you make in such dialogs are applied immediately. The dialogs behave as toolbars - they are always open and in the Windows version can be docked on the sides of the main window. Besides, you can group dialogs turning them into tabs of one dialog. This helps to save screen space. As a rule, the functionality in floating dialogs is doubled in the corresponding modal dialog, so the user is free to choose which way is more convenient.

  • Line
  • Fill & Shadow
  • Protection
  • Behavior
  • Double Click
  • Information
  • Layers
  • Page Navigator
  • Geometry


"Template Gallery" Dialog

This dialog helps you choose a template to base a new document on.

To call the dialog, select Template Gallery... from the File menu or the keyboard:

Ctrl+Alt+N Cmd+Opt+N

Template Gallery in Windows:

Template Gallery in Mac OS X:

Categories - lets you choose a topic of the document. Each topic contains a group of templates with preview pictures. When you select a template, you can see its brief description below. To create a new document from a selected template, click OK or double-click the template's preview picture.

Show this dialog at startup - specifies whether this dialog will be displayed when you launch the application. You can also change this setting in the Preferences dialog.

Blank Document - creates a blank document based on default settings (see the Default tab of the Preferences dialog for details).

Open - closes this dialog and calls the Open dialog where you can choose an existing file to open.


"Document Properties" Dialog

This dialog is used to set the parameters of the current document.

To call it choose Document Properties... from the File menu.

The dialog contains several tabs, which control various groups of settings:

General - contains information that describes the document
Page - sets the size and orientation of the document pages
Settings - sets the scale, units of measure, etc.
Printing - contains print settings
Preview - sets document preview properties
Advanced - contains settings that control access, export to HTML, the behavior of connectors.

The General tab in Windows:

The General tab in Mac OS X:

Title - contains the title of the document
Subject - contains the subject of the document
Author - contains the name of the author
Company - contains the name of the company
Description - a detailed description of the document

The Page tab in Windows:

The Page tab in Mac OS X:

The left part of the tab contains the settings. The right part has the preview area, where you can see the results of the changes you apply. The document page is represented by the white rectangle, the printer page is represented by the shaded rectangle. The size and orientation of the printer page are taken from the current print settings.

The Page Size setting allows to choose the size of the document page. The following options are available:

Same as printer paper size - the document page has the same size as the printer page.
Pre-defined size - allows to choose one of the pre-defined sizes from the drop-down list.
Custom size - lets you set a custom page size:

Width - specifies the page width
Height - specifies the page height

Adjust to drawing contents - the page size is set enough to fit all shapes in the drawing. If the document contains several pages, the biggest value is used.

The Orientation setting specifies the orientation of the document page:

Portrait - the page is taller than it's wide.
Landscape - the page is wider than it's tall.

The Settings tab in Windows

The Settings tab in Mac OS X:

Units of measure - allows to choose the unit of measure from the drop-down list.

Display angles in - sets whether to display the angles in degrees or radians.

The Scale setting determines the scale of the document. The following options are available:

No scale (1:1) - the 1:1 scale.
Pre-defined scale - allows to choose a scale from the list. The scale is set with the help of two drop-down lists. The first one allows to choose the type of the drawing:

Metric
Civil Engineering
Mechanical Engineering
Architectural

Depending on the chosen option you can choose a pre-defined scale in the second drop-down list. If the Civil Engineering or Architectural options are chosen, non-metric (imperial) units of measure are set automatically in the Units of measure field. You can change the units of measure manually if needed.

Custom scale - sets a user-defined scale. You can use different units of measure by specifying the appropriate suffix after the value (for example, 1 ft = 1 in).

The Undo and Snap section controls the Undo/Redo and Snap settings.

Undo depth - specifies the number of consecutive actions you can undo. The default value is 30. Making it much higher takes a lot of memory and can slow down the program.
Snap sensitivity - sets the distance from which snapping and gluing are activated. This distance is set in pixels and does not depend on the scale or magnification. The default value is 15 pixels.

Ñåêöèÿ Shape Shadow Offset - indicates the shadow offset for the shapes with shadow:

Right - the distance the shadow is offset to the right,
Down - the distance the shadow is offset down.

The Printing tab in Windows:

The Printing tab in Mac OS X:

The left part of the tab contains the settings. The right part has the preview area, where you can see the results of the changes you apply. The document page is represented by the white rectangle, the printer page is represented by the shaded rectangle. The size and orientation of the printer page are taken from the current print settings.

The Print zoom setting lets you specify at which size the document page will be printed:

Actual Size - the document will be printed in its normal size.
Adjust to - the document will be zoomed in or out when printed. You can choose a value from the list or input it manually. 100% corresponds to the actual size. If the zoom level is greater than 100%, the document will be increased, if less - reduced.
Fit to ... page(s) - lets you fit the document page on the given number of the printer pages (the zoom level will be chosen automatically).

The Paper Orientation setting controls the printer page orientation:

Portrait - the page is taller than it's wide.
Landscape - the page is wider than it's tall.

Note: This setting doesn't affect the orientation of the document page (see the Page tab).

The Layout Direction setting specifies how the document is tiled across paper sheets (if its page is larger than one print page). It can be tiled either down and then over, or over and then down. If the document page is smaller than the print page, this parameter is ignored.

The Justification setting controls the position of the document on the print page (if the document page is smaller than the print page). You can use of the the 9 arrows to specify the position. The changes will be displayed in the preview area of the tab.

The Print background pages separately sets whether the background pages should be printed as regular document pages.

The Print Page Setup button calls the system dialog where print settings can be set (see the Page Setup dialog).

The Preview tab in Windows:

The Preview tab in Mac OS X:

The left part of the tab contains the settings. The right part has the preview area, where you can see the results of the changes you apply.

The Document Preview Picture setting specifies how the document preview is formed:

Don't generate - preview is not generated. That means that you can't preview the contents of the document in the file open dialog.
Generate automatically - the program uses the first page of the document to generate the preview.
Use custom pictures - the user can specify a custom picture as preview for the document. You can use the Browse button to choose the picture.

The Advanced tab in Windows:

The Advanced tab in Mac OS X:

The Connectors and Routing section contains settings that describe the behavior of smart connectors.

Max. numbers of legs - sets the maximum number of connector's legs. By default the number of legs is not limited.
Min. distance to shape - sets the minimum distance the smart connector keeps from the shapes on its way.
Line jump size - indicates the size of connector crossings.

Note: This setting only determines the size, not the type and style of the crossing (see the Smart Connector section for details).

The When crossing groups setting controls how the connector behaves when it crosses a group:

Pass through - passes through the group, flowing around the shapes inside.
Flow around - flows around the entire group as if it were a single shape.

The Protect Access to Document area lets you limit access to the document. The program will ask for a user name and password on an attempt to open the document. Only authorized users will be able to view and edit the document.

Add User - adds a new user to the list,
Edit User - allows to change the user name and password,
Remove User - deletes user from the list.

Note: This feature is supported only for the documents in the ConceptDraw V format. It's not supported for the documents saved in the ConceptDraw 1.x format.

The Export to HTML section lets specify the default settings for HTML export.

Default Settings... calls the dialog where HTML export settings can be configured. These settings will be used by default. You can change the export settings for each particular document when exporting it to HTML (see the Exporting a Document to HTML Files section).


"Preferences" Dialog

This dialog controls the application settings.

To call the dialog, choose Preferences from the Edit menu (the application menu on the Mac).

The dialog contains several tabs, where various settings are grouped:

Default - contains the default settings for new documents,
Paths - specifies paths to various components of the application,
View - determines the appearance of some components of the application,
Save - contains the saving parameters of the documents,
Advanced - describes scripting and ConceptDraw Basic Editor settings.

The Default tab in Windows:

The Default tab in Mac OS X:

This tab describes the parameters of the documents, created with the New command. You can choose whether to base a new document on the default settings or on a default template file:

Start using template file - allows to choose a template file, on which every new document will be based. Use the Browse button to choose the file, or specify the path in the edit field.

Start using default settings - indicates, that the document is created with the default parameters, listed below:

The Page size setting determines the size of the document page. You can choose between:

Pre-defined - allows to select a size from the list.
Custom - specified by the user.

Units of measure - choose the units of measure from the list,
Display angles in - choose whether to display angles in degrees or in radians.
Snap sensitivity - sets the distance at which snapping and gluing are activated. This distance is set in pixels and does not depend on the scale or magnification. The default value is 15 pixels.

The Paths tab in Windows:

The Paths tab in Mac OS X:

The Paths section describes paths to various components of ConceptDraw V. You can type the paths manually or set by using the Browse button.

Documents - path to documents, by default points to the folder with samples,
Templates - path to template files (normally is the same as the path to libraries),
Libraries - path to library files,
Help - path to the help files.

The Internet section contains the following fields:

Browser - sets the path to the Internet browser. If this path is not set, the program will use the default system browser.
Searcher - allows to choose an Internet search engine used to search the Internet. By default, www.google.com is offered.

The View tab in Windows:

The View tab in Mac OS X:

The Display Options section determines how text and hyperlinks are displayed in the program:

Enable autoscrolling - if enabled, the document will be scrolled when you position the mouse pointer over an edge of the window.
Mark hyperlinks to text - turns on the hyperlink autoparsing mode.
Automatically zoom under ... points when editing text - lets you adjust the text editing functionality. You can enable the autozoom in the document if the text looks too small, and set the minimum font size acceptable for text editing mode (setting the font size best viewed).
Greek text under ... points - when visible font size is less than specified displays shaded blocks instead of characters.

The Show section contains settings for screen tips and Template Gallery dialog.

Template Gallery dialog at startup - if enabled, this dialog will be displayed every time you launch ConceptDraw.
Library window screen tips - specifies whether to display screen tips when the mouse pointer is paused over a library shape.
Shape screen tips - specifies whether to display screen tip for shapes in a document (see the description of the Information floating dialog and the Information tab of the Shape Properties dialog).
Control handle screen tips - specifies whether to display screen tip for control handles.

The Color Settings section allows you to choose color of the library window and some other elements of ConceptDraw. The current color is displayed on the button besides the item. To change the color, click on the button and choose a new color from the Color dialog.

Grid - sets the color of the grid lines.
Library background - sets the library window background color. This option is present in the Windows version only. In the Macintosh version this color is determined by the system color scheme.
Library text - sets the color of the shape names in the library window.
Page background - sets the background color of the document window.
Page foreground - sets the page color in the document window.

The Save tab in Windows:

The Save tab in Mac OS X:

The Save Options section describes the auto-save parameters of the application:

Save AutoBackup every ... minutes - saves a backup copy of the document automatically after the specified time interval.

Note: if you're working with large multi-page documents, don't specify a very small interval as it may slow down working.

The XML Options section describes settings for working with documents in the XML for ConceptDraw format:

Show XML file save warnings - sets whether to display warnings when saving a document in the XML for ConceptDraw format.
Show XML file open warnings - sets whether to display warnings when opening a document in the XML for ConceptDraw format.
Use log file for save/open warnings - allows to specify a log file to which warnings will be written. Use the Browse button to set a path to the file.

The Format Options section contains the parameters that set the default format of the document.

By default save file as - sets the format in which new documents will be saved. The following options are available:

ConceptDraw 1.x document
ConceptDraw V document
XML for ConceptDraw

Note: The ConceptDraw 1.x document format is used to preserve compatibility with previous versions of ConceptDraw. When you save a document to this format you may lose some data if it's not supported in the earlier versions (for instance, scripts, corner rounding, some text attributes). You should only save documents in this format if you plan to use them in ConceptDraw version 1.x.

Save workspace with document - if this parameter is enabled, the document stores the arrangement of open windows, libraries, etc. This arrangement is restored when you open the document.

The Advanced tab in Windows:

The Advanced tab in Mac OS X:

The Scripting Settings section sets how ConceptDraw Basic scripts will be treated by ConceptDraw:

Allow to run ConceptDraw Basic automatically - allows the program to run scripts automatically,
Allow editing ConceptDraw Basic scripts - allows to edit scripts.

The CDBasic Editor Window specifies how the CDBasic Editor window looks. You can choose the font and font size, and preview them in the area below:

Font - select a font from the list,
Size - select a font size from the list.


"Shape Properties" Dialog

This dialog is used to modify properties of a shape.

You can call this dialog from the Format / Shape Properties menu, from the context menu or by using the keyboard:

Ctrl + Shift + C Cmd + Shift + C

The dialog contains the following tabs:

Line - describes the line attributes of a shape, such as line color, pattern, weight, type and size of line ends, corner rounding.
Fill - describes the fill and shadow attributes of shapes.
Behavior & Protection - determines how the shape interacts with other shapes, allows to protect some parameters from changing.
Information - contains basic information about the selected shape.
Double-Click - allows to assign an action that is performed when the shape is double-clicked.

The Line tab in Windows:

The Line tab in Mac OS X:

If there are no shapes selected, the tab displays the settings that will be applied to new shapes. If there are shapes selected, it will display the attributes of the selected shapes. In the right section of the tab you can preview how the line will look with the specified settings.

Color - allows to choose a line color from the list. The color scheme is indicated to the left from the color - the index in the color palette, RGB or CMYK. You can choose the main 32 colors from the list; for more colors choose Custom at the bottom of the list. The Color dialog will come up where you can select the needed color.

Pattern - sets the line pattern (solid or dotted). The index may be in the 0 - 15 range. The 0 value means the line is not displayed (No Line).

Weight - sets the line weight. There are 10 pre-defined values in the list: No Line, 0, 1, 4, 8, 12, 16, 20, 24, 28. The line weight is specified in units. The last item in the list, Custom, is used to call the Custom Line Weight dialog, where you can set any other line weight. The 0 value means that the line will always look as if it had the 1 weight, regardless of the zoom level.

Corner Rounding - sets the radius used for corner rounding.

The Line Ends specifies the parameters of the line ends.

Begin - allows to choose an arrowhead for the beginning of the line. You can choose an arrowhead within the 1 - 60 range. The No Arrows item denotes no arrowhead.

End - allows to choose an arrowhead for the end of the line. You can choose an arrowhead within the 1 - 60 range. The No Arrows item denotes no arrowhead.

Size - sets the arrowhead size. The following sizes are offered: Tiny, Small, Medium, Large, Huge.

The Fill tab in Windows:

The Fill tab in Mac OS X:

If there are no shapes selected, the tab displays the settings that will be applied to new shapes. If there are shapes selected, it will display the attributes of the selected shapes. In the right section of the tab you can preview how the shape will look with the specified settings.

The Fill section contains the fill attributes of the shape.

Color - sets the fill color. The color scheme is indicated to the left from the color - the index in the color palette, RGB or CMYK. You can choose the main 32 colors from the list; for more colors choose Custom at the bottom of the list. The Color dialog will come up where you can select the needed color.

Pattern - sets the fill pattern. The index may be in the 0 to 38 and 50 to 69 range. The 0 value means the shape is not filled, the 1 value indicates a plain fill, values from 2 to 38 denote various fill patterns, 50 - 69 are for gradient fills.

Pattern Color - sets the pattern color (the color of pattern elements, or background color for a gradient fill). The color scheme is indicated to the left from the color - the index in the color palette, RGB or CMYK. You can choose the main 32 colors from the list; for more colors choose Custom at the bottom of the list. The Color dialog will come up where you can select the needed color.

The Shadow section is used to set the shadow fill and pattern. It contains the same fields as the Fill section.

The Behavior & Protection tab in Windows:

The Behavior & Protection tab in Mac OS X:

The Interaction Style section determines whether the shape is a connector or not, and lets you turn any shape into a connector if necessary:

Line(1-D) - the shape behaves as a line - it has a begin and end point (is a 1D-shape). Such shape can be used as a connector.
Box(2-D) - the shape behaves as a 2D-shape, that is, it has width and height.

The Selection Highlighting section describes how the shape is displayed when selected. The following options are available:

Show shape handles - display or hide the handles on the shape's alignment box. This option is on by default.
Show control handles - display or hide the control handles of the shape. This option is on by default.
Show alignment box - display or hide the shape's alignment box. This option is on by default.

The Resize Behavior section describes how the shape behaves within a group when the group is resized:

Scale with group - always resize the shape as the group is resized. This option is set by default.
Reposition only - simply move the shape without changing its size.
Use group's settings - the shape uses the behavior settings of the group to which it belongs.

Save original scale - if this option is on, the shape will keep its size when inserted into a document with some other scale. Otherwise, the size of the shape will be changed according to the scale settings of that document.

The Group Behavior section describes how the group behaves.

Enable group's text - allows the group to have its own text.
Select group only - sets whether you can select shapes inside the group.

The Protection section allows to protect some properties of the shape from changing.

Width - locks/unlocks the shape's width against resizing.
Height - locks/unlocks the shape's height against resizing.
Aspect ratio - if on, the ratio between the width and height is always preserved when the shape is resized.

Begin point - for 1D shapes, locks/unlocks the begin point against repositioning.
End point - for 1D shapes, locks/unlocks the end point against repositioning.
X position - locks/unlocks the horizontal (X) position of the shape.
Y position - locks/unlocks the vertical (Y) position of the shape.

Rotation - locks/unlocks the shape against rotation.
Deletion - locks/unlocks the shape or its vertices against deleting.

Show text - sets whether to display the shape's text.
Don't print -sets whether the shape can be printed.

The Information tab in Windows:

The Information tab in Mac OS X:

When more than one shapes are selected, displays information for the primary selected shape.

ID - indicates the unique number of the shape in the current document.
Sub ID - indicates the number of the shape in its parent group. It's used for referring to shapes inside a group.

Name - in this field you can type the name you want to assign to the shape.
Layer - assigns the shape to a layer.

Note: Unlike other fields on this tab, the layer field affects all selected shapes, not the primary shape only.

Type indicates the type of the shape. The following types exist:

shape,
group,
connector,
smart connector,
raster picture,
vector picture mf,
verctor picture pict,
vector picture vf,
OLE paint.

Width - displays the width of the shape.
Height - displays the height of the shape.
Angle - displays the angle of the shape.

Description - in this field you can provide a description of the shape.

The Double-Click tab in Windows:

The Double-Click tab in Mac OS X:

This tab specifies the action, performed when the shape is double-clicked:

Perform no action - nothing happens.
Edit shape's text - turn on the text editing mode.
Edit shape's table - display the shape parameter table.
Open group in new window - open the Edit Group window, where you can edit the shapes inside the group (this option is only available for groups).
Go to hyperlink - open the hyperlink (available if the shape has a hyperlink).
OLE Verb - perform the OLE action (available only for the OLE paint type shapes).
Custom action - perform a user-defined action. Two modes are available: you can choose an action from the list, or choose the Action Loop option - in this case each time the shape is double-clicked the next action from the list is performed.


"Text Properties" Dialog

You can use the Text Properties dialog to set or modify various attributes of the shape's text.

You can call this dialog from the Format / Text menu, from the context menu (Text Format) or by using the keyboard:

Ctrl + Shift + T Cmd + Shift + T

When you call the dialog, three situations are possible:

  1. One of the shapes is in the text editing mode - the all changes will be applies to the selected text in the shape.
  2. One or more shapes are selected - the changes will be applied to the whole text of the selected shapes.
  3. None of the shapes is selected - the changes are applied to default settings for new shapes.

The Text Properties dialog contains the following tabs:
Font - specifies the font, font style and other attributes,
Paragraph - specifies various paragraph properties. The end of a paragraph is denoted by the linefeed character (inserted with the Return (Enter) key),
TextBlock - sets text block parameters of the shape,
Tabs - allows to add, delete or modify tab stops.

The Font tab in Windows:

The Font tab in Mac OS X :

Font - allows you to choose a font from the list of installed fonts.
Language - sets the language (encoding) for characters. It's required to exchange documents with applications which don't support Unicode, and with ConceptDraw 1.x.
Size - specifies the font size in points. 1 point = 1/72 inch.
Color - sets the text color. You can choose a color from the color palette, or set a custom color.
Spacing - specifies by how much to increase or decrease the distance between characters (in points). Enter 0 for normal spacing, a positive number - to increase spacing, a negative number - to decrease spacing.

The Styles allows to apply one of the following styles to font: Bold, Italic, Underline, Strikethrough, Superscript, Subscript.

Plain - disables all font styles.

The Paragraph tab in Windows:

The Paragraph tab in Mac OS X:

The Horizontal Alignment section describes how the paragraph is aligned relative to the shape's text box. The following alignment types are available:

Left - to the left side of the text box,
Centered - the lines are justified with respect to the center of the text box.
Right - to the right side of the text box.

The Indentation section allows to set indents for the paragraph in millimeters or inches (depending on the measurement system of the document).

First Line - specifies the indent for the first line of the paragraph,
From Left - specifies the left indent for all lines of the paragraph,
From Right - specifies the right indent for all lines of the paragraph.

In the Spacing section you can set the distance between the lines of text. The distance is specified in points (though you can use other units of measure too). A positive value increases the distance, a negative value - decreases the distance.

Before - changes the spacing between the current and the previous paragraphs,
After - changes the spacing between the current and the next paragraphs,
Line - changes the distance between the lines for all selected paragraphs. When you set the value in percent (120%,150%, etc) the spacing will be based on the font size. Also, you can set a fixed value in points. The default value is 100%.

The TextBlock tab in Windows:

The TextBlock tab in Mac OS X:

The Vertical alignment section determines how the text block is positioned relative to the shape's text box:

Top - moves the text to the top of the text box,
Middle - centers the text in the middle of the text box,
Bottom - moves the text to the bottom of the text box.

The Margins section describes margins for the text block (the margins are specified in millimeters or inches depending on the measurement system of the document).

Left - specifies the left margin for the text block,
Right - specifies the right margin for the text block,
Top - specifies the top margin for the text block,
Bottom - specifies the bottom margin for the text block,

Text Background allows to choose a background color for the text.

Transparent sets transparent background for the text (this option is on by default).

The Tabs tab in Windows:

The Tabs tab in Mac OS X:

The Tabs table contains the list of current tab stop positions. The left column shows the tab position, the right one specifies the alignment type with respect to the position.

Tab Stop Position area allows to modify the tab position, selected in the Tabs table.

Default Tab Stop - specifies the default tab position for the entire shape. By default, it's 1/2 inch.

The Alignment section specifies how text is aligned with respect to the tab position:

Left - places the left edge of the text in the specified position,
Center - places the center of the text in the specified position,
Right - places the right edge of the text in the specified position,
Decimal(.) - if there's the point separator (.) in the text, the text is aligned by the point.
Comma(,) - if there's the comma separator (,) in the text, the text is aligned by the comma.

The picture below demonstrates possible types of alignment:

Tab stop positions are shown with red lines.

Add - adds to the Tabs list the tab stop described in Tab Stop Position. For convenience, after you click the Add button, the setting in the Tab Stop Position area is increased by the value of Default Tab Stop.

Modify - replaces the settings of the tab stop selected in the Tabs list with the settings, displayed in the Tab Stop Position field and in the Alignment section.

Remove - removes the tab stop position selected in the list.

Remove All - removes all tab stops from the list.


Page Properties Dialog

"Add Page / Page Properties" Dialog

In this dialog you can modify the properties of the pages of the document.

To call the dialog, select Properties from the Page menu, or right-click page list in the left bottom corner of the document window and choose Page Properties from the context menu (see Going to Another Page). You can also use the button on the Pages toolbar.

The same dialog is called when you want to add a page (from the Page / Add menu, context menu or the Pages toolbar). See Adding a Page.

The Add Page / Page Properties dialog in Windows.

The Add Page / Page Properties dialog in Mac OS X.

Page Name - specifies the name of the page.

Make it background page - indicates whether the page is a background page. Background pages can be used as background for other pages of the document.

Background - allows to choose a background page for the current page from the list. The list contains the pages, which have the Make it background page flag set.


"Delete Page" Dialog

Use this dialog to delete a page of the document.

To call the dialog, select Delete from the Page menu, or right-click page list in the left bottom corner of the document window and choose Delete Page from the context menu (see Going to Another Page). You can also use the button on the Pages toolbar.

The Delete Page dialog in Windows:

The Delete Page dialog in Mac OS X:

Page name - the name of the page to be deleted. When you delete the active page, the next page in the list becomes active.


Reorder Page Dialog

"Reorder Pages" Dialog

This dialog is used to change the order in which the pages go in the document.

To call the dialog, select Reorder from the Page menu, or right-click page list in the left bottom corner of the document window and choose Reorder Pages from the context menu (see Going to Another Page). You can also use the button on the Pages toolbar.

The Reorder Pages dialog in Windows:

The Reorder Pages dialog in Mac OS X:

In the dialog you can see the list of the pages of the document. Select the page or pages which you want to reposition, and use the Reorder Pages buttons to move them up and down in the list. To select more that one page, hold down the Shift or Ctrl (Cmd).

Reorder Pages - is used to move the pages up and down the list.

Note: The top page can't be moved higher and the bottom page - lower in the list. If you selected several pages, and one of them is the top (bottom) page you won't be able to move the pages up (down) the list.


"Go to Page" Dialog

This dialog is used to navigate through the pages of the document.

To call the dialog, select Go To from the Page menu, or right-click page list in the left bottom corner of the document window and choose Go to Page from the context menu (see Going to Another Page). You can also use the button on the Pages toolbar.

The Go to Page dialog in Windows:

The Go to Page dialog in Mac OS X:

Page name - the list of the pages in the document, where you can choose the page to go to.


"Hyperlink" Dialog

Use this dialog to assign hyperlinks to shapes.

You can assign hyperlinks to words/characters in the shape's text. This can only be done in the text editing mode. The links are assigned to the selected words/characters.

The Hyperlink dialog in Windows:

The Hyperlink dialog in Mac OS X:

Hyperlinks in ConceptDraw can be of the following types: a hyperlink to an Internet address, to a page or shape in the current document, to any other file or application.

No hyperlink - shape (shape's text) have no hyperlink.

Internet address - sets a hyperlink to an Internet address. When such link is opened, the program launches the default browser and goes to that address. You can type the hyperlink address manually, select from the list or click Browse and copy the link from the Internet browser.

Current document - sets a hyperlink to a page in the current document. You can choose the page from the list. If needed, you may also point to a particular shape on the page: choose the shape from the Object list. When such hyperlink is opened, the program will go to the specified page and focus the view on that shape.

File or application - sets a hyperlink to any file, application or another ConceptDraw document. When you open such hyperlink, the specified file or application will be opened. Use the Browse button to choose the file using the standard file dialog.

Path relative to document - setting this flag changes full path to the file to the path relative to the current document. The document must be saved at least once (the file must exist on the disk). To indicate the parent directory, use ".." (for example: "..\Tada.wav").

Note: Relative path is convenient when you plan to move the document to another computer. Don't forget to move the related files and folder together with the document, if you want to keep the hyperlinks.

Page, Object - if the selected file is a ConceptDraw document, you can specify a page and a shape to go to in the document.

Go to Link - allows to go to the hyperlink without closing the dialog.


"Color" Dialog

This dialog is used to set color for a shape, its text or other attributes.

You can call this dialog by choosing the More Colors... from the appropriate toolbar button menu.

The Color dialog in Windows:

The Color dialog in Mac OS X:

In the upper part of the dialog you can choose one of the 256 colors of the document's color palette (each document can create it's own palette - see Document Settings - Color Palette. Also see the description of the Color Palette dialog).

current - shows the currently chosen color.
old - shows the color being changed.
Color Index - indicates the number of the currently chosen color in the color palette.

The Ñustom color section allows to choose or set any color, available in the chosen color scheme.

To choose the needed color, click on it with the mouse.

You can specify a color manually in one of the two available color schemes: RGB or CMYK. The currently chosen scheme is shown in the drop-down list:

- RGB Scheme
- CMYC Scheme

The R(ed),G(reen),B(lue) or C(yan),M(agenta),Y(ellow),(blac)K slide bars allow to change each component of the color scheme.

Note: In the RGB Scheme the color components may range from 0 to 255; in the CMYC Scheme the components are shown in percents and may range from 0 to 100

System - calls the system color dialog.


"Color Palette" Dialog

This dialog is used to load and save the 256 color palette of the document.

You can call it from the Tools / Color Palette menu.

The Color Palette dialog in Windows:

The Color Palette dialog in Mac OS X:

The square area with 256 color cells represents the current palette. By clicking a the cell you can call the Color dialog and choose a new color for that cell.

Load palette - loads the new color scheme of the document from a palette file (.pal).

Save palette - saves the new color scheme of the document in a palette file (.pal).


"Define Custom Properties" Dialog

This dialog is used to create, modify and delete custom properties of a shape.

This dialog can be called by clicking the Define button in the Custom Properties dialog.

The Define Custom Properties dialog in Windows:

The Define Custom Properties dialog in Mac OS X:

The Properties section in the lower part of the dialog contains a list of custom properties of the shape. To modify or view a property in the upper part of the dialog, click on its name in the list.

New - creates a new property and adds it to the list.
Delete - deletes the property, selected in the table.

Each custom property is described by the following fields:

Label - the name of the property. It's used when the property is referenced to in formulas or CD Basic scripts.
Type - the type of the property, can have one of the following values:

String
Number
Fixed List
Variable List
Boolean

Note: The information about the type is used in the Custom Properties dialog: when entering values of the Fixed List, Variable List or Boolean types you're offered to choose one from the list. Also information about types can be used by CD Basic.

Format - contains the list of possible values for the properties that have the Fixed List or Variable List types. The values are delimited by semicolon ";". For values of other types this parameter is ignored.

Value - indicates the default value,
Prompt - the text of the tip,
Invisible - specifies whether to show this property in the Custom Properties dialog,
Verify - if enabled, checks if the property has a value, and if it hasn't, the user will be asked to provide one.


"Custom Properties" Dialog

This dialog is used to view and edit user-defined data of shapes.

You can call the dialog from the Format / Custom Properties menu, or from the context menu in the document window (the Custom Properties item). Prior to calling the dialog, select the shape which properties you're going to view or edit. If there are several selected shapes, the properties will be shown for the shape with primary selection (the one that displays green handles). If the shape has no custom properties, you'll be offered to define them and the Define Custom Properties dialog will be opened.

The Custom Properties dialog in Windows:

The Custom Properties dialog in Mac OS X:

The upper part of the dialog displays the list of custom properties of the shape. The list contains the names of the properties (the Label field in the Define Custom Properties dialog) and the values of the properties (the Value field in the Define Custom Properties dialog). Depending on the value format, the value field may be either an input field, or a drop down list.

Prompt - displays the tip for the property (if it was defined in the Prompt field of the Define Custom Properties dialog).

Define... - calls the Define Custom Properties dialog where you can edit the existing properties, or add new ones.


"Define Styles" Dialog

This dialog is used to create, modify and delete named styles.

You can call the dialog from the Format / Define Styles... menu.

The Define Styles dialog in Windows:

The Define Styles dialog in Mac OS X:

In the right part of the dialog you can preview the elements of which the style is made up.

Style - the style being edited.
Based on - the style on which the current style is based. You can select if from the list of existing styles.

Add (Change) - adds the new style to the list or adds changes to the existing style, selected from the list.
Rename - renames the selected style.
Delete - deletes the selected style from the list.

The Includes section specifies which elements will be included in the style:

Line - includes line properties (color, weight, pattern),
Line ends - includes line ends parameters (arrowhead style and size),
Fill - includes the fill properties (color and pattern),
Shadow - includes the shadow properties (color and pattern),
Text - includes the text properties (font, style, font size),
Paragraph - includes the paragraph formatting parameters (indents, line spacing, alignment),
Text Block - includes the text block parameters (margins, alignment).

The Change section allows to change the style elements:

Line - sets line properties,
Line ends - sets line ends properties,
Fill - sets fill properties,
Shadow - sets shadow properties,
Text - sets text parameters,
Paragraph - sets paragraph formatting parameters,
Text Block - sets text block parameters.

Note: Named styles are stored together with the document. Don't forget to save the document after you've added or modified a style.


"Find/Replace" Dialog

This dialog allows you to search for and replace text in ConceptDraw shapes. The search can be performed either in the current document, or in the documents on disk (including folders and subfolders). You can edit the document without closing this dialog - it remains floating over the document, and you can always return to it and search for the next match.

You can call the dialog from the Edit / Find/Replace... menu or by using the keyboard:

Ctrl + Alt + F Cmd + Opt + F

The Find/Replace dialog in Windows:

The Find/Replace dialog in Mac OS X:

Find what - here you can specify the string to be found. You can either type the text, or select one of the previously searched strings.

Replace with - a string with which the found string will be replaced.

Match Whole Word - search only complete words. For instance, if "leg" is being searched, the "leg" world will be found, and "legion" and "legend" will be ignored.

Match Case - specifies whether to differentiate capital and small letters in the search.

Search All Pages - specifies whether to search on the current page, or on all pages of the document. By default only the current page is searched.

Search Backwards - searches in reverse direction.

Search Linked - specifies whether to search in the hyperlinked pages or documents (see Hyperlinks, Hyperlinking to Pages).

In Folder - search in all ConceptDraw located in the folder, specified in Path. All open documents that are not in the Path folder are ignored.

Path - specifies the path to the folder, where the search will be performed. You can type it manually, or choose by using the Browse button.

Look In Subfolders - specifies whether to search in subfolders of the folder, indicated in Path.

Find Next - finds the next match. If the match is found, the text editing mode is turned on and the found text gets highlighted. If the In Folder or Search Linked options are enabled, and a match is found in one of the non-opened documents, the document will be opened automatically.

Replace - replaces the found string with the string in Replace with.

Replace All - replaces all matches with the string in Replace with.


Flow Format Settings Dialog

"Flow Data Format Settings" Dialog

Use this dialog to specify which delimiters are to be used to separate the data fields in Flow Data Format.

To call the dialog, use the menu File / Export / Text data / Flow Data Format....

This dialog in Windows:

This dialog in Mac OS X:

Field separator - specifies which symbol is used to separate the data fields in a text string. The possible symbols are: comma ',' , semicolon ';', tab.

The corresponding symbols are marked with bold in the examples:

Template;"Blank Drawing.cdt"
Shape;"Shape29";"Shape29";;"2.4800 cm";"2.5950 cm";"4 cm";"2.2500 cm";;;

Text delimiter - specifies how to mark text strings. The possible symbols are: apostrophe ' ' ' , quotation mark ' " '.

Link;"Shape20";"Shape20";;"Shape4";"Shape32";
Link;"Shape21";"Shape21";;"Shape4";"Shape33";

Comment character - specifies the symbols that denotes the beginning of a comment. The possible symbols are: '#', '/', ';', '\'.

/ Company:
/ Description: (not specified)
/ Created: 24 Jul 2003 15:38:17
/^----------------------------------------------------------^

Note: Only selected shapes on the active page will be exported to the Flow Data file.

*


Export Outline Settings Dialog

"Outline Export Settings" Dialog

This dialog is used to set importing parameters for outline (structured text).

You can call the dialog from the menu File / Export / Text Data / Outline Format....

The Outline Export Settings dialog in Windows:

The Outline Export Settings dialog in Mac OS X:

The Use indents section allows to set how to outline levels will be marked. You can choose one of the following:

Tabulation - a tab symbol will be used to denote a new level.
Space - a space will be used to denote a new level.

The Output Options section sets other parameters of the exported document:

Include hyperlinks - specifies whether to include the text of the hyperlinks in the resulting file:

Top manager
     Project manager MindMap
    >>Link: www.mindmap.com
    Project manager ConceptDraw
    >>Link: www.conceptdraw.com

Use numeration - specifies whether to use numbers to denote outline levels:

       1.2.1. Programmers team
        >>Note: ConceptDraw V team
   1.3. Project manager ProjectPlanner
   >>Link: www.projectplanner.com

Include shape notes - specifies whether to include shape descriptions in the resulting file:

    Programmers team
        >>Note: ProjectPlanner team

View export result - specifies whether to open the resulting outline in a text editor after it has been exported.

Note: The exported shapes must be connected with connectors. Also, one shape should be selected - it will be the top level in the outline. The shapes, connected with the selected shape directly or through other shapes will be represented in the outline.


Import Outline Settings Dialog

"Outline Import Settings" Dialog

This dialog is used to control how the drawing will be formed from a text outline.

To call this dialog, use the menu File / Import / Text data / Outline Format....

The Outline Import Settings dialog in Windows:

The Outline Import Settings dialog in Mac OS X:

Based on the structure, described in the outline file, the program draws an hierarchical tree composed of shapes, connected with connectors.

Arrange - sets the direction in which the tree will be generated. The following settings are possible:

Rightwards - text blocks will be positioned from left to right (the first shape on the left).
Leftwards - text blocks will be positioned from right to left (the first shape on the right).
Downwards - text blocks will be positioned from top to bottom (the first shape at the top). This is the default value.
Upwards - text blocks will be positioned from bottom to top (the first shape at the bottom).

The Distance between objects sets the distance between the shapes - elements of the scheme:

Horizontal - the horizontal distance between the shapes.
Vertical - the vertical distance between the shapes.

The Connection type settings specifies which connectors are to be used to connect the shapes:

Smart connector - smart connectors will be used.
Direct connector - direct connectors will be used.


Grid Settings Dialog

"Grid & Rulers" Dialog

This dialog is used to configure the view of the grid and the rulers.

This dialog can be called from the Tools / Grid menu or with the keyboard:

Ctrl + Shift + G Cmd + Shift + G

The Grid & Rulers dialog in Windows:

The Grid & Rulers dialog in Mac OS X:

The Rulers Origins -sets the starting point (origin) for the rulers. The origin represents the horizontal and vertical offset relative to the upper left corner of the page.

Horizontal - horizontal offset. The possible range is -320 mm to +320 mm.
Vertical - vertical offset. The possible range is -320 mm to +320 mm.

The Grid Origins -sets the starting point (origin) for the grid lines. The origin represents the horizontal and vertical offset relative to the upper left corner of the page.

Horizontal - horizontal offset. The possible range is -320 mm to +320 mm.
Vertical - vertical offset. The possible range is -320 mm to +320 mm.

The Grid Spacing section specifies the size of the grid cells.

Horizontal - sets the width of the grid cells:

Normal
Fine
Coarse
Fixed.

The Fixed option allows to input a custom value within the 0 mm to 320 mm range.

Vertical - sets the height of the grid cells:

Normal
Fine
Coarse
Fixed

The Fixed option allows to input a custom value within the 0 mm to 320 mm range.


"HTML Properties" Dialog

The HTML Properties dialog is used to set the parameters of HTML export, and also configures the default HTML export settings.

The dialog can be called from the File / Export / HTML... menu. To access the default HTML export parameters, click the Default settings... button on the Advanced tab of the Document Properties dialog.

The HTML Properties dialog in Windows:

The HTML Properties dialog in Mac OS X:

The Save Images As setting allows to choose the format of the graphic file, in which the drawing will be saved. One of the following options can be chosen:

GIF format - the image will be saved in the GIF format.
PNG format - the image will be saved in the PNG format.
JPEG format - the image will be saved in the JPEG format.

Image Properties allows to configure parameters for the chosen format.

The HTML Settings sections describes additional HTML settings:

Export object's hyperlinks - specifies whether to preserve the hyperlinks of shapes in HTML
Add previous/next page links - specifies whether to add the next/previous page buttons when exporting multi-page documents.
Export linked documents - specifies whether to export to HTML ConceptDraw documents, linked to the current document. If not set, hyperlinks to original ConceptDraw files are preserved.
Create folder - saves all the files, generated during the HTML export, in a separate folder. The name of the folder is the same as the name of the first HTML file.

Background - sets the background color for the HTML file. When the button is clicked, the Color dialog is opened. The color on the button is the color of the background in the HTML file.

Pages to export - allows to select the pages to be exported to HTML. By default, all pages of the active document are exported.

Note: You can select / deselect the pages by using the mouse and the Ctrl (Cmd) and Shift keys.


"Image Properties" Dialog

This dialog is used to configure export settings of ConceptDraw shapes to other graphic formats.

This dialog can be called from the File / Export / Graphic File menu.

The Image Properties dialog in Windows:

The Image Properties dialog in Mac OS X:

In the Image Size section, you can choose one of these options:

Original size - the shapes will be exported in their original size, regardless of the current zoom level.
Use zoom - the shapes in the graphic file will be of the same size as they appear on screen (at the current zoom level).
Fit to size(pixels) - this option lets you assign custom dimensions to the picture - specify the width and height in pixels.

The Format section is available for some raster formats (BMP, TIFF, PNG). Here you can adjust color depth or quality for the image.

Bi-Level - monochrome image (2 colors).
Grayscale - grayscale image, 256 shades of gray maximum.
Indexed palette - an image with indexed palette. The maximum number of colors is 256.
True Color - image in 32 bit color (truecolor).

For some formats (for instance, JPEG) you can also specify image quality:

Quality - by using the slide bar, you can set the quality within the range of 1% to 100%. Note that better quality increases the file size.

In the Objects section, you specify which shapes will form the image in the graphic file:

Selected - only the selected shapes from the active page. The image size will be equal to the total bound of all selected shapes.
All on page - all the shapes which are on the page and outside it. The image size will be large enough to fit for all shapes.
Whole page - to export the entire page with all the shapes which are within the page.

You can preview the results in the Preview area.

Show preview - enables/disables preview.


Insert Table Sections Dialog

"Insert Sections" Dialog

This dialog is used to insert new sections in the shape parameter table.

You can edit the dialog from the Edit / Insert Section menu, or from the shape's context menu in the table view.

The Insert Section dialog in Windows:

The Insert Section dialog in Mac OS X:

In the dialog you can choose which sections are to be added in the table:

Geometry - adds a new Geometry section. It's available for all shapes except groups.
Control handles - adds the Controls section, that describes control handles. A shape can have just one Controls section.
Connection points - adds the Connection Points section, that describes connection points. A shape can have just one Connection Points section.
Variables - adds the Variables section, that describes user-defined variables. A shape can have just one Variables section.
Actions - adds the Actions section, that describes user-defined actions. A shape can have just one Actions section. The first 15 actions are available from the shape's context menu.
Custom Properties - adds the Custom Properties section, that describes user-defined data. A shape can have just one Custom Properties section.
Text - adds the Text section, that describes the text properties. A shape can have just one Text section.


"View Sections" Dialog

This dialog is used to display or hide existing sections of the shape parameter table. If the corresponding option is enabled, the section is visible, otherwise - hidden.

You can call this dialog from the View / Sections menu or from the context menu in the shape parameter table view.

The View Sections dialog in Windows:

The View Sections dialog in Mac OS X:

Object Transform - display/hide the Transform section.
Geometry - display/hide the Geometry section.
Line Format - display/hide the Line Properties section.
Fill Format - display/hide the Fill Format section.
Protection - display/hide the Protection section.
Miscellaneous - display/hide the Miscellaneous section.
Connection Points - display/hide the Connection Points section.
Control Handles - display/hide the Control Handles section.
Variables - display/hide the Variables section.
Text Transform - display/hide the Text Transform section.
Character Format - display/hide the Character Format section.
Paragraph Format - display/hide the Paragraph Format section.
Text Block Format - display/hide the Text Block Format section.
Text Tab Stops - display/hide the Text Tab Stops section.
Text Fields - display/hide the Text Fields section.
Actions - display/hide the Actions section.
Custom Properties - display/hide the Custom Properties section.
End Points - display/hide the End Points section (available for 1D shapes and connectors only).
Glue Info - display/hide the Glue Info section (available for 1D shapes and connectors only).


Library Item Properties

"Library Item Properties" Dialog

This dialog is used to view and set the properties of library shapes.

You can call this dialog from Edit / Library Object / Properties menu or from the context menu in the library window.

The Library Item Properties dialog in Windows:

The Library Item Properties dialog in Mac OS X:

Item name - sets the name of the library shape.
Item prompt - sets a brief description of the library shape.

These properties are displayed when you position the mouse pointer over a shape in the library. The Item name appears as a tip over the shape, and the Item prompt is shown in the status bar.


Library Properties

"Library Properties" Dialog

This dialog is used to view and set library properties.

You can call this dialog from File / Library / Properties or from the context menu in the library window.

The Library Properties dialog in Windows:

The Library Properties dialog in Mac OS X:

Title - the name of the library.
Subject - the brief description of the library.
Author and Company - information about the creators of the library.
Description - additional information about the library.


Snap and Glue Settings Dialog

"Snap & Glue" Dialog

This dialog is used to configure the snapping and gluing settings.

You can call this dialog from the Tools / Snap & Glue menu or by using the keyboard:

Ctrl + Shift + U Cmd + Shift + U

The Snap & Glue dialog in Windows:

The Snap & Glue dialog in Mac OS X:

If Snap to is enabled, you can specify the conditions when snapping will be activated:

Ruler Subdivisions - the shape will snap to the imaginary lines coming out of the rulers' subdivisions. Use this for very precise positioning.
Grid - the shape will snap to the grid nodes.
Guides - the shape will snap to the guide lines.
Geometry - the shape will snap to the outlines of other shape. It is usually helpful when you need to attach a shape to another shape.
Handles - the shape will snap to resize handles of other shapes.
Vertices - the shape will snap to vertices of other shapes.
Connections Points - the shape will snap to connection points of other shapes.

Glue to Guides - allows shapes to glue to guide lines.

Snap sensitivity (the distance from which snapping is activated) can be set in the Document Properties dialog, the Settings tab.


"Open from FTP Server" Dialog

This dialog allows to open documents, located on a remote FTP server.

You can call this dialog from the File / Open From FTP Server menu.

The Open from FTP Server dialog in Windows:

The Open from FTP Server dialog in Mac OS X:

Server - the address of the FTP server
Login - user's login
Password - user's password
Path - the name of the document and path to it.

The button with the folder icon can be used to add, edit or select bookmarks, which store information about frequently used servers and documents. For more information, see Working with Documents on a Remote FTP-Server.


"Save to FTP Server" Dialog

This dialog is used to save documents to a remote FTP server.

You can call this dialog from the File / Save To FTP Server menu.

The Save to FTP Server dialog in Windows:

The Save to FTP Server dialog in Mac OS X:

Server - the address of the FTP server
Login - user's login
Password - user's password
Path - the name of the document and path to it.

The button with the folder icon can be used to add, edit or select bookmarks, which store information about frequently used servers and documents. For more information, see Working with Documents on a Remote FTP-Server.


"Add Bookmark" Dialog

This dialog is used to add a new bookmark, containing the parameters needed to connect to a remote FTP-Server, to the list of bookmarks.

You can call this dialog from the Bookmark button menu in the Open From FTP Server and Save To FTP Server dialogs.

The Add Bookmark dialog in Windows:

The Add Bookmark dialog in Mac OS X:

Name - the name of the new bookmark.

Note: The bookmark parameters (server name, login, password, path) are taken from the fields of the Open From FTP Server or Save To FTP Server dialogs.


"Open" Dialog

This dialog is used to open ConceptDraw documents and to import documents of supported formats.

The dialog can be called from the File / Open menu, the Open button [image] on the Main toolbar or by using the keyboard:

Ctrl + O Cmd + O

The dialog is also called when importing files (see the Importing Files section).

The Open dialog in Windows:

The Open dialog in Mac OS X:

In this dialog you can choose to show only files of the desired type.

In the Preview area you can preview the contents of ConceptDraw documents and graphic files.

Show Preview - enable/disable the preview picture.

In the list, choose the document you want to open, and double-click it with the mouse. To select more than one document, hold down the Shift or Ctrl (Cmd) keys.

Open - opens selected documents.

Cancel - closes the dialog.

Note: By default, this dialog shows only ConceptDraw files. To show files of other types, choose the corresponding type in the drop-down list.


Dialog Save

"Save" Dialog

This dialog is used to save documents, templates, workspace files and files of other formats, exported by ConceptDraw.

This dialog can be called from the File menu by the Save (if you save the file for the first time), Save As, Save Copy As, Save As Template, Save Workspace commands or by using the keyboard:

Ctrl + S | Cmd + S
Ctrl + Shift + S | Cmd + Shift + S
Ctrl + Alt + S | Cmd + Opt + S

This dialog is also called when you export files (see the Exporting a Document section).

The Save dialog in Windows:

The Save dialog in Mac OS X:

Depending on the command you use to call the dialog, you get different save options. When you use the Save and Save As commands, you can save in one of the following formats:

  • ConceptDraw V document
  • XML for ConceptDraw file
  • ConceptDraw 1.x document

If you use the Save As Template..., Save WorkSpace... commands, you'll be able to save a template or workspace file respectively. To save files in other formats, use the File / Export menu.

Save - saves the document.

Cancel - closes the dialog.


"Paste Special" Dialog

This dialog is used to insert various objects from the Clipboard into a ConceptDraw document.

This dialog can be called from the Edit / Paste Special menu.

The Paste Special dialog in Windows:

Source - indicates from where the object was copied.

As - offers available formats in which the object can be pasted.

Paste - the object will be embedded into the ConceptDraw document and will be stored together with it.

Paste Link - pastes a reference to the object, rather than the object itself. When the source file is changed, the object in the ConceptDraw document will be changed respectively. Only a link to the object is stored with the document.

Result - explains what will happen when you insert the object in the selected format.

Display As Icon - specifies whether to object should be displayed as icon, or in its original form.

Change Icon - allows to choose an icon for the object. This option is available only if the Display As Icon option is enabled.

The Paste Special dialog in Mac OS X:

Select format to paste - offers available formats in which the object can be pasted.

Result - explains what will happen when you insert the object in the selected format.


Page Setup Dialog

"Page Setup/Print Setup" Dialog

This is a standard system dialog which is used to configure the printer page settings.

You can call the dialog from the File / Page Setup menu or by using the keyboard:

Ctrl + Shift + P Cmd + Shift + P

The Print Setup dialog in Windows:

The Printer section shows the current printer. You can change it or configure as necessary.

Name - allows to choose on of the installed printers from the list.
Properties - calls the printer setup dialog for the chosen printer.
Status - shows the current state of the printer.
Type - shows the type of the printer.
Where - shows where the printer is located.
Comment - contains additional comments.

The Paper section lets you configure paper parameters.

Size - allows to set the page size.
Source - specifies the paper source.

The Orientation section is used to set the printer page orientation:

Portrait - the page is taller than it's wide.
Landscape - the page is wider than it's tall.

Network - is used to configure network printers.

The Print Setup dialog in Mac OS X:

Settings - sets page attributes.
Format for - allows to choose the printer to adjust the page for.
Paper Size - sets the page size.
Orientation - sets the page orientation.
Scale - sets print scale.


"Print" Dialog

The Print dialog is a system dialog, which allows you to specify the printer, the range of pages to be printed, the number of copies, and some other settings.

You can call this dialog from the File / Print menu or by using the keyboard:

Ctrl + P Cmd + P

The Print dialog in Windows:

In the Printer section, the active printer is specified. If necessary, you can still select another printer or modify the settings.

Name - allows to choose on of the installed printers from the list.
Properties - calls the printer setup dialog for the chosen printer.
Status - shows the current state of the printer.
Type - shows the type of the printer.
Where - shows where the printer is located.
Comment - contains additional comments.

Print to file - lets you save the document in a file of special format, which can be printed without resorting to ConceptDraw.

The Print range section lets you select the range of the pages to be printed:

All - print all pages.
Pages - print pages within the from - to range.
Selection - print selected text block (not supported in ConceptDraw).

The Copies section is used to specify the desired number of copies:

Number of copies - number of copies.
Collate - how the pages should be grouped. This option is available when you print more than one copy.

The Print dialog in Mac OS X:

Printer - allows to choose a printer from the list.
Preset - lets you choose groups of settings from the list.

The Copies & Pages section is used to specify the desired number of copies:

Copies - number of copies.
Collated - sets whether the pages should be grouped.

The Pages section sets the print range:

All - print all pages.
From...to... - print only pages within the specified range.

Preview - preview the result before printing.

Save As PDF - print the document to a PDF file rather than to the printer.


"Edit User" Dialog

This dialog is used to edit user details. You can limit access to the document to authorized users only.

This dialog is called when you click the Add User or Edit User buttons in the Advanced tab of the Document Properties dialog.

The Edit User dialog in Windows:

The Edit User dialog in Mac OS X:

User - the name (login) of the user.
Password - the password. It can contain any symbols. The password is case-sensitive.
Confirm password - enter the password here to confirm it.


"Login" Dialog

This dialog asks user login and password for documents with protected access.

This dialog appears when you try to open a protected document. If such user name and password are not authorized to view the document, the document is not opened.

The Login dialog in Windows:

The Login dialog in Mac OS X:

User - the name (login) of the user.
Password - password.

Note: To protect the document and specify authorized users, use the Document Properties dialog, the Advanced tab.


Flash Export Settings

"Flash Export Settings" Dialog

This dialog is used to configure the parameters of the resulting .swf file when exporting the document to Macromedia Flash format.

This dialog is called from the menu File / Export / Macromedia Flash (SWF).

The Flash Export Settings dialog in Windows:

The Flash Export Settings dialog in Mac OS X:

The Slide Show setting specifies when the next page of a multi-page document will be displayed:

None - only the first page is displayed.
Mouse Click - the next page will be displayed on a mouse-click.
Timer - the next page will be displayed in the specified time interval (in seconds).

Use Navigation Buttons the following navigation buttons will be inserted into the Flash file:

Go to first page
Go to previous page
Go to next page
Go to last page


"ConceptDraw Licence Entry" Dialog

This dialog asks the user to provided the serial number and personal information to register the copy of the program.

It appears when you launch an unregistered copy of the program for the first time.

This dialog in Windows:

This dialog in Mac OS X:

Name - the name of the user.
Organization - the name of the organization or company.
Serial Number - the serial number, provided when you purchase the software. It's either included in the box or is sent by e-mail.


XML Parser Messages Dialog

This dialog informs about the status of parsing files in XML for ConceptDraw format.

This dialog opens after a document in XML for ConceptDraw is loaded.

The dialog in Windows:

The dialog in Mac OS X:

In the main area you can see the results of parsing an XML file.

Show this dialog next time - specifies whether to display this dialog next time you open a file in XML for ConceptDraw format. This flag can also be set in the Preferences dialog, on the Save tab.

Close - closes the dialog.

Note: This dialog displays messages generated by the parser of XML for ConceptDraw regarding errors in the input file.


Save as HTML Dialog

HTML Export Results Dialog

This dialog is used for viewing the results of exporting documents to the HTML format.

This dialog is displayed after export to HTML is complete.

The HTML Export Results dialog in Windows:

The HTML Export Results dialog in Mac OS X:

Files generated - shows the list of files generated during the export.

Upload - calls the Save To FTP Server dialog for uploading the generated files to a server (for instance, for publishing on a Web site).

Preview - calls the default Web browser, allowing to view the results of HTML export.


"Line Number" Dialog.

This dialog is used to go to the line with a specified number in ConceptDraw Basic Editor.

This dialog can be called when you're in the ConceptDraw Basic Editor window.

The Line Number dialog in Windows:

The Line Number dialog in Mac OS X:

Go to line number - specifies the line number to which to go.


"Edit Bookmark" Dialog

This dialog is used to edit bookmarks for working with documents on a remote FTP server.

This dialog is called from the Bookmark button menu, the Edit Bookmark item, in the Open From FTP Server and Save To FTP Server dialogs.

The Edit Bookmark dialog in Windows:

The Edit Bookmark dialog in Mac OS X:

The left part of the dialog contains the list of existing bookmarks. The fields on the right contain the details of the selected bookmark. To select a bookmark, click on it in the list.

Name - the title of the bookmark.
Server - the address of the FTP server.
Login - user name (login).
Password - password for accessing the server.
Path - the filename and path to the document.

Delete - deletes the bookmark, selected in the list.

Save - saves information about the bookmark.


"Customize" Dialog

This dialog is used for customizing the user interface of the program (menu commands, toolbars, keyboard shortcuts).

This dialog is called from the View / Toolbars / Customize menu of from the context menu, called on one of the toolbars.

The Customize dialog on the Windows platform has the following tabs:

Commands - customizes commands in the menus and on the toolbars.
Toolbars - configures the toolbars.
Keyboard - sets keyboard shortcuts.
Menu - configures the main menus.
Options - configures tool tips, icon size, etc.

The Customize dialog in the Mac OS X version has the following tabs:

Commands - customizes commands in the menus and on the toolbars.
Toolbars - configures the toolbars.

The Commands tab in Windows:

Categories - represents a list of categories. The commands of the selected category are displayed in the Commands area.
Commands - a set of commands.
Description - the description of the selected command.

You can draw commands from the Commands list to any toolbar or menu with the mouse. On releasing the mouse button the command will be inserted in the menu or toolbar in the cursor position.

To delete a command from a menu or a toolbar, grab it with the mouse and drag back onto the dialog window.

Note: You can reposition commands between toolbars and menus without using this dialog - simply drag a command holding down the Alt key.

The Toolbars tab in Windows:

Toolbars lists the toolbars, available in the program. Enables toolbars have a check mark near the name. To disable or enable a toolbar, click on the corresponding box.

Reset - shows all buttons, associated with this toolbar.

Reset All - shows all buttons on all toolbars.

Reset All To Default - resets all toolbars to their default state.

The Keyboard tab in Windows

Categories - represents a list of categories. The commands of the selected category are displayed in the Commands area.
Commands - a set of commands.
Description - the description of the selected command.

Set Accelerator for - specifies for which set of menus and toolbars the accelerator (shortcut) is assigned. Two sets are available:

Default - menus and toolbars for working with the document, table and group windows.
ConceptDraw Basic - menus and toolbars for working with ConceptDraw Basic editor.

If after you've entered the new shortcut in the Press New Shortcut Key field, the Assign button remains disabled it means that this command is not available in the chosen set.

Current Keys - currently defined shortcuts.
Press New Shortcut Key - a new shortcut. When you are in this field, every key you press will be displayed in the field by a letter, number or the key name.

Assign - assigns the entered shortcut to a menu or toolbar command.
Remove - removes the shortcut.
Reset All - resets all commands and shortcuts to their default state.

The Menu tab in Windows:

Show Menus for - allows to choose menu sets for different views of ConceptDraw (document view, ConceptDraw Basic editor window, group edit window).

Reset - resets all commands of the selected menu to its default state.

Menu animations - specifies visual effects for appearance / disappearance of the menu.

Menu shadows - enables/disables menu shadow.

The Options tab in Windows:

Show ScreenTips on toolbars - enables tool tips for toolbar buttons.
Show shortcuts in ScreenTips - display keyboard shortcuts for toolbar button tool tips (for those commands, that have shortcuts assigned to them).

Large Icons - display large buttons on toolbars.

Look 2000 - display toolbars in the MS Office 2000 style.

The Commands tab in Mac OS X:

Categories - represents a list of categories. The commands of the selected category are displayed in the Commands area.
Commands - a set of commands.
Description - the description of the selected command.

You can draw commands from the Commands list to any toolbar or menu with the mouse. On releasing the mouse button the command will be inserted in the menu or toolbar in the cursor position.

To delete a command from a menu or a toolbar, grab it with the mouse and drag back onto the dialog window.

Note: You can reposition commands between toolbars and menus without using this dialog - simply drag a command holding down the Option key.

The Toolbars tab in Mac OS X:

Toolbars lists the toolbars, available in the program. Enables toolbars have a check mark near the name. To disable or enable a toolbar, click on the corresponding box.

Reset - shows all buttons, associated with this toolbar.

Reset All - shows all buttons on all toolbars.

Reset All To Default - resets all toolbars to their default state.


Line Dialog

"Line" Floating Dialog

This dialog is used for working with line properties of shapes: color, pattern, weight, arrowhead type and size, corner rounding.

If there are no shapes selected, the dialog displays the settings that will be applied to new shapes. If there are shapes selected, it will display the attributes of the selected shapes.

The Line dialog in Windows:

The Line dialog in Mac OS X:

Color - allows to choose a line color from the list. The color scheme is indicated to the left from the color - the index in the color palette, RGB or CMYK. You can choose the main 32 colors from the list; for more colors choose Custom at the bottom of the list. The Color dialog will come up where you can select the needed color.

Pattern - sets the line pattern (solid or dotted). The index may be in the 0 - 15 range. The 0 value means the line is not displayed (No Line).

Weight - sets the line weight. There are 10 pre-defined values in the list: No Line, 0, 1, 4, 8, 12, 16, 20, 24, 28. The line weight is specified in units. The last item in the list, Custom, is used to call the Custom Line Weight dialog, where you can set any other line weight. The 0 value means that the line will always look as if it had the 1 weight, regardless of the zoom level.

Corner Rounding - sets the radius used for corner rounding.

The Line Ends specifies the parameters of the line ends.

Begin - allows to choose an arrowhead for the beginning of the line. You can choose an arrowhead within the 1 - 60 range. The No Arrows item denotes no arrowhead.

End - allows to choose an arrowhead for the end of the line. You can choose an arrowhead within the 1 - 60 range. The No Arrows item denotes no arrowhead.

Size - sets the arrowhead size. The following sizes are offered: Tiny, Small, Medium, Large, Huge.


Fill & Shadow Dialog

"Fill & Shadow" Floating Dialog

This dialog is used for working with fill and shadow properties of shapes: color, pattern, background.

The dialog displays the parameters of the selected shape (if there's more than one shape selected - the parameters of the primary selected shape). If there's no selected shape, it displays the default fill and shadow settings of the document (those applied to new shapes).

The Fill & Shadow dialog in Windows:

The Fill & Shadow dialog in Mac OS X:

The Fill section contains the fill attributes of the shape.

Color - sets the fill color. The color scheme is indicated to the left from the color - the index in the color palette, RGB or CMYK. You can choose the main 32 colors from the list; for more colors choose Custom at the bottom of the list. The Color dialog will come up where you can select the needed color.

Pattern - sets the fill pattern. The index may be in the 0 to 38 and 50 to 69 range. The 0 value means the shape is not filled, the 1 value indicates a plain fill, values from 2 to 38 denote various fill patterns, 50 - 69 are for gradient fills.

Pattern Color - sets the pattern color (the color of pattern elements, or background color for a gradient fill). The color scheme is indicated to the left from the color - the index in the color palette, RGB or CMYK. You can choose the main 32 colors from the list; for more colors choose Custom at the bottom of the list. The Color dialog will come up where you can select the needed color.

The Shadow section is used to set the shadow fill and pattern. It contains the same fields as the Fill section.


Protection Dialog

"Protection" Floating Dialog

This dialog is used to protect various properties of shapes against modifying.

The dialog displays the parameters of the selected shape (if there's more than one shape selected - the parameters of the primary selected shape). If there's no selected shape, the controls in the dialog are disabled.

The Protection dialog in Windows:

The Protection dialog in Mac OS X:

Width - locks/unlocks the shape's width against resizing.
Height - locks/unlocks the shape's height against resizing.
Aspect ratio - if on, the ratio between the width and height is always preserved when the shape is resized.

Begin point - for 1D shapes, locks/unlocks the begin point against repositioning.
End point - for 1D shapes, locks/unlocks the end point against repositioning.
X position - locks/unlocks the horizontal (X) position of the shape.
Y position - locks/unlocks the vertical (Y) position of the shape.

Rotation - locks/unlocks the shape against rotation.
Deletion - locks/unlocks the shape or its vertices against deleting.

Show text - sets whether to display the shape's text.
Don't print -sets whether the shape can be printed.


Behavior Dialog

"Behavior" Floating Dialog

This dialog is used to change the way shapes behave and interact with other shapes.

The dialog displays the parameters of the selected shape (if there's more than one shape selected - the parameters of the primary selected shape). If there's no selected shape, the controls in the dialog are disabled.

The Behavior dialog in Windows:

The Behavior dialog in Mac OS X:

The Interaction Style section determines whether the shape is a connector or not, and lets you turn any shape into a connector if necessary:

Line(1-D) - the shape behaves as a line - it has a begin and end point (is a 1D-shape). Such shape can be used as a connector.
Box(2-D) - the shape behaves as a 2D-shape, that is, it has width and height.

The Selection Highlighting section describes how the shape is displayed when selected. The following options are available:

Show shape handles - display or hide the handles on the shape's alignment box. This option is on by default.
Show control handles - display or hide the control handles of the shape. This option is on by default.
Show alignment box - display or hide the shape's alignment box. This option is on by default.

The Resize Behavior section describes how the shape behaves within a group when the group is resized:

Scale with group - always resize the shape as the group is resized. This option is set by default.
Reposition only - simply move the shape without changing its size.
Use group's settings - the shape uses the behavior settings of the group to which it belongs.


Double Click Dialog

"Double-Click" Floating Dialog

This dialog is used to change the double-click action of the shape.

The dialog displays the parameters of the selected shape (if there's more than one shape selected - the parameters of the primary selected shape). If there's no selected shape, the controls in the dialog are disabled.

The Double-Click dialog in Windows:

The Double-Click dialog in Mac OS X:

The Double-Click Action setting specifies the action which is taken when the shape is double-clicked:

Perform no action - nothing happens.
Edit shape's text - turn on the text editing mode.
Edit shape's table - display the shape parameter table.
Open group in new window - open the Edit Group window, where you can edit the shapes inside the group (this option is only available for groups).
Go to hyperlink - open the hyperlink (available if the shape has a hyperlink).
OLE Verb - perform the OLE action (available only for the OLE paint type shapes).
Custom action - perform a user-defined action. Two modes are available: you can choose an action from the list, or choose the Action Loop option - in this case each time the shape is double-clicked the next action from the list is performed.


Information Dialog

"Information" Floating Dialog

The dialog displays basic information about the selected shape (if there's more than one shape selected - the information for primary selected shape). If there's no selected shape, the controls in the dialog are disabled.

The Information dialog in Windows:

The Information dialog in Mac OS X:

ID - indicates the unique number of the shape in the current document.
Sub ID - indicates the number of the shape in its parent group. It's used for referring to shapes inside a group.
Name - in this field you can type the name you want to assign to the shape.
Description - in this field you can provide a description of the shape.

Layer - assigns the shape to a layer. Unlike other fields of the dialog, changing layer applies to all selected shapes, not only to the primary one.


Layers Dialog

"Layers" Floating Dialog

This dialog is used for working with layers. It contains the list of existing layers and their properties.

The Layers dialog in Windows:

The Layers dialog in Mac OS X:

The table contains six columns: Name, Active( [image]), Visible( [image]), Lock( [image]), Printable( [image]) è Color.

Name - indicates the name of the layer. The active layer is displayed in blue, the selected layer (which is being edited) is highlighted. To select another layer, click on its name with the mouse. Double-clicking on the name (or pressing F2) let you edit the name of the layer.

Active - specifies whether the layer is active.The active layer is the layer on which new shapes are placed. The active layer is marked with the [image] sign. Only one layer can be active at a time.

Visible - specifies whether the layer is visible. The eye sign [image] ( [image]), indicates that the layer is visible (invisible), that is, the shapes on the layer are visible (invisible).

Lock - specifies whether the layer is locked against changes. The padlock sign [image] ( [image]) indicates that the layer is locked (unlocked). You can't edit shapes on a locked layer.

Printable - specifies whether the layer is printable. The printer sign [image] indicates that the layer is printable and the shapes on it will be printed.

Color - specifies the color of the shapes on the layer. If the check mark [image] is set, the line color of all shapes on the layer will be the same as the color of the color box near the check mark. Otherwise the shapes have their original line color.

Add - adds a new layer to the document. The new layer gets default settings: not active, visible, unlocked, printable, without color.

Delete - deletes the selected layer. All shapes that are on the deleted layer are automatically placed on the active layer. You can delete the active layer, and there's always at least one layer in the document.


Page Navigator Dialog

"Page Navigator" Floating Dialog

This dialog allows to manipulate and edit document pages (navigate, add and remove, reorder).

The Page Navigator dialog in Windows:

The Page Navigator dialog in Mac OS X:

The page list contains four columns: Name, Active, Is Background, Background.

Name - the name of the page. By double-clicking the name you can edit it.
Active - denotes the active page. The active page is marked with the [image] sign in the list. Only one page at a time can be active.
Is Background - specifies whether the page is a background page. If there's a mark in that column, the page can serve as a background page for other pages.
Background - the name of the background page for this page. If the page has a background page, it's name is displayed in this column. The drop-down list with the names of background pages allows to choose another background page, or disable the current one.

Reorder - you can use the buttons to move the page up or down in the list. The order of pages in the document will change accordingly.

Insert - adds a new page.
Delete - removes the selected page.


Geometry Dialog

"Geometry" Floating Dialog

This dialog is used for viewing and changing the following properties of shapes: ñâîéñòâ îáúåòà: Width, Height, Angle, Spline Smoothness, GPin, LocPin, Begin, End. This dialog can work in one of the following modes:

Dimensions,
Position,
End Points.

The mode determines the set of properties, available for viewing and editing.

Angle and Spline Smoothness don't depend on the chosen mode.

Dimensions

In this mode you can change the following properties:Width, Height, Angle, Spline Smoothness.

The Geometry dialog in Windows:

The Geometry dialog in Mac OS X:

Width - the shape's width. The first field shows the absolute value in the current units of measure. The second field shows percent value, relative to the current width.

Height - the shape's height. The first field shows the absolute value in the current units of measure. The second field shows percent value, relative to the current height.

Angle - the angle of the shape.

Spline Smoothness - the smoothness of the spline segments. You can change this settings only when you create a spline, it can't be changed later.

Position

This dialog in Windows:

This dialog in Mac OS X:

GPin - the GPinX and GPinY values of the shape.
LocPin - the LocPinX and LocPinY values of the shape.

For more information see Shape Parameter Table.

End Points

This mode is available for 1D shapes only.

This dialog in Windows:

This dialog in Mac OS X:

Begin - the BeginX and BeginY values of the shape.

End - the EndX and EndY values of the shape.


Tools and Toolbars

Toolbars

Main
Main commands for working with files and Clipboard.

Drawing Tools
Drawing tools.

Zoom
Zoom level and scrolling.

Views
Allows to display/hide the grid, rulers, guide lines, page breaks, etc.

Formatting
Style and color of lines, fills and shadows.

Connecting
Tools for connecting shapes.

Text
Text formatting properties.

Arrange & Make Same
Aligns selected shapes and copies properties of shapes.

Action
Flipping, rotating and grouping shapes.

Layers
Specifies active layers.

Libraries
Commands for working with libraries (opening, saving, working with the Clipboard).

Pages
Deletes, adds pages, allows to navigate between pages.

Routing
Determines how connectors behave.

Snap & Glue
Controls Snap and Glue settings.

Basic
Runs, stops and pauses ConceptDraw Basic scripts.

Web
Opens hyperlinks and searches the Internet.


"Main" Toolbar

This toolbar contains tools for working with files and the Clipboard.

Creates a new document.
Opens a file.
Saves the document.
Prints the document.
For more information see Document - Printing a Document.
Allows to preview the results before printing.
For more information see Document - Printing a Document.
Cuts selected text or shapes and copies them onto the Clipboard.
For more information see Shapes - Operations on Shapes - Copying and Pasting.
Copies selected shapes or text onto the Clipboard.
For more information see Shapes - Operations on Shapes - Copying and Pasting.
Inserts the contents of the Clipboard into the document.
For more information see Shapes - Operations on Shapes - Copying and Pasting.
Cancels the most recent action. The name of the last action is displayed in the menu item.
For more information see Shapes - Operations on Shapes - Undo and Redo.
Cancels the last Undo operation. The name of the last action is displayed in the menu item.
For more information see Shapes - Operations on Shapes - Undo and Redo.
Opens a library.
For more information see Libraries - Using Libraries and Library Shapes.


"Drawing Tools" Toolbar

This toolbar contains the main drawing tools.

Activates the Select tool mode.
For more information see Shapes - Operations on Shapes - Selecting and Shapes - Operations on Shapes - Moving.
Activates the Rotate tool mode and lets you rotate shapes.
For more information see Shapes - Operations on Shapes - Rotating and Flipping.
Activates the Line tool mode and lets you draw lines and manipulate vertices of shapes.
For more information see Shapes - Drawing a Shape with Drawing Tools.
Activates the Sector tool mode and lets you draw circular sectors, manipulate vertices of shapes, and change the curvature of segments.
For more information see Shapes - Drawing a Shape with Drawing Tools.
Activates the Arc tool mode and lets you draw elliptic arc segments, manipulate vertices of shapes and change the curvature of segments.
For more information see Shapes - Drawing a Shape with Drawing Tools.
Activates the Spline tool mode and lets you draw smooth curves (splines), and also manipulate vertices of shapes and change the curvature of spline segments.
For more information see Shapes - Drawing a Shape with Drawing Tools.
Activates the Rectangle tool mode and lets you draw rectangle boxes, and also move and resize shapes.
For more information see Shapes - Drawing a Shape with Drawing Tools.
Activates the Ellipse tool mode and lets you draw ellipses, and also move and resize shapes.
For more information see Shapes - Drawing a Shape with Drawing Tools.
Activates the Insert Vertex tool which lets you insert and manipulate the vertices of shapes.
For more information see Shapes - Operations on Shapes - Reshaping.
Activates the Smart Connector tool mode and lets you draw smart connectors.
For more information see Shapes - Connecting Shapes - Connectors.
Activates the Direct Connector tool mode and lets you draw direct connectors.
For more information see Shapes - Connecting Shapes - Connectors.
Activates the Connection Point tool mode which lets you insert and manipulate connection points of shapes.
For more information see Shapes - Connecting Shapes - Connection Points.
Activates the Stamp tool: if there is a shape selected in the document or in the library, you can insert this shape into the document by a single click on the page.
For more information read Shapes - Operations on Shapes - Duplicating, Libraries - Using Libraries and Library Shapes.
Activates the Edit Text tool mode which lets you edit the text of the shape, and also create new "Text" shapes.
For more information see Shapes - Drawing a Shape with Drawing Tools.
Activates the Text Box tool mode which lets you reposition the text with respect to the shape to which this text is assigned.
For more information see Text - Repositioning Text.


"Zoom" Toolbar

This toolbar controls the magnification level of the document and allows to scroll through the document using the Scroll Hand tool.
This toolbar may look different in Windows and Mac OS X.

After the first launch of the program it looks as follows:

This is the default view.
If on the Toolbars tab of the Customize dialog you choose the Zoom toolbar and click the Reset button, the Zoom toolbar will look as follows:

The Zoom drop-down list is used to set the magnification level. You can choose a value from the list, or type a custom value within the 1% - 2500 % range.
Last - restores the last zoom level,
Page - shows the whole page,
Width -sets the zoom level so that the page width fits in the document window.
Increases magnification.
Decreases magnification.
Activates the Zoom Box mode letting you zoom in or out on the needed part of the page.
The Scroll Hand tool is used for scrolling the document.

For more information see Document - Working with a Document - Zooming, Document - Working with a Document - Scrolling, about the Customize dialog see Dialogs - Modal Dialogs - Customize.


"View" Toolbar

This toolbar controls how the document is displayed.

Shows/hides the rulers.
For more information see Document - Working with a Document - Rulers and Grid.
Shows/hides the grid.
For more information see Document - Working with a Document - Rulers and Grid.
Shows/hides the guide lines.
For more information see Document - Working with a Document - Guide Lines and Gluing.

Lets you choose to show/hide the page breaks for the documents.
For more information see Document - Printing a Document.
Shows/hides the connection points of shapes.
For more information see Shapes - Connecting Shapes - Connection Points.
Shows/hides the Layers floating dialog.
For more information see Dialogs - Floating Dialogs - Layers, Document - Layers.


"Formatting" Toolbar

The Formatting toolbar is used to change line color, weight, type, fill and shadow color of shapes and more.

This drop-down list contains the user-defined named styles. You can use the styles to quickly change various attributes for the selected shapes.
For more information about the named styles see Shapes - Defining and Using Named Styles.
The Line Color tool is used to set the line color.
You can choose one of the colors in the button menu, or select the More Colors... item to get the Color dialog with more colors.
For more information see Shapes - Shape Properties - Line Properties.
For more information about the Color dialog see Dialogs - Modal Dialogs - Color.

The Line Weight tool is used to set the line weight.
You can choose one of the values in the button menu, or select the More Line Weights... item and select the desired line weight on the Line tab of the Shape Properties dialog.
For more information see Shapes - Shape Properties - Line Properties, Dialogs - Modal Dialogs - Shape Properties.

The Line Style tool is used to set the line style. You can choose one of the styles in the button menu, or select More Line Patterns... and choose the desired line style on the Line tab of the Shape Properties dialog.
For more information see Shapes - Shape Properties - Line Properties, Dialogs - Modal Dialogs - Shape Properties.
The Line Ends Style tool is used to set the arrowhead style. You can choose of the styles in the button menu, or select More Arrow Styles... and choose the desired arrowhead style on the Line tab of the Shape Properties dialog.
For more information see Shapes - Shape Properties - Line Properties, Dialogs - Modal Dialogs - Shape Properties.
The Fill Color tool is used to set the fill color. You can choose one of the colors in the button menu, or select the More Colors... item to get the Color dialog with more colors.
For more information see Shapes - Shape Properties - Fill Color and Pattern, Dialogs - Modal Dialogs - Color.
The Fill Pattern tool is used to set the fill pattern. You can choose a pattern from the button menu, or select the More Patterns... item and change the fill pattern on the Fill & Shadow tab of the Shape Properties dialog.
For more information see Shapes - Shape Properties - Fill Color and Pattern, Dialogs - Modal Dialogs - Shape Properties.
The Shadow Color dialog is used to set the shadow color. You can choose one of the colors in the button menu, or select the More Colors... item to get the Color dialog with more colors.
For more information see Shapes - Shape Properties - Shadow, Dialogs - Modal Dialogs - Color.


"Connect Shapes" Toolbar

This toolbar is used for connecting shapes.

Connects the selected shapes to the primary selected shape, using the smart connectors.
For more information see Shapes - Connecting Shapes - Smart Connector, Shapes - Connecting Shapes - Connecting Multiple Shapes.
Connects the selected shapes to the primary selected shape, using the direct connectors.
For more information see Shapes - Connecting Shapes - Direct Connector, Shapes - Connecting Shapes - Connecting Multiple Shapes.
Activates the Smart Connection mode in which every new shape gets connected automatically to the previously selected shape with a smart connector.
For more information see Shapes - Connecting Shapes - Smart Connector, Shapes - Connecting Shapes - Auto-Connection Modes.
Activates the Direct Connection mode in which every new shape gets connected automatically to the previously selected shape with a direct connector.
For more information see Shapes - Connecting Shapes - Direct Connector, Shapes - Connecting Shapes - Auto-Connection Modes.
Selects all shapes, connected to the selected shape with connectors.
If the shapes, connected to the selected shape also have shapes, connected to them, these shapes are selected as well.
For more information see Shapes - Operations on Shapes - Selecting.


"Text" Toolbar

This toolbar is used for formatting text, associated with shapes or inserted in the document.

The toolbar contains two drop-down lists and a number of buttons for changing text attributes.

In this drop-down list you can choose the font you need.
In this drop-down list you can choose a font size, or specify a custom font size.
The Increase Font Size tool increases the font size of the text of selected shapes.
The Decrease Font Size tool decreases the font size of the text of selected shapes.
The Text Color tool allows to select a text color from the button menu, or you can select the More Colors... item and choose a color from the Color dialog.

The Text Background Color tool allows to select a text background color from the button menu, or you can select the More Colors... item and choose a color from the Color dialog.

Applies the Bold style to selected text, or to the text of selected shape.
Applies the Italic style to selected text, or to the text of selected shape.
Applies the Underline style to selected text, or to the text of selected shape.
Sets the Superscript style.
Sets the Subscript style.
Aligns the paragraph to the left.
Aligns the paragraph to the center.
Aligns the paragraph to the right.
Aligns the text block to the top.
Aligns the text block to the center.
Aligns the text block to the bottom.
Activates the Text Auto Expand mode in which any shape is resized automatically when you add text to it.

For more information see Text, for details about the Color dialog see Dialogs - Modal Dialogs - Color.


"Arrange" Toolbar

This toolbar is used for aligning selected shapes, and copying attributes of shapes. It's used for working with two or more selected shapes.

For the first three tools, click and hold the mouse button on the menu; a submenu with the set of tools will appear.

Then when you release the mouse button on one of the tools, the corresponding operation will be performed.

Tools for aligning shapes

These tools are used to align several selected shapes (two or more) with respect to the primary selected shape.

Aligns selected shapes on the left sides relative to the primary selected shape.
Aligns selected shapes horizontally on the centers relative to the primary selected shape.
Aligns selected shapes on the right sides relative to the primary selected shape.
Aligns selected shapes on the top sides relative to the primary selected shape.
Aligns selected shapes vertically on the centers relative to the primary selected shape.
Aligns selected shapes on the bottom sides relative to the primary selected shape.

For more information see Shapes - Operations on Shapes - Aligning Shapes.

Tools for distributing shapes

These tools are used to create equal spacing between three or more selected shapes.

Creates uniform horizontal spacing between the alignment boxes of the selected shapes.
Creates uniform spacing between the left edges of the alignment boxes of the selected shapes.
Creates uniform horizontal spacing between the centers of the alignment boxes of the selected shapes.
Creates uniform spacing between the right edges of the alignment boxes of the selected shapes.
Creates uniform vertical spacing between the alignment boxes of the selected shapes.
Creates uniform spacing between the top edges of the alignment boxes of the selected shapes.
Creates uniform vertical spacing between the centers of the alignment boxes of the selected shapes.
Creates uniform spacing between the bottom edges of the alignment boxes of the selected shapes.

For more information see Shapes - Operations on Shapes - Distributing Shapes.

Tools for copying properties of shapes

These tools are used to make some attributes of shapes the same as the attributes of the primary selected shape. At least two shapes must be selected.

Makes the selected shapes the same width as the primary selected shape.
Makes the selected shapes the same height as the primary selected shape.
Makes the selected shapes the same size as the primary selected shape.
Makes the selected shapes the same line properties as the primary selected shape.
Makes the selected shapes the same fill properties as the primary selected shape.
Makes the selected shapes the same text properties as the primary selected shape.
Copies visual attributes of the primary selected shape to other selected shapes.

For more information see Shapes - Operations on Shapes - Copying Shape's Visual Attributes.

The Fit To Text tool

This tool resizes the selected shapes according to the dimensions of the text they contain.

For more information see Text - Adjusting a Shape's Size to Fit Its Text.


"Action" Toolbar

This menu contains various commands for manipulating shapes (flipping, rotating, grouping).

Replaces the selected shape with its horizontally mirrored copy.
For more information see Shapes - Operations on Shapes - Rotating and Flipping.
Replaces the selected shape with its vertically mirrored copy.
For more information see Shapes - Operations on Shapes - Rotating and Flipping.
Rotates selected shapes by 90° clockwise.
For more information see Shapes - Operations on Shapes - Rotating and Flipping.
Rotates selected shapes by 90° counterclockwise.
For more information see Shapes - Operations on Shapes - Rotating and Flipping.
Puts the selected shapes above all other shapes.
For more information see Shapes - Operations on Shapes - Changing the Front-to-Back Order.
Puts the selected shapes behind all other shapes.
For more information see Shapes - Operations on Shapes - Changing the Front-to-Back Order.
Groups selected shapes.
For more information see Shapes - Operations on Shapes - Grouping and Ungrouping.
Ungroups selected shapes.
For more information see Shapes - Operations on Shapes - Grouping and Ungrouping.


"Layers" Toolbar

This toolbar is used for working with layers. It contains only the drop-down list, from where you can choose the active layer - the layer, on which the shapes you draw are located.

For more information see Document - Layers.


"Libraries" Toolbar

This toolbar is used for working with libraries.

It contains a set of commands for working with libraries and library shapes.

Creates a new library.
Opens a library.
Saves the active library.
Closes the active library.
Cuts the selected library shape and copies it onto the Clipboard.
Copies the selected library shape onto the Clipboard.
Inserts the shape on the Clipboard into the library.
Edits the properties of the library shape.
Removes the shape from the library.
Shows shapes in the library window as icons.
Shows only the names of the shapes in the library window.
Shows both the names and the icons of the shapes in the library window.

For more information see Libraries, Windows - Library.


"Pages" Toolbar

The Pages toolbar is used to navigate between pages, add and delete pages.

Adds a page to the active document.
For more information see Document - Working with Pages - Adding a Page.
Deletes the selected page from the document.
For more information see Document - Working with Pages - Deleting a Page.
Allows to change the page properties in the Page Properties dialog (change name, make background, assign a background page).
For more information about the Page Properties dialog see Dialogs - Modal Dialogs - Add Page/Page Properties.
Changes the order of pages in the active document.
For more information see Document - Working with Pages - Reordering Pages.
Goes to the specified page.
For more information see Document - Working with Pages - Going to Another Page.
Goes to the first page.
For more information see Document - Working with Pages - Going to Another Page.
Goes to the previous page.
For more information see Document - Working with Pages - Going to Another Page.
Goes to the next page.
For more information see Document - Working with Pages - Going to Another Page.
Goes to the last page.
For more information see Document - Working with Pages - Going to Another Page.


"Routing" Toolbar

The Routing toolbar is used for working with connectors (it determines how the line jumps should look, and how connectors behave when they meet shapes on their way).

For the first two tools, click and hold the mouse button on the menu; a submenu with the set of tools will appear.

Then when you release the mouse button on one of the tools, the corresponding action will be performed.

Tools, determining the line jump type.

Specify how the points in which smart connectors cross look like.

Displays a square crossing.
Displays an arc crossing.
Displays a crossing made up of two lines.
Displays a crossing made up of three lines.
Displays a gap on crossing.

For more information see Shapes - Connecting Shapes - Smart Connector.

Tools, determining the line jump orientation.

Specify the orientation of line crossings.

The line crossings will be displayed on the horizontal lines.
The line crossings will be displayed on the vertical lines.
No line jumps are displayed.

For more information see Shapes - Connecting Shapes - Smart Connector.

Tools, determining the behavior of the smart connector.

Enables/disables automatic routing for the smart connector.
Specifies whether smart connectors can flow around shapes on their way.

For more information see Shapes - Connecting Shapes - Smart Connector.


"Snap & Glue" Toolbar

This toolbar is used for enabling/disabling the Glue and Snap modes.

It contains two tools:

Enables/disables the Snap mode.
For more information see Document - Working with a Document - Rulers and Grid.
Enables/disables the Glue mode (used for gluing shapes to guide lines).
For more information see Document - Working with a Document - Guide Lines and Gluing Shapes.


Basic toolbar

"CD Basic" Toolbar

This toolbar is used for working with ConceptDraw Basic.

It contains buttons for running, suspending and stopping the script.

Compile and run a ConceptDraw Basic script.
Suspend/resume executing a script.
Stop executing a script.

For more information see ConceptDraw Basic.


"Web" Toolbar

This toolbar is used for working with the Internet.

It contains two tools.

Opens the selected shape's hyperlink.
Opens a search engine page in the Internet.

For more information see Internet.


Menu. Context menu

Menus

ConceptDraw has the main menu and a number of context menus, which depend on what the user is doing at the moment, and in which window the user is working - in the document window, or ConceptDraw Basic editor window, etc. The main menu also looks differently in different views.

Document View Menus (the main menu in the document view)
Basic Editor View Menus (the main menu in the ConceptDraw Basic Editor view)
Shape Table View Menus (the main menu in the Shape Parameter Table view)
Document View Context Menu (the context menu of the document window)
Library Context Menu (the context menu of a library)
Library Item Context Menu (the context menu of a library item)
Basic Editor Context Menu (the context menu of the ConceptDraw Basic editor)
Basic Output View Context Menu (the context menu of the ConceptDraw Basic Output Window)
Table View Context Menu (the context menu of the Shape Paramenter Table)
Text Edit Context Menu (the context menu in the text editing mode)


Main menu

Document View Menus

When working with the document window, the main menu bar looks as follows:

  • File menu
  • Edit menu
  • View menu
  • Insert menu
  • Page menu
  • Format menu
  • Shape menu
  • Tools menu
  • Window menu
  • Help menu

File menu

Windows | Mac OS

The File menu contains commands for working with files - opening, closing and saving files.

New Document
Creates a new ConceptDraw document.

Template Gallery...
Opens the Template Gallery dialog where you can choose a template to base a new document on.
For more information read Dialogs - Modal dialogs - Template Gallery.

Open
Opens a file.

Open From FTP Server...
Opens a file from an FTP server.
For more information see Internet - Working with Documents on a Remote FTP-Server.

Close
Closes the active document.

Save
Saves the document.
For more information see Document - Saving a Document.

Save As...
Saves the document under a new name.
For more information see Document - Saving a Document.

Save Copy As...
Saves a copy of the document under a new name.
For more information see Document - Saving a Document.

Save As Template...
Saves or creates a template file.
For more information see Document - Saving a Document.

Save Workspace...
Saves or creates a workspace file.
For more information see Document - Saving a Document.

Save to FTP Server...
Saves a file to an FTP Server.
For more information see Internet - Working with Documents on a Remote FTP-Server.

Import
Opens a file in a format, other than ConceptDraw.

Import -> Graphic File...
Opens a graphic file (picture).
For more information see Document - Importing Files.

Import -> Microsoft PowerPoint...
Opens a presentation file in Microsoft PowerPoint format.
For more information see Document - Importing Files.

Import -> Text Data
In this menu you can choose one of two possible text data formats to import in ConceptDraw.

Import -> Text Data -> Flow Data Format...
Imports text data in the Flow Data format.
For more information see Document - Importing Files.

Import -> Text Data -> Outline Format...
Imports text data in the Outline format.
For more information see Document - Importing Files.

Import -> ConceptDraw XML...
Imports a file in the XML for ConceptDraw format.
For more information see Document - Importing Files.

Export
The file export menu.

Export -> Graphic File...
Saves the document in a graphic file.
For more information see Document - Exporting a Document- To graphic formats.

Export -> HTML...
Saves the document as HTML files. You can choose the image type and other export parameters.
For more information see Document - Exporting a Document - To HTML - for publishing on the Web.

Export -> PDF...
Saves the document in the PDF format.
For more information see Document - Exporting a Document - To PDF - for cross-platform viewing and printing.

Export -> Microsoft PowerPoint...
Saves the document in the MS PowerPoint format.
For more information see Document - Exporting a Document - To PowerPoint - for creating presentations.

Export -> Macromedia Flash (SWF)...
Saves the document in the Macromedia Flash format.
For more information see Document - Exporting a Document.

Export -> Encapsulated Postscript...
Saves the document in the Encapsulated Postscript (EPS) format.
For more information see Document - Exporting a Document.

Export -> Text Data
The menu for exporting to a text file.

Export -> Text Data -> Flow Data Format...
Saves the document in the Flow Data format.
For more information see Document - Exporting a Document.

Export -> Text Data -> Outline format...
Saves the document in the Outline format.
For more information see Document - Exporting a Document.

Export -> ConceptDraw XML...
Saves the document in the XML for ConceptDraw format.
For more information see Document - Exporting a Document.

ConceptDraw-Visio Converter...
Opens the Web page of the ConceptDraw-Visio conversion service.
For more information see Document - Exporting a Document.

Library
The menu for working with libraries.

Library -> New...
Creates a new library.
For more information see Libraries - Creating and Editing Libraries.

Library -> Open...
Opens a library.
For more information see Libraries - Using Libraries and Library Shapes.

Library -> Close
Closes the active library.
For more information see Libraries - Using Libraries and Library Shapes.

Library -> Close All
Closes all open libraries.
For more information see Libraries - Using Libraries and Library Shapes.

Library -> Save
Saves the active library.
For more information see Libraries - Creating and Editing Libraries.

Library -> Save as...
Saves the active library under a new name.
For more information see Libraries - Creating and Editing Libraries.

Library -> Properties...
Changes the properties of the library in the Library Properties dialog.
For more information see Libraries - Creating and Editing Libraries.

Print Page Setup...
Allows to set the printer page parameters in the Page Setup dialog.
For more information see Document - Printing a Document.

Print Preview...
Allows to preview the results before printing.
For more information see Document - Printing a Document.

Print...
Prints the document.
For more information see Document - Printing a Document.

Send via E-mail
Sends a document by e-mail.
For more information see Internet - Sending a Document by E-Mail.

Open Recent
Displays a list of the most recently opened documents. When you choose a document from the list, the program will open it unless it was deleted or renamed.
The Open Recent submenu contains a list of the most recently opened documents. When you choose a document from the list, the program will open it unless it was deleted or renamed.

Exit (only in Windows [image] )
Exits ConceptDraw.

Edit menu

Windows | Mac OS

This menu contains various commands for editing documents.

Undo
Cancels the most recent action. The name of the last action is displayed in the menu item.
For more information see Shapes - Operations on Shapes - Undo and Redo.

Redo
Cancels the last Undo operation. The name of the last action is displayed in the menu item.
For more information see Shapes - Operations on Shapes - Undo and Redo.

Cut
Cuts selected text or shapes and copies them onto the Clipboard.
For more information see Shapes - Operations on Shapes - Copying and Pasting.

Copy
Copies selected shapes or text onto the Clipboard.
For more information see Shapes - Operations on Shapes - Copying and Pasting.

Paste
Inserts the contents of the Clipboard into the document.
For more information see Shapes - Operations on Shapes - Copying and Pasting.

Paste Special
Inserts the contents of the Clipboard allowing to specify the format.
For more information see Shapes - Operations on Shapes - Copying and Pasting.

Paste In Place
Pastes the shape from the Clipboard into the same relative position on the page, as it was before being copied.
For more information see Shapes - Operations on Shapes - Copying and Pasting.

Substitute
Replaces one shape with another one.
For more information see Shapes - Operations on Shapes - Substituting a Shape with Another Shape.

Find/Replace
Searches / replaces text in the shapes in the document.
For more information see Text - Searching and Replacing Text.

Delete
Deletes selected shapes.
For more information see Shapes - Operations on Shapes - Deleting.

Duplicate
Creates a copy of the selected shape.
For more information see Shapes - Operations on Shapes - Duplicating.

Links
Edits a linked OLE object (Windows only).

Object(Îáúåêò)(òîëüêî Windows)
If an OLE object is selected, the menu for editing an OLE object appears in place of this item.
For more information see OLE-objects.

Select Next
Selects the next shape in the order they were created.
For more information see Shapes - Operations on Shapes - Selecting.

Select Previous
Selects the previous shape in the order they were created.
For more information see Shapes - Operations on Shapes - Selecting.

Select Connected
Selects all shapes, connected to the selected shape with connectors.
If the shapes, connected to the selected shape also have shapes, connected to them, these shapes are selected as well.
For more information see Shapes - Operations on Shapes - Selecting.

Select All
Selects all shapes in the document.
For more information see Shapes - Operations on Shapes - Selecting.

Put into Library
Puts selected shape(s) into the active library.
For more information see Libraries - Creating and Editing Libraries - Adding Shapes to a Library.

Library Object
The menu for working with shapes in the active library. This menu is enabled when there is an open library.

Windows | Mac OS

Library Object -> Cut
Cuts the selected library shape and copies it onto the Clipboard.
For more information see Libraries.

Library Object -> Copy
Copies the library shape onto the Clipboard.
For more information see Libraries.

Library Object -> Paste
Pastes the shape from the Clipboard into the library.
For more information see Libraries.

Library Object -> Remove
Removes a shape from the library.
For more information see Libraries.

Library Object -> Replace
Replaces the selected shape in the library with the selected shape in the document without changing the icon.
For more information see Libraries.

Library Object -> Change Icon
Changes the icon of a library shape.
For more information see Libraries.

Library Object -> Properties
Edits properties of the library shape.
For more information see Libraries.

Preferences (only Windows [image] )
Calls the Preferences dialog, where you can set parameters of the application.
In Mac OS X this item is located in the application menu.
For more information see Dialogs - Modal dialogs - Preferences and Customizing the Working Environment - Application Settings.

View menu

Windows | Mac OS

This menu controls how the document is displayed, whether to show toolbars, floating dialogs and more.

Zoom In
Increases magnification.
For more information see Document - Working with a Document - Zooming.
Zoom Out
Decreases magnification.
For more information see Document - Working with a Document - Zooming.

Zoom Box
Activates the Zoom Box mode letting you zoom in or out on the needed part of the page.
For more information see Document - Working with a Document - Zooming.

Zoom
Lets you choose various zoom settings.

Zoom -> 400%
Zoom -> 200%
Zoom -> 150%
Zoom -> 125%
Zoom -> 100%
Zoom -> 75%
Zoom -> 50%
Sets the specified zoom level for the active document window.
For more information see Document - Working with a Document - Zooming.

Zoom -> Last
Sets the previous zoom level.
For more information see Document - Working with a Document - Zooming.

Zoom -> To Page Width
Sets the zoom level so that the page width fits in the document window.
For more information see Document - Working with a Document - Zooming.

Zoom -> To All Objects
Sets the zoom level so that the all the shapes on the page fit in the document window.
For more information see Document - Working with a Document - Zooming.

Zoom To Actual Size
Displays the document at its actual size (100 % zoom).
For more information see Document - Working with a Document - Zooming.

Zoom To Whole Page
Sets the zoom level so that the entire page fits in the window.
For more information see Document - Working with a Document - Zooming.

Rulers
Shows/hides the rulers.
For more information see Document - Working with a Document - Rulers and Grid.

Grid
Shows/hides the grid.
For more information see Document - Working with a Document - Rulers and Grid.

Guides
Shows/hides the guide lines.
For more information see Document - Working with a Document - Guide Lines and Gluing.

Page Breaks
Lets you choose to show/hide the page breaks for the documents. (Page breaks are gray lines which mark the non-printable areas and show the borders of the print pages).
For more information see Document - Printing a Document.

Connection Points
Shows/hides the connection points of shapes (they remain active even when hidden).
For more information see Shapes - Connecting Shapes - Connection Points.

Connection Points in Groups
Shows/hides the connection points of shapes in groups.
For more information see Shapes - Connecting Shapes - Connection Points, Shapes - Operations on Shapes - Grouping and Ungrouping.

Floating Dialogs
This menu controls which floating dialogs are displayed.

The check mark [image] besides the menu items indicates that the floating dialog is active and is displayed either as a floating window, or as a tab in one of the floating windows. Clicking on a menu item displays the dialog if it was hidden, or hides it if it was visible.

Line
Shows/hides the Line floating dialog.
For more information see Dialogs - Floating Dialogs - Line.

Fill & Shadow
Shows/hides the Fill & Shadow floating dialog.
For more information see Dialogs - Floating Dialogs - Fill & Shadow.

Protection
Shows/hides the Protection floating dialog.
For more information see Dialogs - Floating Dialogs - Protection.

Behavior
Shows/hides the Behavior floating dialog.
For more information see Dialogs - Floating Dialogs - Behavior.

Double-Click
Shows/hides the Double-Click floating dialog.
For more information see Dialogs - Floating Dialogs - Double-Click.

Information
Shows/hides the Information floating dialog.
For more information see Dialogs - Floating Dialogs - Information.

Layers
Shows/hides the Layers floating dialog.
For more information see Dialogs - Floating Dialogs - Layers.

Pages
Shows/hides the Pages floating dialog.
For more information see Dialogs - Floating Dialogs - Pages.

Geometry
Shows/hides the Geometry floating dialog.
For more information see Dialogs - Floating Dialogs - Geometry.

Show/Hide
Shows/hides all active floating dialogs.

Toolbars
This menu controls which toolbars are displayed. The check mark [image] besides the menu items indicates that the toolbar is displayed.
For more information see Toolbars.

Toolbars -> Main
Shows/hides the Main toolbar.
For more information see Toolbars - Main.

Toolbars -> Drawing Tools
Shows/hides the Drawing Tools toolbar.
For more information see Toolbars - Drawing Tools.

Toolbars -> Formatting
Shows/hides the Formatting toolbar.
For more information see Toolbars - Formatting.

Toolbars -> Text
Shows/hides the Text toolbar.
For more information see Toolbars - Text.

Toolbars -> Arrange & Make Same
Shows/hides the Arrange & Make Same toolbar.
For more information see Toolbars - Arrange & Make Same.

Toolbars -> Action
Shows/hides the Action toolbar.
For more information see Toolbars - Action.

Toolbars -> Connect Shapes
Shows/hides the Connect Shapes toolbar.
For more information see Toolbars - Connect Shapes.

Toolbars -> Snap & Glue
Shows/hides the Snap & Glue toolbar.
For more information see Toolbars - Snap & Glue.

Toolbars -> Zoom
Shows/hides the Zoom toolbar.
For more information see Toolbars - Zoom.

Toolbars -> View
Shows/hides the View toolbar.
For more information see Toolbars - View.

Toolbars -> Libraries
Shows/hides the Libraries toolbar.
For more information see Toolbars - Libraries.

Toolbars -> Pages
Shows/hides the Pages toolbar.
For more information see Toolbars - Pages.

Toolbars -> Layers
Shows/hides the Layers toolbar.
For more information see Toolbars - Layers.

Toolbars -> Routing
Shows/hides the Routing toolbar.
For more information see Toolbars - Routing.

Toolbars -> CD Basic
Shows/hides the CD Basic toolbar.
For more information see Toolbars - Basic.

Toolbars -> Web
Shows/hides the Web toolbar.
For more information see Toolbars - Web.

Toolbars -> Customize
Calls the Customize dialog where you can set the view of toolbars.
For more information see Dialogs - Modal dialogs - Customize.

Libraries Window
This menu is used to display, hide and change the appearance of the library window.

Libraries Window -> Show
Shows/hides the library window.
For more information see Libraries, Windows - Library.

Libraries Window -> View as Icons
Shows shapes in the library window as icons.
For more information see Libraries, Windows - Library.

Libraries Window -> View as Text
Shows only the names of the shapes in the library window.
For more information see Libraries, Windows - Library.

Libraries Window -> View as Icons and Text
Shows both the names and the icons of the shapes in the library window.
For more information see Libraries, Windows - Library.

Status Bar
Displays/hides the status bar. If the check mark [image] besides the menu item is enabled, the status bar is visible.

Insert menu

Windows | Mac OS

In this menu you can choose drawing tools, insert picture, hyperlinks and OLE objects (Windows version only).

Line Segment
Activates the Line tool mode and lets you draw lines and manipulate vertices of shapes.
For more information see Shapes - Drawing a Shape with Drawing Tools.

Sector Segment
Activates the Sector tool mode and lets you draw circular sectors, manipulate vertices of shapes, and change the curvature of segments.
For more information see Shapes - Drawing a Shape with Drawing Tools.

Arc Segment
Activates the Arc tool mode and lets you draw elliptic arc segments, manipulate vertices of shapes and change the curvature of segments.
For more information see Shapes - Drawing a Shape with Drawing Tools.

Spline Segment
Activates the Spline tool mode and lets you draw smooth curves (splines), and also manipulate vertices of shapes and change the curvature of spline segments.
For more information see Shapes - Drawing a Shape with Drawing Tools.

Rectangle
Activates the Rectangle tool mode and lets you draw rectangle boxes, and also move and resize shapes.
For more information see Shapes - Drawing a Shape with Drawing Tools.

Ellipse
Activates the Ellipse tool mode and lets you draw ellipses, and also move and resize shapes.
For more information see Shapes - Drawing a Shape with Drawing Tools.

Vertex
Activates the Insert Vertex tool which lets you insert and manipulate the vertices of shapes.
For more information see Shapes - Operations on Shapes - Reshaping.

Smart Connector
Activates the Smart Connector tool mode and lets you draw smart connectors.
For more information see Shapes - Connecting Shapes - Connectors.

Direct Connector
Activates the Direct Connector tool mode and lets you draw direct connectors.
For more information see Shapes - Connecting Shapes - Connectors.

Connection Point
Activates the Connection Point tool mode which lets you insert and manipulate connection points of shapes.
For more information see Shapes - Connecting Shapes - Connection Points.

Stamp
Activates the Stamp tool: if there is a shape selected in the document or in the library, you can insert this shape into the document by a single click on the page.
For more information read Shapes - Operations on Shapes - Duplicating, Libraries - Using Libraries and Library Shapes.

Text
Activates the Edit Text tool mode which lets you edit the text of the shape, and also create new "Text" shapes.
For more information see Shapes - Drawing a Shape with Drawing Tools.

Text Box
Activates the Text Box tool mode which lets you reposition the text with respect to the shape to which this text is assigned.
For more information see Text - Repositioning Text.

Picture...
Inserts a picture into the document.
For more information see Shapes - Pictures.

Hyperlink...
Lets you assign a hyperlink to the selected shape.
For more information see Internet - Using Hyperlinks.

Object...(Windows only [image] )
Inserts an OLE-object.
For more information see OLE-Objects.

Page menu

Windows | Mac OS

This menu is used to work with pages of the document.

Add
Adds a page to the active document.
For more information see Document - Working with Pages - Adding a Page.

Delete
Deletes the selected page from the document.
For more information see Document - Working with Pages - Deleting a Page.

Reorder
Changes the order of pages in the active document.
For more information see Document - Working with Pages - Reordering Pages.

Go to...
Goes to the specified page.
For more information see Document - Working with Pages - Going to Another Page.

Go to Previous Page
Goes to the previous page.
For more information see Document - Working with Pages - Going to Another Page.

Go to Next Page
Goes to the next page.
For more information see Document - Working with Pages - Going to Another Page.

Go to Background Page
Goes to the background page.
For more information see Document - Working with Pages - Background Pages.

Properties...
Allows to change the page properties in the Page Properties dialog (change name, make background, assign a background page).
For more information about the Page Properties dialog see Dialogs - Modal Dialogs - Add Page/Page Properties.

Format menu

Windows | Mac OS

This menu is used to change various parameters of shapes (line style, fill, shadow, text).

Shape Properties
Calls the Shape Properties dialog where you can change various properties of shapes.
For more information see Shapes - Shape Properties, Dialogs - Modal Dialogs - Shape Properties.

Text...
Calls the Text Properties dialog for formatting text.
For more information see Text - Formatting Text.

Hyperlink
The menu for working with hyperlinks.

Windows | Mac OS

Hyperlink -> Open
Opens the hyperlink. Depending on the hyperlink type, this command may open another document page, open another document, launch another application or open a Web page in the Web browser.
For more information see Internet - Using Hyperlinks.

Hyperlink -> Edit...
Edits hyperlink in the Hyperlink dialog.
For more information see Internet - Using Hyperlinks, Dialogs - Modal Dialogs - Hyperlink.

Hyperlink -> Remove
Removes the selected shape's hyperlink.
For more information see Internet - Using Hyperlinks.

Define Styles...
Calls a dialog where you can define named styles.
For more information see Shapes - Defining and Using Named Styles.

Custom Properties...
Allows to set custom properties to the shape.
For more information see Shapes - Custom Properties.

Shape menu

Windows | Mac OS

The commands in this menu allow you to group shapes, change their display order and make various operations on them.

Display Order
This menu determines the display order of shapes in the document.

Windows | Mac OS

Display Order -> Send to Back
Puts the selected shapes behind all other shapes.
For more information see Shapes - Operations on Shapes - Changing the Front-to-Back Order.

Display Order -> Bring to Front
Puts the selected shapes above all other shapes.
For more information see Shapes - Operations on Shapes - Changing the Front-to-Back Order.

Display Order -> Send Backward
Positions selected shapes one step lower in the order list.
For more information see Shapes - Operations on Shapes - Changing the Front-to-Back Order.

Display Order -> Bring Forward
Positions selected shapes one step higher in the order list.
For more information see Shapes - Operations on Shapes - Changing the Front-to-Back Order.

Rotate and Flip
This menu contains commands for rotating and flipping shapes.

Windows | Mac OS

Rotate and Flip -> Rotate Left(90°)
Rotates selected shapes by 90° counterclockwise.
For more information see Shapes - Operations on Shapes - Rotating and Flipping.

Rotate and Flip -> Rotate Right(90°)
Rotates selected shapes by 90° clockwise.
For more information see Shapes - Operations on Shapes - Rotating and Flipping.

Rotate and Flip -> Flip Vertical
Replaces the selected shape with its vertically mirrored copy.
For more information see Shapes - Operations on Shapes - Rotating and Flipping.

Rotate and Flip -> Flip Horizontal
Replaces the selected shape with its horizontally mirrored copy.
For more information see Shapes - Operations on Shapes - Rotating and Flipping.

Group
Groups selected shapes.
For more information see Shapes - Operations on Shapes - Grouping and Ungrouping.

Ungroup
Ungroups selected shapes.
For more information see Shapes - Operations on Shapes - Grouping and Ungrouping.

Edit Group
Opens a new window in which you can edit shapes inside a group without ungrouping it.
For more information see Shapes - Operations on Shapes - Grouping and Ungrouping.

Connector
This menu contains commands for working with connectors.

Connector -> Reverse Link
Changes the direction of the connector (exchanges its begin and end points).
For more information see Shapes - Connecting Shapes.

Connector -> Disable Auto-Routing
Enables/disables automatic routing for the smart connector.
For more information see Shapes - Connecting Shapes - Smart Connector.

Connector -> Flow Around Objects
Specifies whether smart connectors can flow around shapes on their way.
For more information see Shapes - Connecting Shapes - Smart Connector.

Edit Text
Edits text of the selected shape.
For more information see Text - Adding Text to a Shape.

Show Table
Displays the shape parameter table.
For more information see Shape Parameter Table.

Distribute
This menu allows you to create equal spacing between selected shapes.

Windows | Mac OS

Distribute -> Horizontal Spacing
Creates uniform horizontal spacing between the alignment boxes of the selected shapes.
For more information see Shapes - Operations on Shapes - Distributing Shapes.

Distribute -> Left Edges
Creates uniform spacing between the left edges of the alignment boxes of the selected shapes.
For more information see Shapes - Operations on Shapes - Distributing Shapes.

Distribute -> Centers
Creates uniform horizontal spacing between the centers of the alignment boxes of the selected shapes.
For more information see Shapes - Operations on Shapes - Distributing Shapes.

Distribute -> Right Edges
Creates uniform spacing between the right edges of the alignment boxes of the selected shapes.
For more information see Shapes - Operations on Shapes - Distributing Shapes.

Distribute -> Vertical Spacing
Creates uniform vertical spacing between the alignment boxes of the selected shapes.
For more information see Shapes - Operations on Shapes - Distributing Shapes.

Distribute -> Top Edges
Creates uniform spacing between the top edges of the alignment boxes of the selected shapes.
For more information see Shapes - Operations on Shapes - Distributing Shapes.

Distribute -> Middle
Creates uniform vertical spacing between the centers of the alignment boxes of the selected shapes.
For more information see Shapes - Operations on Shapes - Distributing Shapes.

Distribute -> Bottom Edges
Creates uniform spacing between the bottom edges of the alignment boxes of the selected shapes.
For more information see Shapes - Operations on Shapes - Distributing Shapes.

Align
This menu contains commands for aligning two or more selected shapes.

Align -> Left
Aligns selected shapes on the left sides relative to the primary selected shape.
For more information see Shapes - Operations on Shapes - Aligning Shapes.

Align -> Center
Aligns selected shapes horizontally on the centers relative to the primary selected shape.
For more information see Shapes - Operations on Shapes - Aligning Shapes.

Align -> Right
Aligns selected shapes on the right sides relative to the primary selected shape.
For more information see Shapes - Operations on Shapes - Aligning Shapes.

Align -> Top
Aligns selected shapes on the top sides relative to the primary selected shape.
For more information see Shapes - Operations on Shapes - Aligning Shapes.

Align -> Middle
Aligns selected shapes vertically on the centers relative to the primary selected shape.
For more information see Shapes - Operations on Shapes - Aligning Shapes.

Align -> Bottom
Aligns selected shapes on the bottom sides relative to the primary selected shape.
For more information see Shapes - Operations on Shapes - Aligning Shapes.

Move To
This menu lets you center selected shapes on the page.

Move To -> Center Page
Positions the selected shape(s) in the center of the document page.

Move To -> Center Vertically
Changes the vertical position of the selected shapes moving them to the center of the page.

Move To -> Center Horizontally
Changes the horizontal position of the selected shapes moving them to the center of the page.

Make Same
Makes some attributes of shapes the same as the attributes of the primary selected shape.

Make Same -> Style
Copies visual attributes of the primary selected shape to other selected shapes.
For more information see Shapes - Operations on Shapes - Copying Shape's Visual Attributes.

Make Same -> Width
Makes the selected shapes the same width as the primary selected shape.
For more information see Shapes - Operations on Shapes - Copying Shape's Visual Attributes.

Make Same -> Height
Makes the selected shapes the same height as the primary selected shape.
For more information see Shapes - Operations on Shapes - Copying Shape's Visual Attributes.

Make Same -> Size
Makes the selected shapes the same size as the primary selected shape.
For more information see Shapes - Operations on Shapes - Copying Shape's Visual Attributes.

Operations
The commands from this menu allow you to combine several shapes in one or separate shapes to individual segments.

Operations -> Combine
Combines several selected shapes into one.
For more information see Shapes - Operations on Shapes - The Join, Combine and Separate Operations.

Operations -> Join
Joins several selected shapes so that they form a single geometry.
For more information see Shapes - Operations on Shapes - The Join, Combine and Separate Operations.

Operations -> Separate
Splits the selected complex shape into separate geometries, so that each geometry becomes a separate shape.
For more information see Shapes - Operations on Shapes - The Join, Combine and Separate Operations.

Convert
Converts selected shapes to the Vector Picture format and vice versa.

Convert -> To Vector Picture
Converts selected shapes or groups into a vector picture.
For more information see Shapes - Pictures - Vector Pictures.

Convert -> To Group
Converts a vector picture into a group of ConceptDraw shapes.
For more information see Shapes - Pictures - Vector Pictures.

Fit to Text
Resizes the selected shapes according to the dimensions of the text they contain.
For more information see Text - Adjusting a Shape's Size to Fit Its Text.

Tools menu

This menu contains various tools.

Windows | Mac OS

ConceptDraw Basic
Contains commands for editing ConceptDraw Basic scripts.

Application Script
For application-level scripts.

Application Script -> Edit
Edits an application-level script.
For more information see ConceptDraw Basic.

Application Script -> Remove
Removes an application-level script.
For more information see ConceptDraw Basic.

Document Script
For document-level scripts.

Document Script -> Edit
Edits a document-level script.
For more information see ConceptDraw Basic.

Document Script -> Remove
Removes a document-level script.
For more information see ConceptDraw Basic.

Page Script
For page-level scripts.

Page Script -> Edit
Edits a page-level script.
For more information see ConceptDraw Basic.

Page Script -> Remove
Removes a page-level script.
For more information see ConceptDraw Basic.

Shape Script
For shape-level scripts.

Shape Script -> Edit
Edits a shape-level script.
For more information see ConceptDraw Basic.

Shape Script -> Remove
Removes a shape-level script.
For more information see ConceptDraw Basic.

Select
Activates the Select tool mode.
For more information see Shapes - Operations on Shapes - Selecting and Shapes - Operations on Shapes - Moving.

Rotate
Activates the Rotate tool mode and lets you rotate shapes.
For more information see Shapes - Operations on Shapes - Rotating and Flipping.

Connect with Smart Connector
Connects the selected shapes to the primary selected shape, using the smart connectors.
For more information see Shapes - Connecting Shapes - Smart Connector, Shapes - Connecting Shapes - Connecting Multiple Shapes.

Connect with Direct Connector
Connects the selected shapes to the primary selected shape, using the direct connectors.
For more information see Shapes - Connecting Shapes - Direct Connector, Shapes - Connecting Shapes - Connecting Multiple Shapes.

Line Jump Type
This menu specifies how the points in which smart connectors cross look like.

Line Jump Type -> Square
Displays a square crossing.
For more information see Shapes - Connecting Shapes - Smart Connector.

Line Jump Type -> Arc
Displays an arc crossing.
For more information see Shapes - Connecting Shapes - Smart Connector.

Line Jump Type -> 2 Sides
Displays a crossing made up of two lines.
For more information see Shapes - Connecting Shapes - Smart Connector.

Line Jump Type -> 3 Sides
Displays a crossing made up of three lines.
For more information see Shapes - Connecting Shapes - Smart Connector.

Line Jump Type -> Gap
Displays a gap on crossing.
For more information see Shapes - Connecting Shapes - Smart Connector.

Line Jump Orientation
Specifies the orientation of line crossings.

Line Jump Orientation -> Horizontal Jumps
The line crossings will be displayed on the horizontal lines.
For more information see Shapes - Connecting Shapes - Smart Connector.

Line Jump Orientation -> Vertical Jumps
The line crossings will be displayed on the vertical lines.
For more information see Shapes - Connecting Shapes - Smart Connector.

Line Jump Orientation -> No Jumps
No line jumps are displayed.
For more information see Shapes - Connecting Shapes - Smart Connector.

Smart Connection Mode
Activates the Smart Connection mode in which every new shape gets connected automatically to the previously selected shape with a smart connector.
For more information see Shapes - Connecting Shapes - Smart Connector, Shapes - Connecting Shapes - Auto-Connection Modes.

Direct Connection Mode
Activates the Direct Connection mode in which every new shape gets connected automatically to the previously selected shape with a direct connector.
For more information see Shapes - Connecting Shapes - Direct Connector, Shapes - Connecting Shapes - Auto-Connection Modes.

Text Auto Expand Mode
Activates the Text Auto Expand mode in which any shape is resized automatically when you add text to it.
For more information see Text - Text Auto-Expand Mode.

Grid & Rules
Calls the Grid & Rulers dialog, where you can change the parameters for the grid and rulers.
For more information see Dialogs - Modal Dialogs - Grid & Rulers.

Snap & Glue
Allows to modify snapping and gluing parameters for shapes.
For more information see Dialogs - Modal Dialogs - Snap & Glue, Document - Working with a Document - Guide Lines and Gluing.

Color Palette
Calls the Palette dialog, where you can save or load the 256-color palette for the document.
For more information see Dialogs - Modal Dialogs - Palette.

Window menu

This menu contains commands for manipulating windows, and shows the list of open windows.

Windows | Mac OS

For more information see Customizing the Working Environment - Working with Windows.

New Window
Opens the active document in a new window.
For more information see Customizing the Working Environment - Working with Windows.

Cascade (Windows only [image])
Arranges all the open windows so that each next window appears slightly down and to the right from the previous one.
For more information see Customizing the Working Environment - Working with Windows.

Tile Horizontally
Arranges all the open windows horizontally as non-overlapping tiles.
For more information see Customizing the Working Environment - Working with Windows.

Tile Vertically
Arranges all the open windows vertically as non-overlapping tiles.
For more information see Customizing the Working Environment - Working with Windows.

Close Window
Closes the active window.
For more information see Customizing the Working Environment - Working with Windows.

Close All
Closes all open windows in the program.
For more information see Customizing the Working Environment - Working with Windows.

Minimize Window(Òîëüêî Mac OS [image])
Minimizes the active window.
For more information see Customizing the Working Environment - Working with Windows.

Zoom Window(Òîëüêî Mac OS [image])
Maximizes the active window to full screen.
For more information see Customizing the Working Environment - Working with Windows.

Help menu

From this menu you can get reference information.

Windows | Mac OS

ConceptDraw Help
Calls ConceptDraw help system.

Tutorial
Opens brief tutorial about ConceptDraw.

XML Reference
Calls reference information about XML for ConceptDraw.

About ConceptDraw V... (Windows only [image])
Displays a window with information about the program and its developers.

Product Web Site
Opens ConceptDraw web site in the Web browser.

Online Registration
Goes to the online registration page.

Get Latest Update
Goes to the Updates page of the Web site.


Basic Editor Menu

When working with the ConceptDraw Basic editor, the main menu will look as follows:

File menu
Edit menu
Build menu
Window menu
Help menu

File menu

The File menu contains commands for working with files - opening, closing and saving files.

Open Script
Open a ConceptDraw Basic script file.

Close
Close the script.

Save Document
Save the document, which script is being edited.

Save Script
Save the script to a file.

Save Script As
Save the script under a new name.

Print Preview
Preview the results before printing.

Print
Print the script.

Print Setup
Print settings.

Open Source
Open the included source file.

Include Source
Include a ConceptDraw Basic file in the script.

Exclude Source
Exclude the included file from the document.

Exit
Exit ConceptDraw.

Edit menu

This menu contains various commands for editing the file.

Undo
Cancels the last action.

Redo
Cancels the last Undo operation.

Cut
Cuts selected text and copies it onto the Clipboard.

Copy
Copies selected text onto the Clipboard.

Paste
Pastes the copied text from the clipboard into the document.

Select All
Select all.

Go to Line...
Go to the line with the specified number.
For more information see Dialogs - Modal dialogs - Line Number.

Find / Replace
Searches and replaces text in the document.
For more information see Dialogs - Modal dialogs - Find/Replace.

Copy From Output Window
Copies the selected text from the CD Basic Output window onto the Clipboard.

Clear Output Window
Clears ConceptDraw Basic Output window.

Preferences
Calls the Preferences dialog where you can set parameters of the application.
For more information see Dialogs - Modal dialogs - Preferences and Customizing the Working Environment - Application Preferences.

Build menu

From this menu you can compile, run or stop executing a script.

When a script is running, the menu looks as follows:

If no script is running, the menu looks like this:

Compile
Compiles the program and checks it for errors.

Run
Compiles and runs the program.

Stop
Stops running program.

Window menu

This menu is used to control windows. For more information about the Window menu see Menus - Document View Menus - Window.

Help menu

From this menu you can get reference information.

ConceptDraw Help
Calls ConceptDraw help system.

ConceptDraw Basic Reference
Calls reference information about ConceptDraw Basic.

Tutorial
Opens brief tutorial about ConceptDraw.

XML Reference
Calls reference information about XML for ConceptDraw.

About ConceptDraw V...(Windows only [image])
Displays a window with information about the program and its developers.

Product Web Site
Opens ConceptDraw web site in the Web browser.

Online Registration
Goes to the online registration page.

Get Latest Update
Goes to the Updates page of the Web site.


Document View Context Menu

The appearance of the context menu of the document may vary depending on where you call it - on a shape, or on an empty area in the document window.

When you right-click on a shape, the context menu will look as follows:

When you right-click on an empty area, the context menu will look as follows:

Cut
Cuts selected text or shapes and copies them onto the Clipboard.
For more information see Shapes - Operations on Shapes - Copying and Pasting.

Copy
Copies selected shapes or text onto the Clipboard.
For more information see Shapes - Operations on Shapes - Copying and Pasting.

Paste
Inserts the contents of the Clipboard into the document.
For more information see Shapes - Operations on Shapes - Copying and Pasting.

Delete
Deletes selected shapes.
For more information see Shapes - Operations on Shapes - Deleting.

Shape Properties
Calls the Shape Properties dialog where you can change various properties of shapes.
For more information see Shapes - Shape Properties, Dialogs - Modal Dialogs - Shape Properties.

Text Format
Calls the Text Properties dialog for formatting text.
For more information see Text - Formatting Text.

Fit To Text
Resizes the selected shapes according to the dimensions of the text they contain.
For more information see Text - Adjusting a Shape's Size to Fit Its Text.

Object
This menu is used to change position of shapes in the document.

Object -> Send To Back
Puts the selected shapes behind all other shapes.
For more information see Shapes - Operations on Shapes - Changing the Front-to-Back Order.

Object -> Bring To Front
Puts the selected shapes above all other shapes.
For more information see Shapes - Operations on Shapes - Changing the Front-to-Back Order.

Object -> Rotate Left(90°)
Rotates selected shapes by 90° counterclockwise.
For more information see Shapes - Operations on Shapes - Rotating and Flipping.

Object -> Rotate Right(90°)
Rotates selected shapes by 90° clockwise.
For more information see Shapes - Operations on Shapes - Rotating and Flipping.

Object -> Flip Horizontal
Replaces the selected shape with its horizontally mirrored copy.
For more information see Shapes - Operations on Shapes - Rotating and Flipping.

Object -> Flip Vertical
Replaces the selected shape with its vertically mirrored copy.
For more information see Shapes - Operations on Shapes - Rotating and Flipping.

Object -> Edit Text
Edits text of the selected shape.
For more information see Text - Adding Text to a Shape.

Object -> Group
Groups selected shapes.
For more information see Shapes - Operations on Shapes - Grouping and Ungrouping.

Object -> Ungroup
Ungroups selected shapes.
For more information see Shapes - Operations on Shapes - Grouping and Ungrouping.

Hyperlink
This menu is used for working with hyperlinks.

Hyperlink -> Open
Opens the hyperlink. Depending on the hyperlink type, this command may open another document page, open another document, launch another application or open a Web page in the Web browser.
For more information see Internet - Using Hyperlinks.

Hyperlink -> Edit...
Edits hyperlink in the Hyperlink dialog.
For more information see Internet - Using Hyperlinks, Dialogs - Modal Dialogs - Hyperlink.

Hyperlink -> Remove
Removes the selected shape's hyperlink.
For more information see Internet - Using Hyperlinks.

Custom Properties...
Allows to set custom properties to the shape.
For more information see Shapes - Custom Properties.


Library Context Menu

This menu appears when you right-click on a title bar of one of the open libraries in the library window.

New
Creates a new library.
For more information see Libraries - Creating and Editing Libraries.

Open...
Opens a library.
For more information see Libraries - Using Libraries and Library Shapes.

Close
Closes the active library.
For more information see Libraries - Using Libraries and Library Shapes.

Close All
Closes all open libraries.
For more information see Libraries - Using Libraries and Library Shapes.

Save
Saves the active library.
For more information see Libraries - Creating and Editing Libraries.

Save As..
Saves the active library under a new name.
For more information see Libraries - Creating and Editing Libraries.

Properties...
Changes the properties of the library in the Library Properties dialog.
For more information see Libraries - Creating and Editing Libraries.

View as Icons
Shows shapes in the library window as icons.
For more information see Libraries, Windows - Library.

View as Text
Shows only the names of the shapes in the library window.
For more information see Libraries, Windows - Library.

View as Icons and Text
Shows both the names and the icons of the shapes in the library window.
For more information see Libraries, Windows - Library.


Library Item Context Menu

This menu appears when you right-click on a shape in the library window.

Cut
Cuts the selected library shape and copies it onto the Clipboard.
For more information see Libraries.

Copy
Copies the library shape onto the Clipboard.
For more information see Libraries.

Paste
Pastes the shape from the Clipboard into the library.
For more information see Libraries.

Delete
Removes a shape from the library.
For more information see Libraries.

Replace
Replaces the selected shape in the library with the selected shape in the document without changing the icon.
For more information see Libraries.

Change Icon
Changes the icon of a library shape.
For more information see Libraries.

Properties
Edits properties of the library shape.
For more information see Libraries.

View as Icons
Shows shapes in the library window as icons.
For more information see Libraries, Windows - Library.

View as Text
Shows only the names of the shapes in the library window.
For more information see Libraries, Windows - Library.

View as Icons and Text
Shows both the names and the icons of the shapes in the library window.
For more information see Libraries, Windows - Library.


Basic Editor Context Menu

This menu appear if you right-click on a line in the file you edit in the ConceptDraw Basic editor.

Cut
Cuts selected text and copies it onto the Clipboard.

Copy
Cuts selected text and from the Clipboard.

Paste
Pastes selected text from the Clipboard.

Open Source
Opens included source.

Include Source...
Includes the source into the CD Basic file.

Exclude Source
Exclude the included file from the document.

Find/Replace
Searches and replaces text in the document.
For more information see Dialogs - Modal Dialogs - Find/Replace.


Basic Output View Context Menu

This menu appears when you right-click somewhere in the ConceptDraw Basic Output Window.

Copy
Copies selected text onto the Clipboard.

Clear
Clears the Output Window.


Table View Context Menu

This menu appears when you right-click somewhere in the shape parameter table window.

Copy
Copies selected text onto the Clipboard.

Values
Shows values in the cells.

Formulas
Shows formulas in the cells.

Insert Section
Inserts a new section in the parameter table.
For more information see Shape Parameter Table - The Table's Sections.

View Sections
Calls the View Sections dialog, where you can choose, which of the table sections to display.

Add Row
Adds a new row to the active section of the table.
For more information see Shape Parameter Table - The Table's Sections.

Delete Row
Adds the current row from the section of the table.
For more information see Shape Parameter Table - The Table's Sections.


Text Edit Context Menu

This menu appears when you right-click on a shape's text in the text editing mode.

Ñut
Cuts selected text and copies it onto the Clipboard.

Copy
Copies selected text onto the Clipboard.

Paste
Inserts the text on the Clipboard into the document.

Select All
Selects all text in the shape.

Bold
Makes selected text Bold.
For more information see Text - Formatting Text.

Italic
Makes selected text Italic.
For more information see Text - Formatting Text.

Underline
Makes selected text Underlined.
For more information see Text - Formatting Text.

Text Format...
Calls the Text Properties dialog for formatting text.
For more information see Text - Formatting Text.

Hyperlink...
The menu for working with hyperlinks.

Hyperlink -> Open
Opens the hyperlink in text.
For more information see Internet - Using Hyperlinks.

Hyperlink -> Edit...
Edits hyperlink in the Hyperlink dialog.
For more information see Internet - Using Hyperlinks, Dialogs - Modal Dialogs - Hyperlink.


Views

ConceptDraw includes a lot of modal and floating dialog windows. However, there are also the document window, edit group window, library window, CD Basic editor window, CD Basic output window.

Document view
Edit Group
Shape Table
Library
Basic Script Editor
Basic Output
Print Preview (Windows [image] only)


View Document/Group

Document view. Page/Edit Group

This window is used for working with the document, or editing shapes inside a group (called from Shape / Edit Group menu).

Normally this window looks as follows:

On the left and top sides of the window you can see the rulers. The grid helps to position shapes more precisely.

To get a horizontal or vertical guide line, drag it out of the corresponding ruler.
For more information about the guide lines see Document - Working with a Document - Guide Lines and Gluing Shapes.

On the right and bottom sides you can see the scroll bars. They are used for navigating through the document. To scroll beyond the drawing page, click and hold the mouse button on the arrows near the scroll bars.
For more information see Document - Working with a Document- Scrolling.

In the left bottom corner of the window there's a drop-down list with the names of the pages, which is used to switch between the pages. To go to the next and previous pages you can use the arrows besides the list.
For more information see Document - Working with Pages.

Note: This drop-down list is not displayed in the Edit Group mode, because a group can't be located on more than one pages.

You can change the appearance of the document window.
You can display or hide the grid and rulers.
The grid and rulers parameters are set in the Grid & Rulers dialog, which you can call from the Tools / Grid & Rulers menu.
For more information see Document - Working with a Document- Rulers and Grid.

To display/hide the rulers, the guide lines and the grid, use the View menu or the View toolbar.
To show/hide the rulers, use the View / Rulers menu; to show/hide the grid use the View / Grid menu, to show/hide the guide lines use the View / Guides menu.
Sometimes a document can be larger than one printer page. In this case the program will break the document down and arrange it on several printer pages. To view the page breaks, enable the Page Breaks option in the View menu.

For more comfortable editing you can zoom in or out on the document by using the View / Zoom menu, or the Zoom toolbar.
For more information see Document - Working with a Document - Zooming, Toolbars - Zoom.

When you right-click somewhere in the window, the context menu appears. It contains various commands for working with shapes. For more information about this menu see Menus - Document View Context Menu.


Shape Table View

Shape Table

The table view appears when you open the shape parameter table for the selected shape by pressing the F3 key, or from the Shape / Show Table menu.

The bottom and right scroll bars are used to navigate through the table.

At the top of the table there's the input field where you can enter or alter the parameters in the cells.

All parameters are grouped in sections. By double-clicking a section title you can collapse it to one row. When you click a cell in a section, its contents is displayed in the input field where you can edit it.

For more information about the shape parameter table and the table's sections see Shape Parameter Table.


Library

The library window is a floating window.

In the Windows version this window can be docked.

When you open libraries, the buttons with their titles are located in the upper part of the window. The library shapes are in the lower part.

By dragging a library title bar with the mouse you can display this library in a separated window. When you click on a library's title bar, it becomes active and the library shapes that it contains are displayed.

Library shapes can be displayed as icons, text or as both icons and text.

You can specify this in the context menu of the library and library shapes, or in the View / Library Window menu.

For more information see Menus - Library Context Menu, and Menus - Library Item Context Menu.

For more information about working with libraries and library shapes see Shapes - Inserting a Shape from a Library, Libraries.


Basic Script Editor View

Basic Script Editor

The ConceptDraw Basic Editor window is used for writing and debugging ConceptDraw Basic scripts.

It represents a simple text editor that allows to copy and paste text. Additionally, it allows to include source codes into the scripts (by using the #include statement).

For more information see Menus - Basic Editor View Menus, Menus - Basic Editor Context Menu.


Basic Output View

Basic Output

This window is used to display errors, warnings and other messages of ConceptDraw Basic.

You can click on the lines to select them and copy the lines onto the Clipboard. You can also use the context menu to clear the output window.

This window is helpful for finding syntax errors in the source code. Just double-click on the error in the output window, and the program will open the editor window, with the cursor placed on the line which caused the error.

For more information about the ConceptDraw Basic Output Window see Menus - Basic Output View Context Menu.


Print Preview

The print preview window is in the Windows version of the software.

In the Mac OS X version the system program Preview is used for this purpose.

When you click the Print button, the Print dialog will appear, where you can choose which pages to print, on which printers, etc.
For more information see Document - Printing a Document.

To switch between pages the Next Page and Prev Page buttons are used.
Next Page - goes to the next page.
Prev Page - goes to the previous page.

You can also change the way the document is displayed. Use the One Page/Two Page button to show one or two document pages at a time.

The Zoom In and Zoom Out buttons are used to increase/decrease the magnification.

To close the preview window, click the Close button.


Shortcuts

Keyboard Shortcuts

Keyboard Shortcuts

Win.gif (172 bytes) | Mac.gif (169 bytes) | Operation
Working with Documents and Windows
Ctrl + N | Cmd + N | Create a new document
Ctrl + Alt + N | Cmd + Opt + N | Create a new document from a template
Ctrl + O | Cmd + O | Open a document/template/workspace file.
Ctrl + S | Cmd + S | Save the active document
Ctrl + Shift + S | Cmd + Shift + S | Save the active document under a new filename
Ctrl + Alt + S | Cmd + Opt + S | Save a Workspace file
Ctrl + P | Cmd + P | Print the active document
Ctrl + Alt + P | Cmd + Opt + P | Print Preview
Ctrl + Shift + P | Cmd + Shift + P | Page Setup
Ctrl + Shift + G | Cmd + Shift + G | Set Grid properties for the active document
Ctrl + Shift + U | Cmd + Shift + U | Set Snap&Glue options for the active document
Ctrl + F4 | Cmd + W | Close the active window
Ctrl + Tab, Ctrl + F6 | - | Activate the next window
- | Cmd + window number | Activate the window with the specified number
F3 | F3 | Open Shape Parameter Table
- | Cmd + Opt + H | Hide ConceptDraw
Alt + F4, Ctrl + Q | Cmd + Q | Quit ConceptDraw
Document View
Ctrl + "+" | Cmd + "+" | Zoom In
Ctrl + "-" | Cmd + "-" | Zoom Out
Ctrl + Shift + Z | Cmd + Shift + Z | Activate the Zoom Box mode
Click in Zoom Box mode | Click in Zoom Box mode | Zoom In
Click + Alt in Zoom Box mode | Click + Option in Zoom Box mode | Zoom Out
Ctrl + Shift + 0 | Cmd + 0 | Set zoom to Whole Page
Click in Print Preview | Click in Print Preview | Change zoom level (in cycle)
PgUp | PgUp | Scroll one window space up
PgDn | PgDn | Scroll one window space down
Ctrl + Home | Cmd + Home | Go to the top-left corner of the page
Ctrl + End | Cmd + End | Go to the bottom-left corner of the page
Ctrl + PgUp | Cmd + PgUp | Go to the previous page
Ctrl + PgDn | Cmd + PgDn | Go to the next page
Selecting Shapes
Select with Shift | Select with Shift | Allows to select several shapes
Ctrl + A | Cmd + A | Select all the shapes on page
Tab | Tab | Select the next shape according to the order in which they were created
Shift + Tab | Shift + Tab | Select the previous shape according to the order in which they were created
Ctrl, Ctrl + Shift for Connection Point or Edit Text tools | Cmd, Cmd + Shift for Connection Point or Edit Text tools | Select objects without quitting the mode
Editing
Ctrl + Z | Cmd + Z | Undo the last operation
Ctrl + Y | Cmd + Y | Redo what was reversed by Undo
Ctrl + X, Shift + Del | Cmd + X | Cut the selection to the Clipboard
Ctrl + C, Ctrl + Ins | Cmd + C | Copy the selection to the Clipboard
Ctrl + V, Shift + Ins | Cmd + V | Paste
Ctrl + Alt + V | - | Paste Special
Ctrl + Shift + V | Cmd + Shift + V | Paste in Place
Del | Del / Delete | Delete the selected shape(s)
Ctrl + D, Ctrl for dragging | Cmd + D, Option for dragging | Duplicate the selected shape(s)
Insert Vertex with Ctrl | Insert Vertex with Cmd | Cut the line in this place
Ctrl in drawing | Cmd in drawing | Add the new segment to the currently selected figure
Hyperlinks
Ctrl + Shift + E | Cmd + Shift + E | Create / Edit hyperlink
Ctrl + Shift + H | Cmd + Shift + H | Open hyperlink
Libraries
Ctrl + Shift + N | Cmd + Shift + N | Create a new library
Ctrl + Shift + O | Cmd + Shift + O | Open a library
F4 | F4 | Show/Hide Library Window
Ctrl + Shift + I | Cmd + Shift + I | Replace the selected shape in the library with the shape selected in the document, preserving the library shape's icon.
Operations on Shapes
Ctrl + B | Cmd + B | Send to Back
Ctrl + F | Cmd + F | Bring to Front
Ctrl + Shift + B | Cmd + Shift + B | Send Backwards
Ctrl + Shift + F | Cmd + Shift + F | Bring Forward
Ctrl + J | Cmd + J | Flip Vertical
Ctrl + H | Cmd + H | Flip Horizontal
Ctrl + L | Cmd + L | Rotate Left (90 degrees)
Ctrl + R | Cmd + R | Rotate Right (90 degrees)
Ctrl + Left/Right | Cmd + Left/Right | Rotate by 1 degree
Ctrl + Shift + Left/Right Arrow | Cmd + Shift + Left/Right Arrow | Rotate by 0.1 degree
Rotate with Ctrl | Rotate with Cmd | Rotate around common rotation center
Resize with Shift | Resize with Shift | Toggle between unproportional and proportional resizing
Arrows | Arrows | Move the selection one pixel at a keystroke
Shift + Arrows | Shift + Arrows | Move the selection a few pixels at a keystroke
Ctrl + G | Cmd + G | Group the selected shapes into one
Ctrl + E | Cmd + E | Edit Group
Ctrl + U | Cmd + U | Ungroup
Formatting Shapes
Ctrl + Shift + T | Cmd + Shift + T | Format Text
Switching between Modes
Ctrl + 1 | Ctrl + 1 | Activate Select tool
Ctrl + 2 | Ctrl + 2 | Activate Rotate tool
Ctrl + 3 | Ctrl + 3 | Activate Line tool
Ctrl + 4 | Ctrl + 4 | Activate Sector tool
Ctrl + 5 | Ctrl + 5 | Activate Arc tool
Ctrl + 6 | Ctrl + 6 | Activate Spline tool
Ctrl + 7 | Ctrl + 7 | Activate Rectangle tool
Ctrl + 8 | Ctrl + 8 | Activate Ellipse tool
Ctrl + 9 | Ctrl + 9 | Activate Connector tool
Ctrl + 0 | Ctrl + 0 | Activate Connection Point tool
F2 | F2 | Activate the Text Editing mode
Hold down Space | Hold down Space | Activate Scroll Hand tool
Shift in drawing | Shift in drawing | Constrained drawing mode (circle, square, etc.)
Click on the shape's alignment box | Click on the shape's alignment box | Switch between the Select and Rotate tools
Alt for drawing or moving objects | Cmd for drawing or moving objects | Invert (activate or disable) the Snap mode
Text Formatting
Ctrl + B | Cmd(Ctrl) + B | Bold
Ctrl + I | Cmd(Ctrl) + I | Italic
Ctrl + U | Cmd(Ctrl) + U | Underline
Ctrl + L | Cmd(Ctrl) + L | Align on the left
Ctrl + E | Cmd(Ctrl) + E | Align in the center
Ctrl + R | Cmd(Ctrl) + R | Align on the right
Ctrl + "." | Cmd(Ctrl) + "." | Increase font
Ctrl + "," | Cmd(Ctrl) + "," | Decrease font
Esc | Esc | Finish editing
Shape Parameter Table
F2 | F2 | Start editing the selected cell
While editing a cell: single click on another cell | While editing a cell: single click on another cell | Inserts the formula from the cell you clicked into the input field
While editing a cell: Ctrl + click on another cell | While editing a cell: Ctrl + click on another cell | Inserts the numeric value of the cell into the input field
While editing a cell: Alt + click on another cell | While editing a cell: Alt + click on another cell | Inserts the cell title into the input field
Application
F1 | F1 | Call Help System
Ctrl + ";" | Cmd + ";" | Preferences (Application Settings)


Actions

"Actions" Section

In this section, you can create and describe the user's context menu.
Since a shape may have no user's context menu, this section may be missing in the table.

To add the Actions section to the table:

  1. Apply the Insert Sections command from the Edit menu or from the context menu in the table window.
    The Insert Section dialog will come up.
  2. In the dialog, check the Actions option and click OK.
    The Actions section will be added to the table. Initially, it has one row (for describing one menu item).

Sometimes it may be possible that the Actions section already exists in the table, but it is not visible.
The View Sections dialog lets you show/hide the table sections.

To show the Actions section:

  1. Apply the View Sections command from the Edit menu or from the context menu in the table window.
    The View Sections dialog will come up.
  2. In the dialog, check the Actions option and click OK.

The Actions section appears in the table. Each row in the section corresponds to a user's menu item.

To add a new menu item:

  1. Use the Add Row command from the Edit menu or from the context menu in the table window.
  2. A new row will be added to the end of the section. Then you can describe the menu item.

To delete a menu item:

  1. Activate the row describing the menu item you want to delete (just select any of its cells).
  2. Use the Delete Row command from the Edit menu or from the context menu for the row.

This will delete the row that describes this user's menu item. Removing the last row removes the entire section.

Action

This field determines the action the program takes when the menu item is clicked. For instance, clicking the menu item can assign a value to a parameter of the shape: _SETF("Variables.X4";0.2).
To create a line separating the menu items, input any number (other than 0) in this field.

Menu

Type the name of the menu item here. The name must be enclosed in quotation marks.

Prompt

The text that will appear on the Status bar when you position the pointer over the menu item. The text must be enclosed in quotation marks.

Checked

The flag that defines whether the check mark besides the menu item should be displayed.

TRUE - show the check mark;
FALSE - don't show the check mark.

Disabled

The flag that disables the menu item (when disabled, the item appears in grey and can't be selected).

TRUE - disable the menu item;
FALSE - enable the menu item.

Variables from the Actions section are specified in the following form in the formulas:

[<shape_name>.]Actions.<field_name><row_number>

Return to The Table's Sections


Connect

"Connect" Section

This section describes the connection points of the object.
Since an object may have no connection points, this section may be missing in the table.

To add the Connect section to the table:

  1. Apply the Insert Sections command from the Edit menu or from the context menu in the table window.
    The Insert Section dialog will come up.
  2. In the dialog, choose the Connection Points option and click OK.
    The Connect section will be added to the table. It will have one row (for describing one connection point).

Sometimes it may be possible that the Connect section already exists in the table, but is not visible.
The View Sections dialog lets you show/hide the table sections.

To show the Connect section:

  1. Apply the View Sections command from the Edit menu or from the context menu in the table window.
    The View Sections dialog will come up.
  2. In the dialog, check the Connection Points option and click OK.

The Connect section will appear in the table. It displays information about the connection points of the object.

To add a connection point:

  1. Use the Add Row command from the Edit menu or from the context menu in the table window.
  2. A new row describing a connection point will be added to the end of the section. Then you can set its parameters.

To delete a connection point:

  1. Activate the row describing the connection point you want to delete (just select any of its cells).
  2. Use the Delete Row command from the Edit menu or from the context menu for the row.

The row describing that connection point will be removed. Removing the last connection point removes the whole section.

All parameters in the Connect section refer to the coordinate system of the object.

X

This field describes the X offset of the connection point.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

Y

This field describes the Y offset of the connection point.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

Coordinates of connection points are specified in the formulas as follows:

[<shape_name>.]Connect.X<connection_point_number>
[<shape_name>.]Connect.Y<connection_point_number>

For more information about the View Section dialog see Dialogs - Modal dialogs - View Sections.
For more information about the Insert Section dialog see Dialogs - Modal dialogs - Insert Table Sections.

Return to The Table's Section


Controls

"Controls" Section

This section describes the control handles of the object.
Since an object may have no control points, this section may be missing in the table.

To add the Controls section to the table:

  1. Apply the Insert Sections command from the Edit menu or from the context menu in the table window.
    The Insert Section dialog will come up.
  2. In the dialog, choose the Control Handles option and click OK.
    The Controls section will be added to the table. It will have one row (for describing one control handle).

Sometimes it may be possible that the Controls section already exists in the table, but is not visible.
The View Sections dialog lets you show/hide the table sections.

To show the Controls section:

  1. Apply the View Sections command from the Edit menu or from the context menu in the table window.
    The View Sections dialog will come up.
  2. In the dialog, check the Control Handles option and click OK.

The Controls section will appear in the table. It displays information about the control handles of the object.

To add a control handle:

  1. Use the Add Row command from the Edit menu or from the context menu in the table window.
  2. A new row describing a control point will be added to the end of the section. Then you can set its parameters.

To delete a control handle:

  1. Activate the row describing the control handle you want to delete (just select any of its cells).
  2. Use the Delete Row command from the Edit menu or from the context menu for the row.

The row describing that control point will be removed. Removing the last control point removes the whole section.

All parameters in the Controls section use the coordinate system of the object.

X

Describes the X offset of the control handle.
If you didn't change this value, the origin point for the offset is determined by the value in the X Behavior field:
0, 1, 2, 5, 6, 7 - offset with respect to the left side of the alignment box (e.g. Width*0.25);
3,8 - offset with respect to the centre of the alignment box (e.g. Width/2-63.5);
4,9 - offset with respect to the right side of the alignment box (e.g. Width-190.5).

In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

Y

Describes the Y offset of the control handle.
If you didn't change this value, the origin point for the offset is determined by the value in the Y Behavior field:
0, 1, 2, 5, 6, 7 - offset with respect to the top of the alignment box (e.g. Height*0.75);
3,8 - offset with respect to the centre of the alignment box (e.g. Height/2+63.5);
4,9 - offset with respect to the bottom of the alignment box (e.g. Height-63.5).

In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

XDyn

This is the X coordinate of the end of the line that drags behind the control handle as you move it.

In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

YDyn

This is the Y coordinate of the end of the line that drags behind the control handle as you move it.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

XBehavior

This parameter determines how the control handle moves along the X axis when the object is resized.
If there was a default formula in the X field, the program changes it according to the XBehavior field value after the control point is repositioned.

When resizing the object:
0 - The control repositions proportionally with respect to the alignment box.
1 - The control point repositions proportionally with respect to the alignment box. The repositioning with the mouse along the X axis is locked.
2 - The distance to the left side of the alignment box remains constant.
3 - The distance to the centre of the alignment box remains constant.
4 - The distance to the right side of the alignment box remains constant.
5- The control point is invisible. When resizing the object, the control point moves proportionally with respect to the alignment box.
6- The control point is invisible. When the object is resized, the control point moves proportionally with respect to the alignment box. The repositioning with the mouse along the X axis is locked.
7 - The control point is invisible. When the object is resized, the distance to the left side of the alignment box remains constant.
8 - The control point is invisible. When the object is resized, the distance to the centre of the alignment box remains constant.
9 - The control point is invisible. When the object is resized, the distance to the right side of the alignment box remains constant.

Y Behavior

This parameter determines how the control handle moves along the Y axis when the object is resized.
If there was a default formula in the Y field, the program changes it according to the YBehavior field value after the control point is repositioned.

When resizing the object:
0 - The control repositions proportionally with respect to the alignment box.
1 - The control point repositions proportionally with respect to the alignment box. The repositioning with the mouse along the Y axis is locked.
2 - The distance to the top of the alignment box remains constant.
3 - The distance to the centre of the alignment box remains constant.
4 - The distance to the bottom of the alignment box remains constant.
5 - The control point is invisible. When the object is resized, the control point moves proportionally with respect to the alignment box.
6 - The control point is invisible. When the object is resized, the control point moves proportionally with respect to the alignment box. The repositioning with the mouse along the Y axis is locked.
7 - The control point is invisible. When the object is resized, the distance to the top of the alignment box remains constant.
8 - The control point is invisible. When the object is resized, the distance to the centre of the alignment box remains constant.
9 - The control point is invisible. When the object is resized, the distance to the bottom of the alignment box remains constant.

Comment

Use this comment to assign the tip for the control handle. If this field is not empty, the text in the field will show up when you pause the mouse pointer over the control handle.

You can referece the coordinates of control handles either from other objects or from the active one in the following form:

<shape_name>.Controls.<field_name><row_number>

Example:

ShapeID3.Controls.X1

For more information about the View Section dialog see Dialogs - Modal dialogs - View Sections
For more information about the Insert Section dialog see Dialogs - Modal dialogs -Insert Table Sections.

Return to The Table's Sections


"Custom Properties" Section

This section describes the parameters, specified by the user. As not every shape has such parameters, the Custom Properties section can be missing in the table.

To add the section:
- Apply the Insert Sections command from the Edit menu or from the context menu in the table window.
The Insert Section dialog will come up.
- In the dialog, check the Custom Properties option and click OK.
The Custom Properties section will be added to the table. Initially, it has one row.

Another way of adding custom propertis is described in Shapes - Custom Properties.

In the formulas the cells are referenced as follows:

CustomProp.<field_name><row_number>

The following fields exist in the section:

Label

The name of the custom property.

Prompt

The tip that's displayed in the Custom Properties input dialog.

Type

The type of the parameter:
0 - String, 1 - Number, 2 - Fixed List, 3 - Variable List, 4 - Boolean.

Format

The format of the value. If Type is a Fixed List or a Variable List, contains the list of possible values, separated with semicolons:
<value1>; <value2>; ...

Value

The value of the custom property.

Invisible

If TRUE, the user won't be asked to input the parameter in the Custom Properties dialog.

Verify

If TRUE, the user will be asked to input the parameter when the shape is copied.

For an example of using the Custom Properties section see Shapes - Custom Properties.
For more information about the Custom Properties dialog see Dialogs - Modal dialogs - Custom Properties.


Custom Line Weight Dialog

Ìîäàëüíûé äèàëîã Custom Line Weight

Äèàëîã ïðåäíàçíà÷åí äëÿ óñòàíîâêè ïðîèçâîëüíîé òîëùèíû ëèíèé. Äèàëîã âûçûâàåòñÿ ïðè âûáîðå Weight->Custom â ïëàâàþùåì äèàëîãå Line èëè Weight->Custom â çàêëàäêå Line ìîäàëüíîãî äèàëîãà Object Properties.

OS Windows

MAC OS X

Äèàëîã ñîæåðæèò òîëüêî ïîëå äëÿ ââîäà çíà÷åíèÿ íîâîé òîëùèíû ëèíèé.


Endpoints

"Endpoints" Section

This section describes the coordinates (X and Y) of the begin point and the end point of a 1D shape with respect to the parent group.

ÂåginX

Describes the X offset of the begin point with respect to the origin point of the parent group.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

ÂåginY

Describes the Y offset of the begin point with respect to the origin point of the parent group.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

EndX

Describes the X offset of the end point with respect to the origin point of the parent group.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

EndY

Describes the Y offset of the end point with respect to the origin point of the parent group.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

You don't need to specify the section name when referencing the fields of this section.

[<shape_name>.]<field_name>

Return to The Table's Sections


Fill Format

"Fill Format" Section

In this section you can set the parameters describing the fill and shadow properties of the shape.

FillPattern

Sets the fill pattern. The following values are available:
0 - no fill pattern;
1 - fill with plain foreground color (set in FillColor);
2 - 38 - use a fill pattern;
50 - 53 - use gradient fill pattern.

FillColor

Sets the foreground color. The value in the field corresponds to the number of the color in the color palette of the document. The valid values are 0 to 255. Besides, you can specify the color by using the _RGB and_CMYK functions, for example _RGB(175;255;127). The function has 3 arguments - for red, blue and green components. The _CMYK function sets a color in the CMYK format.

FillPatColor

Sets the background color. The value in the field corresponds to the number of the color in the color palette of the document. The valid values are 0 to 255. Same as for FillColor you can set color using the _RGB and _CMYK functions.

ShadowPattern

Sets the shadow fill pattern. The following values are available:
0 - no fill pattern;
1 - fill with plain foreground color (set in ShadowColor);
2 - 38 - use a shadow pattern.

ShadowColor

Sets the shadow foreground color. The value in the field corresponds to the number of the color in the color palette of the document. The valid values are 0 to 255. You can also use the _RGB and _CMYK functions.

ShadowPatColor

Sets the shadow background color. The value in the field corresponds to the number of the color in the color palette of the document. The valid values are 0 to 255. You can also use the _RGB and _CMYK functions.

Variables from the Fill Format section are specified in the following form in the formulas:

[<shape_name>.]<variable_name>

For more information about the functions see Shape Parameter Table - Function Reference.

Return to The Table's Sections


Font Format

"Character Format" Section

The text of any shape is composed of one or more text blocks. A text block is a section of text with same formatting styles, that is, same font type and size, font color and font attributes (bold, italic, etc.).
In the Character Format section, each block is described in an individual row. The title field of each row shows the position of the last character of this block counting from the beginning of the entire shape text.

Font

This field contains the number of the font it has in the font list of the document. The program generates this list basing on the fonts installed on your system. If you paste some text in the document, and the font of this text is missing on your system, the application will display this text in the Arial font.

Size

This field contains the font size in pixels. Only positive values can be used.

Color

This field specifies the color of the text in the block. The value corresponds to the number of the color in the color palette of the document. The value may vary from 0 to 255.

Style

The number in the field describes the font attributes for the text block. Each attribute is associated with a digit in the binary representation of the number:
2^0=1 - bold;
2^1=2 - italic;
2^2=4 - underlined;
2^3=8 - crossed out.

So, the number for the bold italicized font will be 1+2=3.

Language

The number that specifies of text encoding. This parameter may changed when you choose a new font. For example, 204 corresponds to the Russian language.

Pos

Specifies the position of the characters relevant to the text baseline. 0 - normal, 1 - superscript, 2 - subscript.

Spacing

Specifies the distance between characters. The default value is 0. If it's greater than zero, the spacing increases. If less - decreases.

As shape's text may have different styles and fonts at the same time, this section may have several rows.

Variables from the Character Format section are specified in the following form in the formulas:

[<shape_name>.]Char.<field_name><row_number>

For more information about the Text Properties dialog see Dialogs - Modal dialogs - Text Properties.

Return to The Table's Sections


Geometry

"Geometry" Section

This section describes geometries (or solid sequences of segments) of the object. Since an object may have more then one geometry, there may be several Geometry sections. Then a number follows the section name: Geometry1, Geometry2, ...

To add a new Geometry section:

  1. Apply the Insert Sections command from the Edit menu or from the context menu in the table window.
    The Insert Section dialog will come up.
  2. In the dialog, choose the Geometry option and click OK.
    A new Geometry section will be added to the table. It will have three rows: Properties, Start and LineTo.

Sometimes it is possible that Geometry sections exist in the table but you can't see them because they are hidden.
The View Sections dialog lets you show/hide the table sections.

To show the Geometry sections:

  1. Apply the View Sections command from the Edit menu or from the context menu in the table window.
    The View Sections dialog will come up.
  2. In the dialog, check the Geometry option and click OK.

Each Geometry section lists the segments which make up the geometry.
A segment may represent a dot, a part of line, a circular or elliptic arc, a part of spline. In the table, the end of one segment usually coincides with the beginning of the adjoining segment.

All the coordinates appear with respect to the the coordinate system of the object.

You can add a segment to the active section:

  1. Use the Add Row command from the Edit menu or from the context menu in the table window.
  2. A new LineTo segment will be added to the end of the current Geometry section. Then you can set its parameters.

Properties.X

This parameter defines whether the geometry (the set of segments) is visible or not.
The value appears in the binary format:
TRUE - the set of segments is visible;
FALSE - the set of segments isn't visible.

The default value is TRUE.

By changing this flag, you may hide or display geometries of an object.

In the formulas, this parameter is addressed in the following way
(N represents the number of the geometry):

Geometry<N>.Visible

Properties.Y

This parameter defines whether the fill of the object is visible. The value is binary:
TRUE - show fill;
FALSE - hide fill.

The default value is TRUE.

In the formulas, this parameter is addressed in the following way
(N represents the the number of the geometry):

Geometry<N>.Filled

Start

The starting point of the set of segments. The X and Y fields contain the respective coordinates.

LineTo

A line segment.

This segment is defined by two points:

1) Begin point: the coordinates are taken from the X and Y fields of the previous segment.
2) End point: the coordinates are stored in the X and Y fields of the row.

ArcTo

An arc of a circle.

This segment is defined by three points:

1) Begin point: the coordinates are taken from the X and Y fields of the previous segment.
2) End point: the coordinates are stored in the X and Y fields of the row.
3) A point on the arc: the coordinates are stored in the A and B fields of the row.

EllipseTo

An elliptic arc.

This segment is defined by three points and two additional parameters:

1) Begin point: the coordinates are taken from the X and Y fields of the previous segment.
2) End point: the coordinates are stored in the X and Y fields of the row.
3) A point on the arc: the coordinates are stored in the A and B fields of the row.
4) The ratio of the large semi-axis to the small semi-axis: contained in the C field.
If this value equals 1, an elliptic arc becomes a circular arc.
5) The large semi-axis angle: contained in the D field.
The angle value is indicated with respect to the frame of reference of the object.

For items 1-3 in the Formulas mode the data are displayed in in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure. For item 5 in the Formulas mode you see the angle in radians, in the Values mode the angle is displayed in degrees. The angle is usually within the 0 to 180 degrees range.

SplineStart

The starting segment of the spline.

It is defined by two points:

1) Begin point: the coordinates are shown in the X and Y fields.
2) Guide point: the coordinates are stored in the A and B fields.

The SplineStart segment in the table should be followed by one or more SplineKnot segments.

SplineKnot

A segment of the spline.

It is defined by four points:

1) Begin point: the coordinates are taken from the X and Y fields of the previous segment.
2) Begin Guide point: the coordinates are taken from the A and B fields of the previous segment.
3) End point: the coordinates are shown in the X and Y fields.
4) End Guide point: the coordinates are stored in the A and B fields of the row.

In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

For more information about the View Section dialog see Dialogs - Modal dialogs - View Sections
For more information about the Insert Section dialog see Dialogs - Modal dialogs - Insert Table Sections.

Return to The Table's Sections


Glue Info

"Glue Info" Section.

This section exists only in 1-D shapes (including direct and smart connectors). It's used by ConceptDraw to calculate the coordinates of the endpoints of the connectors.

ConnectObjBegin

The ID of the shape to which the begin point of the connector is glued.
If it equals to -1, the end of the connector is not glued to anything.
After the formula go events on which the coordinates of the begin point are re-calculated, separated by semicolon. These coordinates can be seen in the EndPoints section. Normally the events and formula for calculations are specified by ConceptDraw.

ConnectObjEnd

The ID of the shape to which the end point of the connector is glued.
If it equals to -1, the end of the connector is not glued to anything.
After the formula go events on which the coordinates of the end point are re-calculated, separated by semicolon. These coordinates can be seen in the EndPoints section. Normally the events and formula for calculations are specified by ConceptDraw.

ConnectTypeBegin

Determines the type of connection of the connector's begin point to the shape. The _CONNECTBEGINX and _CONNECTBEGINY functions are calculated depending on this type.

Values:
1,2,3,4 - connection to one of the sizes of the alignment box.
5 - connection to the entire shape.
255 - not connected, or connected to some other connection point.

ConnectTypeEnd

Determines the type of connection of the connector's end point to the shape.

Values:
1,2,3,4 - connection to one of the sizes of the alignment box.
5 - connection to the entire shape.
255 - not connected, or connected to some other connection point.

Variables from the Glue Info section are specified in the following form in the formulas:

[<shape_name>.]<variable_name>

Return to The Table's Sections


LineProp

"Line Properties" Section

This section describes the appearance of the lines forming the shape, and also the shape and size of the arrowheads which geometries may have at their ends.

LinePattern

This parameter sets the dash or dot pattern for the line. One of the following values can be used:

0 - the line is invisible;
1 - the line is solid;
2 - 16 - different dash or dot patterns.

LineWeight

Describes the line weight. One unit equals one tenth of millimeter. The valid value range is 1 to 500 units.
It is also possible to set the zero (0) line weight. Such a line is displayed at a width of 1 unit, but its visual thickness is not changed when you zoom in or out on the page.

LineColor

Specifies the line color. The value in the field corresponds to the color number in the color palette of the document. The value range is 0 to 255.

LineBegin

This parameter specifies the type of arrowhead for the beginning of each geometry of the shape. You can use one of the following values:
0 - no arrowhead;
1 - 60 - different arrowhead types.

LineEnd

This parameter specifies the type of arrowhead for the end of each geometry of the shape. You can use one of the following values:
0 - no arrowhead;
1 - 60 - different arrowhead types.

LineEndsSize

Specifies the size of the arrows on the shape. The following sizes are available:
0 - Tiny;
1 - Small;
2 - Medium;
3 - Large;
4 - Huge.

You don't need to specify the name of the section when you reference to variables from the Line Properties section:

[<shape_name>.]<variable_name>

Note: Alternatively, you can change these settings in the Shape Properties dialog (Format menu).

Return to The Table's Sections


Shape Table View Menus

When working with the shape parameter table, the main menu bar looks as follows:

File menu
Edit menu
View menu
Tools menu
Window menu
Help menu

File menu

The File menu contains commands for working with files.

New Document
Creates a new ConceptDraw document.

Template Gallery...
Opens the Template Gallery dialog where you can choose a template to base a new document on.
For more information read Dialogs - Modal dialogs - Template Gallery.

Open
Opens a file.

Open From FTP Server...
Opens a file from an FTP server.
For more information see Internet - Working with Documents on a Remote FTP-Server.

Close
Closes the active document.

Save
Saves the document.
For more information see Document - Saving a Document.

Save As...
Saves the document under a new name.
For more information see Document - Saving a Document.

Save Copy As...
Saves a copy of the document under a new name.
For more information see Document - Saving a Document.

Save As Template...
Saves or creates a template file.
For more information see Document - Saving a Document.

Save Workspace...
Saves or creates a workspace file.
For more information see Document - Saving a Document.

Save to FTP Server...
Saves a file to an FTP Server.
For more information see Internet - Working with Documents on a Remote FTP-Server.

Save Table
Saves the shape parameter table in a text file.

Library
The menu for working with libraries. For more information see Menus - Document View Menus - File menu.

Exit (only in Windows [image] )
Exits ConceptDraw.

Edit menu

Undo
Cancels the most recent action. The name of the last action is displayed in the menu item.
For more information see Shapes - Operations on Shapes - Undo and Redo.

Redo
Cancels the last Undo operation. The name of the last action is displayed in the menu item.

Cut
Cuts selected text and copies it onto the Clipboard.

Copy
Copies selected text onto the Clipboard.

Paste
Inserts the contents of the Clipboard into the document.

Insert Section
Inserts a new section in the parameter table.
For more information see Shape Parameter Table - The Table's Sections.

Add Row
Adds a new row to the active section of the table.
For more information see Shape Parameter Table - The Table's Sections.

Delete Row
Adds the current row from the section of the table.
For more information see Shape Parameter Table - The Table's Sections.

Preferences (only Windows [image] )
Calls the Preferences dialog, where you can set parameters of the application.
In Mac OS X this item is located in the application menu.
For more information see Dialogs - Modal dialogs - Preferences and Customizing the Working Environment - Application Settings.

View menu

This menu lets the user to set the view of the shape parameter table.

Values
Shows values in the cells.

Formulas
Shows formulas in the cells.

Sections
Calls the View Sections dialog, where you can choose, which of the table sections to display.

For information about the Floating Dialogs, Toolbars, Libraries Window submenus and the Status Bar item see Menus - Document View Menus - View menu.

Tools menu

This menu contains only one item - the ConceptDraw Basic submenu, which is described in Menus - Document View Menus - Tools menu.

Ìåíþ Window

This Window menu is a standard menu and is described in Menus - Document View Menus - Window menu.

Help menu

From this menu you can get reference information.
This Help menu is described in Menus - Document View Menus - Help menu.


Miscellaneous

"Miscellaneous" Section

This section contains parameters that define the appearance and behavior of the shape.

ObjHandles

A binary value which defines whether the shape's rotation and resize handles are visible or not.
TRUE - the handles are visible;
FALSE - the handles are invisible.

AlignBox

A binary value which defines whether the shape's alignment box is visible or not.
TRUE - the alignment box is visible;
FALSE - the alignment box is invisible.

NonPrinting

A binary value which defines whether the shape will be printed when you print the page.
TRUE - the shape will not be printed;
FALSE - the shape will be printed.

ResizeBehavior

This field determines the way the shape behaves when you resize the group to which it belongs.

0 - Corresponds to the group's appropriate setting;
1 - Simply repositions keeping the size;
2 - Resizes when the group is resized.

CtrlHandles

A binary value which defines whether the shape's control handles are visible or not.
TRUE - the control handles are visible;
FALSE - the control handles are invisible.

ShowText

A binary value which defines whether the shape's text is visible or not.
TRUE - the text is visible;
FALSE - the text is invisible.

DblClick

Determines the double-click action of the shape. You can also change this parameter in the Double-Click floating dialog, or on the Double-Click tab of the Shape Properties dialog.

Settings:
0 - perform no action;
1 - edit shape's text;
2 - edit group;
3 - open shape parameter table;
4 - open hyperlink;
5 - open OLE-application if OLE-object;
9 - perform an action set in the Actions section.

ActionDblClick

This parameter has no effect if the value of DblClick is other than 9. If the value of DblClick is 9, one or more of the context menu items are performed.
0 - executes all items described in the Actions section (it's equivalent to choosing Action Loop in the Custom Action area of the Double-Click floating dialog).
If other than 0, executes the action described in the corresponding line of the Actions section.

Variables from the Miscelaneous section are specified in the following form in the formulas:

[<shape_name>.]<variable_name>

For more information:
about the Double-Click floating dialog - see Dialogs - Floating Dialogs - Double Click
about the Shape Properties dialog - see Dialogs - Modal dialogs - Shape Properties,
about the Actions section of the parameter table see Actions in Shape Parameter Table - The Table's Sections
about adding items to the shape's context menu - see Shape Parameter Table - Adding User-Defined Context Menu to a Shape.

Return to The Table's Sections


Paragraph Format

"Paragraph Format" Section

A paragraph is a text block that ends with the line feed symbol. An object's text may consist of one or more paragraphs. Paragraphs may have alignment and indentation. The values of indents don't depend on the scale of the document.

Normally, the Paragraph Format section contains several rows, each of them describing one paragraph. The title field of each row shows the position of the last character of the paragraph counting from the beginning of the entire object text

FirstInd

Specifies the indent for the first line of the paragraph.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.

LeftInd

Specifies the indent of the left side of the paragraph.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.

RightInd

Specifies the indentation of the right side of the paragraph.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.

HAlign

This field describes the horizontal alignment of the paragraph in relation to the text box. The number in the field corresponds to the following alignment type:

0 - align on the left side of the text box;
1 - align on the centre of the text box;
2 - align on the right side of the text box.

BeforeSpacing

Sets the distance between the current and the previous paragraph of text.

AfterSpacing

Sets the distance between the current and the next paragraph of text.

LineSpacing

Sets the distance between the lines of text.

Note: Alternatively, these parameters can be changed on the Paragraph tab of the Format / Text Properties dialog.

Variables from the Paragraph Format section are specified in the following form in the formulas:

[<shape_name>.]Para.<field_name><paragraph_number>

For more information about the Text Properties dialog see Dialogs - Modal dialogs - Text Properties.

Return to The Table's Sections


Protection

"Protection" Section

It this section, you can lock some parameters of the shape against changing: they will remain unchanged when you manipulate the shape with the mouse or with the keyboard. However, even when locked, these parameters can still be changed in the Shape Parameter Table. The locked handles of the shape appear as grey padlocks.

All values of this section are binary values.

LockWidth

Locks the shape's width against resizing.

TRUE - the width can't be sized;
FALSE - the width can be sized.

LockHeight

Locks the shape's height against sizing.

TRUE - the height can't be sized;
FALSE - the height can be sized.

LockMoveX

Locks the shape against moving it horizontally.

TRUE - horizontal movements are prohibited;
FALSE - horizontal movements are allowed.

LockMoveY

Locks the shape against moving it vertically.

TRUE - vertical movements are prohibited;
FALSE - vertical movements are allowed.

LockAspect

Locks the shape against unproportional resizing.

TRUE - only proportional resizing is possible;
FALSE - both proportional and unproportional resizing is possible.

LockCalcWH

Sets whether the alignment box of the shape remains the same after you move a vertex on the shape, or changes according to the new contour of the shape.

TRUE - the alignment box remains the same;
FALSE - the alignment box changes according to the new contour.

LockRotate

Locks the shape against rotation.

TRUE - the rotation is prohibited;
FALSE - the rotation is allowed.

LockDelete

Locks the shape so that it cannot be deleted. When you try to delete a locked shape, a warning is displayed that it can't be deleted.

TRUE - the shape is protected against deleting;
FALSE - the shape can be deleted.

Note: If you want to protect a large number of shapes against deleting, it is convenient to assign them all to a separate layer, and then lock that layer in the Layer Properties dialog.

LockBegin

Locks the begin point of the shape (for 1D shapes) against repositioning.

TRUE - the point is locked;
FALSE - the point is not locked.

LockEnd

Locks the end point of the shape (for 1D shapes) against repositioning

TRUE - the point is locked;
FALSE - the point is not locked.

LockVertex

Prevents vertices from deleting or repositioning them with the mouse.

TRUE - the vertices of the figure can not be deleted or repositioned;
FALSE - the protection is off.

Note: Alternatively these parameters can be changed in the Shape Properties dialog, the Behavior tab.

Variables from the Protection section are specified in the following form in the formulas:

[<shape_name>.]<variable_name>

For more information about the Shape Properties dialog see Dialogs - Modal Dialogs - Shape Properties.

Return to The Table's Sections


Text Block Format

"Text Block Format" Section

This section describes global properties of text assigned to the the object: alignment, margins and text background color.

VAlign

Specifies the vertical alignment type of the text in relation to the text box of the object. The number in the field corresponds to the following alignment type:

0 - align on the top of the text box;
1 - align on the center of the text box;
2 - align on the bottom of the text box.

TopMargin

Specifies the distance between the text and the top of the text box.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.

BottomMargin

Specifies the distance between the text and the bottom of the text box.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.

LeftMargin

Specifies the distance between the text and the left side of the text box.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.
Note that the actual distance between the text and the left side of the text box also includes the paragraph indentation (LeftInd field in the Paragraph Format section). For the first line of the paragraph, add the FirstInd field as well.

RightMargin

Specifies the distance between the text and the right side of the text box.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure. This value doesn't depend on the scale of the document.
Note that the actual distance between the text and the right side of the text box also includes the paragraph indentation (RightInd field in the Paragraph Format section).

TextBkgnd

Describes the text background color. The value corresponds to the number of the color in the color palette of the document. The value may vary from 0 to 255.

Note: Alternatively, these parameters can be changed on the Text Block tab of the Format / Text Properties dialog.

When referencing to the variables in this section, you don't need to include the name of the section:

[<shape_name>.]<variable_name>

For more information about the Text Properties dialog see Dialogs - Modal dialogs - Text Properties.

Return to The Table's Sections


Text Field

"Text Field" Section

This section has only one cell, named TheText, which contains the text associated with the shape.
The text must be enclosed in quotation marks.

Some hints on how you can use this section:

- The text of a shape may contain some information which you might need to use as a parameter for other shapes.
For example, it may be the height of a column in a diagram, so that the column changes its height according to the value you type in it. So, as you type in a new value, the text gets into TheText cell in the table. Then in another cell, - say, Variables.X1, - this text is transformed into a number (=_evaltext(TheText)), which you can use for further calculations.

- The text can also reflect some shape property or system parameter.
For instance, you may assign an shape to display text showing the system time, or some shape parameter - angle, width, etc.
Then TheText cell addresses to that parameter.
For example: in the Variables.X5 cell the sector size as a percentage is stored. To show this value in the text of the shape, specify the following formula in TheText cell: =_valtotext(Variables.X5)+"%".

Return to The Table's Sections


Text Transform

"Text Transform" Section

This section contains parameters which define the position, size and orientation of the text box of the object.
The values are represented in the coordinate system of the object. It is based on the alignment box of the object: the coordinate origin is in the top left-hand corner, horizontal coordinates increase as you move from left to right, and vertical coordinates increase as you move from top to bottom.

TextWidth

Describes the width of the text box.
In the Formulas mode, you see the values in tenths of millimeters, in the Values mode all values are displayed in the current unit of measure.

By default, the text box width is the same as the alignment box width.

TextHeight

Describes the height of the text box.
In the Formulas mode, you see the values in tenths of millimeters, in the Values mode all values are displayed in the current unit of measure.

By default, the text box height is the same as the alignment box height.

TextAngle

The angle of the text box with respect to the alignment box of the object.
In the Formulas mode, you see the angle in radians, in the Values mode the angle is displayed in degrees. The angle value may range within [-180 deg, 180 deg].

The default value is 0 (the text box isn't rotated).

TextGPinX

Specifies the X offset of the rotation centre of the text box in the coordinate system of the object.
In the Formulas mode, you see the values in tenths of millimeters, in the Values mode all values are displayed in the current unit of measure.

TextGPinY

Specifies the Y offset of the rotation centre of the text box in the coordinate system of the object.
In the Formulas mode, you see the values in tenths of millimeters, in the Values mode all values are displayed in the current unit of measure.

TextPinX

Specifies the X offset of the rotation centre of the text box in the coordinate system of the text box.
In the Formulas mode, you see the values in tenths of millimeters, in the Values mode all values are displayed in the current unit of measure.

The default formula is: TextWidth*0.5.

TextPinY

Specifies the Y offset of the rotation centre of the text box in the coordinate system of the text box.
In the Formulas mode, you see the values in tenths of millimeters, in the Values mode all values are displayed in the current unit of measure.

The default formula is: TextHeight*0.5.

TextFlipX

Indicates whether the text box is flipped horizontally. The value is binary:
FALSE - the text box is not flipped;
TRUE - the text box is flipped horizontally.

TextFlipY

Indicates whether the text box is flipped vertically. The value is binary:
FALSE - the text box is not flipped;
TRUE - the text box is flipped vertically.

Variables from the Text Transform section are specified in the following form in the formulas:

[<shape_name>.]<variable_name>

Return to The Table's Sections


Transform

"Transform" Section

This section contains parameters which define the position, size and orientation of the shape.
Note that the coordinate system is based on the alignment box of the shape: the coordinate origin is in the top left-hand corner, the horizontal coordinates increase as you move from left to right, and the vertical coordinates increase as you move from top to bottom.

Since a shape may be part of a parent group, the following parameters describe its position within the group (with relation to the coordinate system of the group):

GPinX, GPinY, Àngle, LocPinX, LocPinY - for a 2D shape
BeginX, BeginY, EndX, EndY, Angle, LocPinX, LocPinY - for a 1D shape.

Note: If a shape isn't part of any parent group, it is taken to belong to the group formed by the entire page.

Here are the fields of the section:

Width

Describes the width of the alignment box of the shape.
In the Formulas mode, you can see the data in tenths of millimeters; in the Values mode, the content is displayed in the current unit of measure.
As a rule, the Width parameter is used as a variable in formulas for other fields.

For 1D shapes, this field usually contains the following formula:

_HYP(EndX-BeginX;EndY-BeginY).

If the shape is part of a group, its width is described through the width and height of the parent group.
For example: _HYP(Parent.Width*0.308575;Parent.Height*0.283963).

Height

Describes the height of the alignment box of the shape.
In the Formulas mode, you see the data in tenths of millimeters; in the Values mode, the data is displayed in the current unit of measure.
As a rule, the Height parameter is used as a variable in formulas for other fields.

As a rule, this field holds a number.
If the shape is part of a group, its height is described through the width and height of the parent group.
For example: _HYP(Parent.Width*0.267234;Parent.Height*0.081973).

Angle

Describes the angle of the shape with respect to its parent group.
In the Formulas mode, you see the angle in radians; in the Values mode, the angle is displayed in degrees. The angle value may range within [-180 deg, 180 deg].

For 1D shapes, this field usually contains the following formula:

FlipX*_PI()+_ATAN2(EndY-BeginY;EndX-BeginX).

GPinX

Specifies the X offset of the rotation centre of the shape with respect to its parent group.
In the Formulas mode, you see the data in tenths of millimeters; in the Values mode, the data is displayed in the current unit of measure.

GPinY

Specifies the Y offset of the rotation centre of the shape with respect to its parent group.
In the Formulas mode, you see the data in tenths of millimeters; in the Values mode, the data is displayed in the current unit of measure.

LocPinX

Describes the X offset of the rotation centre of the shape with relation to the coordinate origin of the shape.
In the Formulas mode, you see the data in tenths of millimeters; in the Values mode, the data is displayed in the current unit of measure.
The default formula is Width*0.5.

LocPinY

Describes the Y offset of the rotation centre of the shape with relation to the coordinate origin of the shape.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode, the data is displayed in the current unit of measure.
The default formula is Height*0.5.

FlipX

The flag for horizontal flipping. This is a binary value:
FALSE - the shape isn't flipped ;
TRUE - the shape is flipped.

FlipY

The flag for vertical flipping. This is a binary value:
FALSE - the shape isn't flipped ;
TRUE - the shape is flipped.

When referencing to the fields of the Transform section, you don't need to include the name of the section. The fields are addressed in the following form:

[<shape_name>.]<field_name>

Return to The Table's Sections


Variables

"Variables" Section

This section describes additional variables of the shape.
Since a shape may have no additional variables, this section may be missing in the table.

You may need variables when several different fields use the results of same calculations. So, the additional variables can be used to store the results. You may also use the additional variables to store various shape parameters you are working with, in order not to have to refer to them every time you use them.

To add the Variables section to the table:

  1. Apply the Insert Sections command from the Edit menu or from the context menu in the table window.
    The Insert Section dialog will come up.
  2. In the dialog, check the Variables option and click OK.
    The Variables section will be added to the table. It will have one row.

Sometimes it may be possible that the Variables section already exists in the table, but is not visible.
The View Sections dialog lets you show/hide the table sections.

To show the Variables section:

  1. Apply the View Sections command from the Edit menu or from the context menu in the table window.
    The View Sections dialog will come up.
  2. In the dialog, check Variables and click OK.

The Variables section will appear in the table. Its rows display information describing the variables associated with the shape.

To add new variables:

  1. Use the Add Row command from the Edit menu or from the context menu in the table window.
  2. A new row for variables will be added to the end of the section. Then you can set the parameters.

To delete a row with variables:

  1. Activate the row with variables you want to delete (just select any of its cells).
  2. Use the Delete Row command from the Edit menu or from the context menu for the row.

This will delete the row. Removing the last row removes the entire section.

Each row contains two variables: X and Y.
In the Formulas mode, you see the data in tenths of millimeters, in the Values mode the data is displayed in the current unit of measure.

Variables from the Variables section are specified in the following form in the formulas:

[<shape_name>.]Variables.X<row_number>
[<shape_name>.]Variables.Y<row_number>

For more information about the View Section dialog see Dialogs - Modal dialogs - View Sections.
For more information about the Insert Section dialog see Dialogs - Modal dialogs - Insert Table Sections.

Return to The Table's Section